#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1746
#define LARGE_STATE_COUNT 330
#define SYMBOL_COUNT 264
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 8
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 113

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_SEMI = 21,
  anon_sym_RPAREN = 22,
  anon_sym_await = 23,
  anon_sym_in = 24,
  anon_sym_of = 25,
  anon_sym_while = 26,
  anon_sym_do = 27,
  anon_sym_try = 28,
  anon_sym_break = 29,
  anon_sym_continue = 30,
  anon_sym_debugger = 31,
  anon_sym_return = 32,
  anon_sym_throw = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  sym_glimmer_opening_tag = 43,
  sym_glimmer_closing_tag = 44,
  sym_html_character_reference = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  sym_jsx_identifier = 48,
  anon_sym_DOT = 49,
  anon_sym_LT_SLASH = 50,
  anon_sym_SLASH_GT = 51,
  anon_sym_DQUOTE = 52,
  anon_sym_SQUOTE = 53,
  sym_unescaped_double_jsx_string_fragment = 54,
  sym_unescaped_single_jsx_string_fragment = 55,
  anon_sym_class = 56,
  anon_sym_extends = 57,
  anon_sym_async = 58,
  anon_sym_function = 59,
  anon_sym_EQ_GT = 60,
  sym_optional_chain = 61,
  anon_sym_new = 62,
  anon_sym_PLUS_EQ = 63,
  anon_sym_DASH_EQ = 64,
  anon_sym_STAR_EQ = 65,
  anon_sym_SLASH_EQ = 66,
  anon_sym_PERCENT_EQ = 67,
  anon_sym_CARET_EQ = 68,
  anon_sym_AMP_EQ = 69,
  anon_sym_PIPE_EQ = 70,
  anon_sym_GT_GT_EQ = 71,
  anon_sym_GT_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_STAR_STAR_EQ = 74,
  anon_sym_AMP_AMP_EQ = 75,
  anon_sym_PIPE_PIPE_EQ = 76,
  anon_sym_QMARK_QMARK_EQ = 77,
  anon_sym_DOT_DOT_DOT = 78,
  anon_sym_AMP_AMP = 79,
  anon_sym_PIPE_PIPE = 80,
  anon_sym_GT_GT = 81,
  anon_sym_GT_GT_GT = 82,
  anon_sym_LT_LT = 83,
  anon_sym_AMP = 84,
  anon_sym_CARET = 85,
  anon_sym_PIPE = 86,
  anon_sym_PLUS = 87,
  anon_sym_DASH = 88,
  anon_sym_SLASH = 89,
  anon_sym_PERCENT = 90,
  anon_sym_STAR_STAR = 91,
  anon_sym_LT_EQ = 92,
  anon_sym_EQ_EQ = 93,
  anon_sym_EQ_EQ_EQ = 94,
  anon_sym_BANG_EQ = 95,
  anon_sym_BANG_EQ_EQ = 96,
  anon_sym_GT_EQ = 97,
  anon_sym_QMARK_QMARK = 98,
  anon_sym_instanceof = 99,
  anon_sym_BANG = 100,
  anon_sym_TILDE = 101,
  anon_sym_typeof = 102,
  anon_sym_void = 103,
  anon_sym_delete = 104,
  anon_sym_PLUS_PLUS = 105,
  anon_sym_DASH_DASH = 106,
  sym_unescaped_double_string_fragment = 107,
  sym_unescaped_single_string_fragment = 108,
  sym_escape_sequence = 109,
  sym_comment = 110,
  anon_sym_BQUOTE = 111,
  anon_sym_DOLLAR_LBRACE = 112,
  anon_sym_SLASH2 = 113,
  sym_regex_pattern = 114,
  sym_regex_flags = 115,
  sym_number = 116,
  sym_private_property_identifier = 117,
  anon_sym_target = 118,
  anon_sym_meta = 119,
  sym_this = 120,
  sym_super = 121,
  sym_true = 122,
  sym_false = 123,
  sym_null = 124,
  sym_undefined = 125,
  anon_sym_AT = 126,
  anon_sym_static = 127,
  aux_sym_method_definition_token1 = 128,
  anon_sym_get = 129,
  anon_sym_set = 130,
  sym__automatic_semicolon = 131,
  sym__template_chars = 132,
  sym__ternary_qmark = 133,
  sym_html_comment = 134,
  sym_jsx_text = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_statement = 151,
  sym_expression_statement = 152,
  sym_variable_declaration = 153,
  sym_lexical_declaration = 154,
  sym_variable_declarator = 155,
  sym_statement_block = 156,
  sym_else_clause = 157,
  sym_if_statement = 158,
  sym_switch_statement = 159,
  sym_for_statement = 160,
  sym_for_in_statement = 161,
  sym__for_header = 162,
  sym_while_statement = 163,
  sym_do_statement = 164,
  sym_try_statement = 165,
  sym_with_statement = 166,
  sym_break_statement = 167,
  sym_continue_statement = 168,
  sym_debugger_statement = 169,
  sym_return_statement = 170,
  sym_throw_statement = 171,
  sym_empty_statement = 172,
  sym_labeled_statement = 173,
  sym_switch_body = 174,
  sym_switch_case = 175,
  sym_switch_default = 176,
  sym_catch_clause = 177,
  sym_finally_clause = 178,
  sym_parenthesized_expression = 179,
  sym_expression = 180,
  sym_primary_expression = 181,
  sym_yield_expression = 182,
  sym_object = 183,
  sym_object_pattern = 184,
  sym_assignment_pattern = 185,
  sym_object_assignment_pattern = 186,
  sym_array = 187,
  sym_array_pattern = 188,
  sym_glimmer_template = 189,
  sym_jsx_element = 190,
  sym_jsx_expression = 191,
  sym_jsx_opening_element = 192,
  sym_nested_identifier = 193,
  sym_jsx_namespace_name = 194,
  sym_jsx_closing_element = 195,
  sym_jsx_self_closing_element = 196,
  sym_jsx_attribute = 197,
  sym__jsx_string = 198,
  sym_class = 199,
  sym_class_declaration = 200,
  sym_class_heritage = 201,
  sym_function_expression = 202,
  sym_function_declaration = 203,
  sym_generator_function = 204,
  sym_generator_function_declaration = 205,
  sym_arrow_function = 206,
  sym_call_expression = 207,
  sym_new_expression = 208,
  sym_await_expression = 209,
  sym_member_expression = 210,
  sym_subscript_expression = 211,
  sym_assignment_expression = 212,
  sym__augmented_assignment_lhs = 213,
  sym_augmented_assignment_expression = 214,
  sym__initializer = 215,
  sym__destructuring_pattern = 216,
  sym_spread_element = 217,
  sym_ternary_expression = 218,
  sym_binary_expression = 219,
  sym_unary_expression = 220,
  sym_update_expression = 221,
  sym_sequence_expression = 222,
  sym_string = 223,
  sym_template_string = 224,
  sym_template_substitution = 225,
  sym_regex = 226,
  sym_meta_property = 227,
  sym_arguments = 228,
  sym_decorator = 229,
  sym_decorator_member_expression = 230,
  sym_decorator_call_expression = 231,
  sym_class_body = 232,
  sym_field_definition = 233,
  sym_formal_parameters = 234,
  sym_class_static_block = 235,
  sym_pattern = 236,
  sym_rest_pattern = 237,
  sym_method_definition = 238,
  sym_pair = 239,
  sym_pair_pattern = 240,
  sym__property_name = 241,
  sym_computed_property_name = 242,
  aux_sym_program_repeat1 = 243,
  aux_sym_export_statement_repeat1 = 244,
  aux_sym_export_clause_repeat1 = 245,
  aux_sym_named_imports_repeat1 = 246,
  aux_sym_variable_declaration_repeat1 = 247,
  aux_sym_switch_body_repeat1 = 248,
  aux_sym_object_repeat1 = 249,
  aux_sym_object_pattern_repeat1 = 250,
  aux_sym_array_repeat1 = 251,
  aux_sym_array_pattern_repeat1 = 252,
  aux_sym_glimmer_template_repeat1 = 253,
  aux_sym_jsx_element_repeat1 = 254,
  aux_sym_jsx_opening_element_repeat1 = 255,
  aux_sym__jsx_string_repeat1 = 256,
  aux_sym__jsx_string_repeat2 = 257,
  aux_sym_sequence_expression_repeat1 = 258,
  aux_sym_string_repeat1 = 259,
  aux_sym_string_repeat2 = 260,
  aux_sym_template_string_repeat1 = 261,
  aux_sym_class_body_repeat1 = 262,
  aux_sym_formal_parameters_repeat1 = 263,
  alias_sym_property_identifier = 264,
  alias_sym_shorthand_property_identifier = 265,
  alias_sym_shorthand_property_identifier_pattern = 266,
  alias_sym_statement_identifier = 267,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_SEMI] = ";",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [anon_sym_meta] = "meta",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_jsx_text] = "jsx_text",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [anon_sym_meta] = anon_sym_meta,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_jsx_text] = sym_jsx_text,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_meta] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 1},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 3},
  [32] = {.index = 48, .length = 1},
  [33] = {.index = 49, .length = 1},
  [34] = {.index = 50, .length = 1},
  [35] = {.index = 51, .length = 1},
  [36] = {.index = 52, .length = 1},
  [37] = {.index = 53, .length = 2},
  [38] = {.index = 55, .length = 1},
  [39] = {.index = 56, .length = 2},
  [40] = {.index = 58, .length = 2},
  [41] = {.index = 60, .length = 1},
  [42] = {.index = 18, .length = 2},
  [43] = {.index = 20, .length = 2},
  [44] = {.index = 61, .length = 3},
  [45] = {.index = 64, .length = 2},
  [46] = {.index = 64, .length = 2},
  [47] = {.index = 66, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 4},
  [104] = {.index = 202, .length = 3},
  [105] = {.index = 205, .length = 2},
  [106] = {.index = 207, .length = 4},
  [107] = {.index = 211, .length = 5},
  [108] = {.index = 216, .length = 4},
  [109] = {.index = 220, .length = 5},
  [110] = {.index = 225, .length = 4},
  [111] = {.index = 229, .length = 4},
  [112] = {.index = 233, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [6] =
    {field_constructor, 1},
  [7] =
    {field_argument, 1},
    {field_operator, 0},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_argument, 0},
    {field_operator, 1},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [48] =
    {field_name, 1},
  [49] =
    {field_attribute, 0},
  [50] =
    {field_template, 0},
  [51] =
    {field_member, 0},
  [52] =
    {field_property, 0},
  [53] =
    {field_body, 2},
    {field_name, 1},
  [55] =
    {field_body, 2},
  [56] =
    {field_body, 2},
    {field_parameters, 1},
  [58] =
    {field_arguments, 2},
    {field_constructor, 1},
  [60] =
    {field_pattern, 1},
  [61] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [64] =
    {field_object, 0},
    {field_property, 2},
  [66] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [69] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 6},
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 2},
  [202] =
    {field_body, 6},
    {field_condition, 4},
    {field_initializer, 2},
  [205] =
    {field_body, 4},
    {field_parameter, 2},
  [207] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [211] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [216] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
  [220] =
    {field_body, 7},
    {field_condition, 3},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [225] =
    {field_body, 7},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [229] =
    {field_body, 7},
    {field_condition, 4},
    {field_condition, 5},
    {field_initializer, 2},
  [233] =
    {field_body, 8},
    {field_condition, 4},
    {field_condition, 5},
    {field_increment, 6},
    {field_initializer, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [45] = {
    [2] = alias_sym_property_identifier,
  },
  [47] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 12,
  [17] = 12,
  [18] = 13,
  [19] = 19,
  [20] = 13,
  [21] = 12,
  [22] = 13,
  [23] = 13,
  [24] = 12,
  [25] = 13,
  [26] = 12,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 27,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 28,
  [38] = 38,
  [39] = 39,
  [40] = 30,
  [41] = 41,
  [42] = 41,
  [43] = 43,
  [44] = 44,
  [45] = 39,
  [46] = 43,
  [47] = 47,
  [48] = 32,
  [49] = 29,
  [50] = 33,
  [51] = 47,
  [52] = 34,
  [53] = 53,
  [54] = 38,
  [55] = 35,
  [56] = 44,
  [57] = 36,
  [58] = 58,
  [59] = 58,
  [60] = 58,
  [61] = 58,
  [62] = 58,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 67,
  [70] = 67,
  [71] = 71,
  [72] = 67,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 67,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 67,
  [85] = 85,
  [86] = 86,
  [87] = 86,
  [88] = 85,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 91,
  [93] = 93,
  [94] = 90,
  [95] = 95,
  [96] = 96,
  [97] = 95,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 100,
  [102] = 102,
  [103] = 103,
  [104] = 100,
  [105] = 105,
  [106] = 106,
  [107] = 105,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 110,
  [112] = 112,
  [113] = 113,
  [114] = 113,
  [115] = 115,
  [116] = 116,
  [117] = 116,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 115,
  [122] = 118,
  [123] = 120,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 125,
  [133] = 124,
  [134] = 125,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 135,
  [139] = 139,
  [140] = 127,
  [141] = 141,
  [142] = 124,
  [143] = 126,
  [144] = 127,
  [145] = 129,
  [146] = 130,
  [147] = 130,
  [148] = 126,
  [149] = 129,
  [150] = 124,
  [151] = 127,
  [152] = 126,
  [153] = 125,
  [154] = 131,
  [155] = 127,
  [156] = 131,
  [157] = 124,
  [158] = 129,
  [159] = 130,
  [160] = 160,
  [161] = 160,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 125,
  [166] = 129,
  [167] = 130,
  [168] = 128,
  [169] = 131,
  [170] = 131,
  [171] = 126,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 179,
  [181] = 177,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 183,
  [186] = 176,
  [187] = 187,
  [188] = 177,
  [189] = 179,
  [190] = 184,
  [191] = 191,
  [192] = 178,
  [193] = 193,
  [194] = 194,
  [195] = 191,
  [196] = 196,
  [197] = 183,
  [198] = 198,
  [199] = 184,
  [200] = 200,
  [201] = 175,
  [202] = 202,
  [203] = 203,
  [204] = 174,
  [205] = 194,
  [206] = 196,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 183,
  [212] = 198,
  [213] = 213,
  [214] = 200,
  [215] = 202,
  [216] = 203,
  [217] = 174,
  [218] = 207,
  [219] = 208,
  [220] = 209,
  [221] = 210,
  [222] = 222,
  [223] = 223,
  [224] = 222,
  [225] = 196,
  [226] = 223,
  [227] = 227,
  [228] = 227,
  [229] = 176,
  [230] = 176,
  [231] = 231,
  [232] = 227,
  [233] = 184,
  [234] = 234,
  [235] = 191,
  [236] = 223,
  [237] = 222,
  [238] = 210,
  [239] = 191,
  [240] = 178,
  [241] = 241,
  [242] = 242,
  [243] = 209,
  [244] = 208,
  [245] = 207,
  [246] = 227,
  [247] = 223,
  [248] = 177,
  [249] = 194,
  [250] = 222,
  [251] = 184,
  [252] = 175,
  [253] = 198,
  [254] = 210,
  [255] = 179,
  [256] = 183,
  [257] = 174,
  [258] = 209,
  [259] = 259,
  [260] = 208,
  [261] = 203,
  [262] = 207,
  [263] = 231,
  [264] = 174,
  [265] = 203,
  [266] = 200,
  [267] = 202,
  [268] = 202,
  [269] = 202,
  [270] = 200,
  [271] = 200,
  [272] = 213,
  [273] = 198,
  [274] = 198,
  [275] = 196,
  [276] = 191,
  [277] = 196,
  [278] = 194,
  [279] = 279,
  [280] = 178,
  [281] = 194,
  [282] = 203,
  [283] = 178,
  [284] = 284,
  [285] = 207,
  [286] = 208,
  [287] = 287,
  [288] = 176,
  [289] = 179,
  [290] = 227,
  [291] = 209,
  [292] = 210,
  [293] = 293,
  [294] = 222,
  [295] = 177,
  [296] = 223,
  [297] = 297,
  [298] = 297,
  [299] = 297,
  [300] = 300,
  [301] = 301,
  [302] = 300,
  [303] = 301,
  [304] = 301,
  [305] = 305,
  [306] = 305,
  [307] = 307,
  [308] = 307,
  [309] = 307,
  [310] = 305,
  [311] = 311,
  [312] = 311,
  [313] = 81,
  [314] = 314,
  [315] = 76,
  [316] = 311,
  [317] = 317,
  [318] = 318,
  [319] = 311,
  [320] = 311,
  [321] = 317,
  [322] = 322,
  [323] = 317,
  [324] = 324,
  [325] = 78,
  [326] = 322,
  [327] = 73,
  [328] = 311,
  [329] = 324,
  [330] = 318,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 81,
  [337] = 78,
  [338] = 338,
  [339] = 311,
  [340] = 340,
  [341] = 341,
  [342] = 71,
  [343] = 343,
  [344] = 322,
  [345] = 345,
  [346] = 83,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 73,
  [353] = 353,
  [354] = 76,
  [355] = 340,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 361,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 332,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 311,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 311,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 429,
  [432] = 353,
  [433] = 433,
  [434] = 429,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 440,
  [443] = 441,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 353,
  [450] = 450,
  [451] = 436,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 441,
  [456] = 353,
  [457] = 440,
  [458] = 458,
  [459] = 437,
  [460] = 460,
  [461] = 440,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 436,
  [466] = 439,
  [467] = 441,
  [468] = 433,
  [469] = 469,
  [470] = 430,
  [471] = 435,
  [472] = 441,
  [473] = 440,
  [474] = 460,
  [475] = 438,
  [476] = 462,
  [477] = 458,
  [478] = 441,
  [479] = 469,
  [480] = 440,
  [481] = 464,
  [482] = 482,
  [483] = 436,
  [484] = 484,
  [485] = 485,
  [486] = 485,
  [487] = 436,
  [488] = 463,
  [489] = 489,
  [490] = 490,
  [491] = 462,
  [492] = 440,
  [493] = 441,
  [494] = 458,
  [495] = 484,
  [496] = 441,
  [497] = 482,
  [498] = 440,
  [499] = 485,
  [500] = 440,
  [501] = 489,
  [502] = 441,
  [503] = 436,
  [504] = 490,
  [505] = 63,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 76,
  [510] = 510,
  [511] = 511,
  [512] = 81,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 83,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 78,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 71,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 73,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 78,
  [579] = 506,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 81,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 76,
  [590] = 590,
  [591] = 591,
  [592] = 523,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 571,
  [597] = 71,
  [598] = 508,
  [599] = 599,
  [600] = 83,
  [601] = 562,
  [602] = 602,
  [603] = 73,
  [604] = 507,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 571,
  [615] = 527,
  [616] = 63,
  [617] = 515,
  [618] = 514,
  [619] = 513,
  [620] = 620,
  [621] = 533,
  [622] = 562,
  [623] = 510,
  [624] = 63,
  [625] = 511,
  [626] = 523,
  [627] = 508,
  [628] = 628,
  [629] = 66,
  [630] = 595,
  [631] = 519,
  [632] = 558,
  [633] = 524,
  [634] = 563,
  [635] = 594,
  [636] = 588,
  [637] = 607,
  [638] = 537,
  [639] = 538,
  [640] = 560,
  [641] = 580,
  [642] = 570,
  [643] = 583,
  [644] = 549,
  [645] = 523,
  [646] = 581,
  [647] = 572,
  [648] = 569,
  [649] = 582,
  [650] = 568,
  [651] = 588,
  [652] = 566,
  [653] = 561,
  [654] = 590,
  [655] = 551,
  [656] = 530,
  [657] = 548,
  [658] = 68,
  [659] = 586,
  [660] = 590,
  [661] = 550,
  [662] = 545,
  [663] = 525,
  [664] = 608,
  [665] = 517,
  [666] = 559,
  [667] = 539,
  [668] = 64,
  [669] = 591,
  [670] = 522,
  [671] = 607,
  [672] = 571,
  [673] = 516,
  [674] = 674,
  [675] = 674,
  [676] = 591,
  [677] = 574,
  [678] = 594,
  [679] = 531,
  [680] = 546,
  [681] = 508,
  [682] = 547,
  [683] = 577,
  [684] = 77,
  [685] = 544,
  [686] = 576,
  [687] = 534,
  [688] = 535,
  [689] = 575,
  [690] = 536,
  [691] = 587,
  [692] = 562,
  [693] = 609,
  [694] = 610,
  [695] = 555,
  [696] = 65,
  [697] = 587,
  [698] = 554,
  [699] = 526,
  [700] = 611,
  [701] = 521,
  [702] = 82,
  [703] = 540,
  [704] = 541,
  [705] = 520,
  [706] = 542,
  [707] = 553,
  [708] = 595,
  [709] = 612,
  [710] = 599,
  [711] = 613,
  [712] = 608,
  [713] = 609,
  [714] = 610,
  [715] = 75,
  [716] = 508,
  [717] = 580,
  [718] = 611,
  [719] = 612,
  [720] = 74,
  [721] = 613,
  [722] = 606,
  [723] = 605,
  [724] = 573,
  [725] = 602,
  [726] = 564,
  [727] = 593,
  [728] = 586,
  [729] = 581,
  [730] = 584,
  [731] = 583,
  [732] = 543,
  [733] = 582,
  [734] = 552,
  [735] = 606,
  [736] = 599,
  [737] = 584,
  [738] = 605,
  [739] = 528,
  [740] = 602,
  [741] = 553,
  [742] = 567,
  [743] = 593,
  [744] = 532,
  [745] = 556,
  [746] = 523,
  [747] = 747,
  [748] = 571,
  [749] = 562,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 628,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 584,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 762,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 523,
  [773] = 773,
  [774] = 774,
  [775] = 674,
  [776] = 587,
  [777] = 777,
  [778] = 774,
  [779] = 779,
  [780] = 780,
  [781] = 769,
  [782] = 771,
  [783] = 571,
  [784] = 784,
  [785] = 785,
  [786] = 765,
  [787] = 759,
  [788] = 607,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 588,
  [793] = 770,
  [794] = 794,
  [795] = 784,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 582,
  [800] = 583,
  [801] = 586,
  [802] = 593,
  [803] = 794,
  [804] = 602,
  [805] = 605,
  [806] = 779,
  [807] = 580,
  [808] = 581,
  [809] = 809,
  [810] = 590,
  [811] = 771,
  [812] = 777,
  [813] = 620,
  [814] = 591,
  [815] = 794,
  [816] = 594,
  [817] = 606,
  [818] = 595,
  [819] = 599,
  [820] = 608,
  [821] = 764,
  [822] = 609,
  [823] = 610,
  [824] = 766,
  [825] = 611,
  [826] = 613,
  [827] = 612,
  [828] = 794,
  [829] = 773,
  [830] = 562,
  [831] = 583,
  [832] = 508,
  [833] = 581,
  [834] = 607,
  [835] = 590,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 553,
  [840] = 840,
  [841] = 841,
  [842] = 837,
  [843] = 837,
  [844] = 608,
  [845] = 605,
  [846] = 606,
  [847] = 837,
  [848] = 591,
  [849] = 594,
  [850] = 610,
  [851] = 595,
  [852] = 613,
  [853] = 599,
  [854] = 586,
  [855] = 837,
  [856] = 582,
  [857] = 612,
  [858] = 609,
  [859] = 837,
  [860] = 860,
  [861] = 587,
  [862] = 750,
  [863] = 584,
  [864] = 580,
  [865] = 602,
  [866] = 611,
  [867] = 588,
  [868] = 593,
  [869] = 869,
  [870] = 869,
  [871] = 869,
  [872] = 872,
  [873] = 759,
  [874] = 869,
  [875] = 872,
  [876] = 869,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 878,
  [881] = 881,
  [882] = 882,
  [883] = 881,
  [884] = 882,
  [885] = 882,
  [886] = 886,
  [887] = 882,
  [888] = 881,
  [889] = 881,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 892,
  [894] = 894,
  [895] = 895,
  [896] = 895,
  [897] = 895,
  [898] = 895,
  [899] = 899,
  [900] = 895,
  [901] = 899,
  [902] = 895,
  [903] = 899,
  [904] = 899,
  [905] = 899,
  [906] = 899,
  [907] = 907,
  [908] = 907,
  [909] = 907,
  [910] = 907,
  [911] = 907,
  [912] = 907,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 81,
  [954] = 76,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 78,
  [970] = 970,
  [971] = 559,
  [972] = 972,
  [973] = 563,
  [974] = 974,
  [975] = 975,
  [976] = 73,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 927,
  [981] = 981,
  [982] = 981,
  [983] = 983,
  [984] = 927,
  [985] = 921,
  [986] = 986,
  [987] = 987,
  [988] = 926,
  [989] = 966,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 537,
  [994] = 994,
  [995] = 995,
  [996] = 548,
  [997] = 990,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 517,
  [1002] = 967,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1005,
  [1009] = 957,
  [1010] = 947,
  [1011] = 961,
  [1012] = 994,
  [1013] = 1003,
  [1014] = 1004,
  [1015] = 1015,
  [1016] = 961,
  [1017] = 1006,
  [1018] = 1007,
  [1019] = 1019,
  [1020] = 1015,
  [1021] = 998,
  [1022] = 1019,
  [1023] = 1000,
  [1024] = 999,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1027,
  [1029] = 1029,
  [1030] = 1025,
  [1031] = 1027,
  [1032] = 1027,
  [1033] = 1033,
  [1034] = 1027,
  [1035] = 1029,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1037,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1026,
  [1043] = 1033,
  [1044] = 1041,
  [1045] = 1040,
  [1046] = 1038,
  [1047] = 1036,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1049,
  [1051] = 1051,
  [1052] = 1051,
  [1053] = 1053,
  [1054] = 1051,
  [1055] = 1051,
  [1056] = 1053,
  [1057] = 1049,
  [1058] = 1053,
  [1059] = 1049,
  [1060] = 1053,
  [1061] = 1061,
  [1062] = 1061,
  [1063] = 1063,
  [1064] = 1063,
  [1065] = 1065,
  [1066] = 1063,
  [1067] = 1061,
  [1068] = 1061,
  [1069] = 1063,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1072,
  [1074] = 1074,
  [1075] = 1074,
  [1076] = 1076,
  [1077] = 1074,
  [1078] = 1071,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1071,
  [1082] = 1072,
  [1083] = 1079,
  [1084] = 1072,
  [1085] = 1080,
  [1086] = 1079,
  [1087] = 1071,
  [1088] = 1080,
  [1089] = 1079,
  [1090] = 1080,
  [1091] = 1091,
  [1092] = 1074,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1101,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1101,
  [1109] = 1101,
  [1110] = 1101,
  [1111] = 1111,
  [1112] = 1101,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1096,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1123,
  [1126] = 1126,
  [1127] = 527,
  [1128] = 1128,
  [1129] = 533,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1118,
  [1141] = 1098,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1136,
  [1147] = 1117,
  [1148] = 1148,
  [1149] = 1111,
  [1150] = 575,
  [1151] = 1151,
  [1152] = 545,
  [1153] = 530,
  [1154] = 531,
  [1155] = 558,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 533,
  [1160] = 1160,
  [1161] = 527,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1158,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1160,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1166,
  [1173] = 545,
  [1174] = 1174,
  [1175] = 1171,
  [1176] = 519,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1167,
  [1180] = 1180,
  [1181] = 516,
  [1182] = 520,
  [1183] = 519,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 521,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 575,
  [1194] = 530,
  [1195] = 531,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 516,
  [1199] = 1166,
  [1200] = 1166,
  [1201] = 1180,
  [1202] = 1202,
  [1203] = 558,
  [1204] = 1167,
  [1205] = 1188,
  [1206] = 1157,
  [1207] = 1196,
  [1208] = 1167,
  [1209] = 1187,
  [1210] = 1210,
  [1211] = 1192,
  [1212] = 1178,
  [1213] = 1213,
  [1214] = 520,
  [1215] = 1215,
  [1216] = 521,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1218,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1218,
  [1224] = 1224,
  [1225] = 1219,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1138,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1130,
  [1235] = 1128,
  [1236] = 1233,
  [1237] = 1232,
  [1238] = 1238,
  [1239] = 1219,
  [1240] = 1218,
  [1241] = 1222,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1232,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1099,
  [1250] = 1250,
  [1251] = 1232,
  [1252] = 1233,
  [1253] = 1219,
  [1254] = 1242,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1233,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1262,
  [1266] = 1263,
  [1267] = 1106,
  [1268] = 1224,
  [1269] = 1243,
  [1270] = 1190,
  [1271] = 1228,
  [1272] = 1227,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1255,
  [1284] = 1231,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1286,
  [1290] = 1244,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1293,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 335,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1296,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1291,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1306,
  [1335] = 1335,
  [1336] = 1313,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1298,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1337,
  [1345] = 1338,
  [1346] = 1337,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1328,
  [1353] = 1353,
  [1354] = 1327,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1318,
  [1359] = 1337,
  [1360] = 1360,
  [1361] = 1321,
  [1362] = 1328,
  [1363] = 1327,
  [1364] = 1364,
  [1365] = 1308,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1307,
  [1369] = 1355,
  [1370] = 1318,
  [1371] = 1326,
  [1372] = 1367,
  [1373] = 1325,
  [1374] = 1320,
  [1375] = 1315,
  [1376] = 1320,
  [1377] = 1339,
  [1378] = 1322,
  [1379] = 1379,
  [1380] = 1330,
  [1381] = 1306,
  [1382] = 1339,
  [1383] = 1298,
  [1384] = 1305,
  [1385] = 1367,
  [1386] = 1360,
  [1387] = 1326,
  [1388] = 1388,
  [1389] = 1304,
  [1390] = 1342,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1292,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 567,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1396,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1395,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1230,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1424,
  [1461] = 1461,
  [1462] = 1426,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1426,
  [1479] = 1397,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1402,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1424,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1441,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1477,
  [1495] = 1489,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1414,
  [1515] = 1515,
  [1516] = 1417,
  [1517] = 1517,
  [1518] = 1420,
  [1519] = 1427,
  [1520] = 1438,
  [1521] = 1439,
  [1522] = 1463,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1517,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1537,
  [1540] = 1504,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1501,
  [1544] = 1544,
  [1545] = 1528,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1512,
  [1549] = 1509,
  [1550] = 1507,
  [1551] = 1547,
  [1552] = 1552,
  [1553] = 1480,
  [1554] = 1475,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1472,
  [1558] = 1459,
  [1559] = 1449,
  [1560] = 1530,
  [1561] = 1434,
  [1562] = 1457,
  [1563] = 1451,
  [1564] = 1450,
  [1565] = 1444,
  [1566] = 1443,
  [1567] = 1442,
  [1568] = 1568,
  [1569] = 1430,
  [1570] = 1570,
  [1571] = 1412,
  [1572] = 1572,
  [1573] = 1401,
  [1574] = 1574,
  [1575] = 525,
  [1576] = 1532,
  [1577] = 1433,
  [1578] = 1436,
  [1579] = 1445,
  [1580] = 1446,
  [1581] = 1452,
  [1582] = 1454,
  [1583] = 1455,
  [1584] = 1456,
  [1585] = 1461,
  [1586] = 1469,
  [1587] = 1470,
  [1588] = 1471,
  [1589] = 1589,
  [1590] = 1533,
  [1591] = 1552,
  [1592] = 1416,
  [1593] = 1505,
  [1594] = 1410,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1574,
  [1599] = 1572,
  [1600] = 1404,
  [1601] = 1407,
  [1602] = 1486,
  [1603] = 1603,
  [1604] = 1534,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1535,
  [1608] = 1502,
  [1609] = 1609,
  [1610] = 1411,
  [1611] = 1526,
  [1612] = 1491,
  [1613] = 1415,
  [1614] = 1499,
  [1615] = 1458,
  [1616] = 1597,
  [1617] = 1493,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1596,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1474,
  [1624] = 1513,
  [1625] = 1625,
  [1626] = 1595,
  [1627] = 1536,
  [1628] = 1426,
  [1629] = 1424,
  [1630] = 1506,
  [1631] = 1503,
  [1632] = 1500,
  [1633] = 1546,
  [1634] = 524,
  [1635] = 1541,
  [1636] = 1636,
  [1637] = 1542,
  [1638] = 1544,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1639,
  [1645] = 1645,
  [1646] = 1640,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1650,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1641,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1245,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1672,
  [1677] = 1664,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1653,
  [1683] = 1683,
  [1684] = 1654,
  [1685] = 1685,
  [1686] = 1658,
  [1687] = 1659,
  [1688] = 1642,
  [1689] = 1641,
  [1690] = 1690,
  [1691] = 1658,
  [1692] = 1659,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1662,
  [1696] = 1696,
  [1697] = 1647,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1660,
  [1702] = 1702,
  [1703] = 1647,
  [1704] = 1653,
  [1705] = 1705,
  [1706] = 1683,
  [1707] = 1707,
  [1708] = 1683,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1647,
  [1715] = 1715,
  [1716] = 1645,
  [1717] = 1663,
  [1718] = 1640,
  [1719] = 1665,
  [1720] = 1720,
  [1721] = 1699,
  [1722] = 1648,
  [1723] = 1648,
  [1724] = 1648,
  [1725] = 1650,
  [1726] = 1645,
  [1727] = 1641,
  [1728] = 1659,
  [1729] = 1658,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1657,
  [1734] = 1645,
  [1735] = 1650,
  [1736] = 1653,
  [1737] = 1658,
  [1738] = 1648,
  [1739] = 1659,
  [1740] = 1641,
  [1741] = 1645,
  [1742] = 1683,
  [1743] = 1640,
  [1744] = 1671,
  [1745] = 1640,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(145);
      ADVANCE_MAP(
        '!', 253,
        '"', 186,
        '#', 4,
        '$', 300,
        '%', 241,
        '&', 228,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 148,
        '+', 235,
        ',', 151,
        '-', 237,
        '.', 182,
        '/', 280,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 172,
        '=', 159,
        '>', 178,
        '?', 31,
        '@', 304,
        '[', 161,
        '\\', 99,
        ']', 162,
        '^', 231,
        '`', 278,
        's', 298,
        '{', 150,
        '|', 232,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(142);
      if (lookahead > '@') ADVANCE(302);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(305);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead == '<') ADVANCE(166);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(165);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(35);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '[') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(141);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(281);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(146);
      if (lookahead == '\\') ADVANCE(100);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(303);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 252,
        '"', 186,
        '#', 79,
        '\'', 187,
        '(', 153,
        '*', 147,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 30,
        '/', 238,
        '0', 285,
        ';', 154,
        '<', 176,
        '@', 304,
        '[', 161,
        '\\', 101,
        '`', 278,
        's', 298,
        '{', 150,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 252,
        '"', 186,
        '#', 79,
        '\'', 187,
        '(', 153,
        '+', 234,
        '-', 236,
        '.', 183,
        '/', 238,
        '0', 285,
        ':', 156,
        '<', 176,
        '>', 177,
        '@', 304,
        '[', 161,
        '\\', 101,
        '`', 278,
        '{', 150,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 75,
        '"', 186,
        '#', 79,
        '%', 241,
        '&', 228,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 148,
        '+', 235,
        ',', 151,
        '-', 237,
        '.', 183,
        '/', 239,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 173,
        '=', 159,
        '>', 178,
        '?', 31,
        '@', 304,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 231,
        '`', 278,
        '{', 150,
        '|', 232,
        '}', 152,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 75,
        '%', 240,
        '&', 229,
        '(', 153,
        ')', 155,
        '*', 149,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 181,
        '/', 238,
        ':', 156,
        ';', 154,
        '<', 174,
        '=', 158,
        '>', 179,
        '?', 32,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 230,
        '`', 278,
        '{', 150,
        '|', 233,
        '}', 152,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 75,
        '%', 240,
        '&', 229,
        '(', 153,
        ')', 155,
        '*', 149,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 181,
        '/', 238,
        ':', 156,
        ';', 154,
        '<', 174,
        '=', 76,
        '>', 179,
        '?', 32,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 230,
        '`', 278,
        '{', 150,
        '|', 233,
        '}', 152,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(283);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 75,
        '%', 240,
        '&', 229,
        '(', 153,
        ')', 155,
        '*', 149,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 181,
        '/', 238,
        ':', 156,
        ';', 154,
        '<', 174,
        '=', 76,
        '>', 179,
        '?', 32,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 230,
        '`', 278,
        '{', 150,
        '|', 233,
        '}', 152,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '"', 186,
        '#', 79,
        '&', 16,
        '\'', 187,
        '(', 153,
        '*', 147,
        '.', 183,
        '/', 24,
        '0', 285,
        '<', 171,
        '@', 304,
        '[', 161,
        '\\', 101,
        's', 298,
        '{', 150,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(189);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(188);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '"', 186,
        '\'', 187,
        '.', 181,
        '/', 25,
        ':', 156,
        '<', 170,
        '=', 157,
        '>', 177,
        '\\', 101,
        '{', 150,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      if (lookahead > '~') ADVANCE(302);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '/') ADVANCE(24);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '/') ADVANCE(257);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(14);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(260);
      if (lookahead != 0) ADVANCE(262);
      END_STATE();
    case 16:
      if (lookahead == '#') ADVANCE(113);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 17:
      if (lookahead == '#') ADVANCE(113);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(113);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 19:
      if (lookahead == '$') ADVANCE(103);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '`') ADVANCE(278);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 20:
      if (lookahead == '$') ADVANCE(103);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '`') ADVANCE(278);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 21:
      if (lookahead == '&') ADVANCE(17);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '/') ADVANCE(195);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(194);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 22:
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '/') ADVANCE(24);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(22);
      END_STATE();
    case 23:
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '/') ADVANCE(263);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(22);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(266);
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead == '>') ADVANCE(185);
      END_STATE();
    case 26:
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(274);
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(26);
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(27);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(27);
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 30:
      if (lookahead == '.') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(201);
      if (lookahead == '?') ADVANCE(251);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(201);
      if (lookahead == '?') ADVANCE(250);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(217);
      END_STATE();
    case 34:
      if (lookahead == '/') ADVANCE(280);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(35);
      END_STATE();
    case 35:
      if (lookahead == '/') ADVANCE(24);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(35);
      END_STATE();
    case 36:
      if (lookahead == ';') ADVANCE(169);
      END_STATE();
    case 37:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(36);
      END_STATE();
    case 38:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(38);
      END_STATE();
    case 40:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(39);
      END_STATE();
    case 41:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 42:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(36);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 76:
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 77:
      if (lookahead == '>') ADVANCE(167);
      END_STATE();
    case 78:
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 79:
      if (lookahead == '\\') ADVANCE(100);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(303);
      END_STATE();
    case 80:
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead == ']') ADVANCE(282);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(80);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(96);
      END_STATE();
    case 82:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 88:
      if (lookahead == 'g') ADVANCE(85);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(88);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(81);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(82);
      END_STATE();
    case 91:
      if (lookahead == 'm') ADVANCE(93);
      END_STATE();
    case 92:
      if (lookahead == 'm') ADVANCE(94);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(89);
      END_STATE();
    case 94:
      if (lookahead == 'p') ADVANCE(90);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 97:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 99:
      if (lookahead == 'u') ADVANCE(104);
      if (lookahead == 'x') ADVANCE(130);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(273);
      if (lookahead != 0) ADVANCE(269);
      END_STATE();
    case 100:
      if (lookahead == 'u') ADVANCE(105);
      END_STATE();
    case 101:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(107);
      if (lookahead == 'x') ADVANCE(130);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(273);
      if (lookahead != 0) ADVANCE(269);
      END_STATE();
    case 103:
      if (lookahead == '{') ADVANCE(279);
      END_STATE();
    case 104:
      if (lookahead == '{') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 105:
      if (lookahead == '{') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 106:
      if (lookahead == '{') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 107:
      if (lookahead == '{') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 108:
      if (lookahead == '}') ADVANCE(302);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 109:
      if (lookahead == '}') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 110:
      if (lookahead == '}') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 111:
      if (lookahead == '}') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 112:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 113:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(40);
      END_STATE();
    case 114:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(288);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(289);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(302);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(303);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(269);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(290);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(270);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 138:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(196);
      END_STATE();
    case 139:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(190);
      END_STATE();
    case 140:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(80);
      END_STATE();
    case 141:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(282);
      END_STATE();
    case 142:
      if (eof) ADVANCE(145);
      ADVANCE_MAP(
        '!', 253,
        '"', 186,
        '#', 4,
        '$', 300,
        '%', 241,
        '&', 228,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 148,
        '+', 235,
        ',', 151,
        '-', 237,
        '.', 182,
        '/', 239,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 172,
        '=', 159,
        '>', 178,
        '?', 31,
        '@', 304,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 231,
        '`', 278,
        's', 298,
        '{', 150,
        '|', 232,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(142);
      if (lookahead > '@') ADVANCE(302);
      END_STATE();
    case 143:
      if (eof) ADVANCE(145);
      ADVANCE_MAP(
        '!', 253,
        '"', 186,
        '#', 79,
        '%', 240,
        '&', 229,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 149,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 183,
        '/', 238,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 175,
        '=', 158,
        '>', 179,
        '?', 32,
        '@', 304,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 230,
        '`', 278,
        '{', 150,
        '|', 233,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(143);
      if (lookahead > '#') ADVANCE(302);
      END_STATE();
    case 144:
      if (eof) ADVANCE(145);
      ADVANCE_MAP(
        '!', 252,
        '"', 186,
        '#', 4,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 147,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 30,
        '/', 238,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 176,
        '=', 160,
        '>', 177,
        '@', 304,
        '[', 161,
        '\\', 101,
        ']', 162,
        '`', 278,
        '{', 150,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(144);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(243);
      if (lookahead == '=') ADVANCE(204);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(242);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(245);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead == '<') ADVANCE(166);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(165);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(163);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(98);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_glimmer_opening_tag);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_glimmer_closing_tag);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(184);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == '<') ADVANCE(227);
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(227);
      if (lookahead == '=') ADVANCE(244);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(226);
      if (lookahead == '=') ADVANCE(244);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(226);
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(249);
      if (lookahead == '>') ADVANCE(222);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(249);
      if (lookahead == '>') ADVANCE(223);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(189);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(190);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(139);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(190);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(29);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(192);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(29);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(192);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(17);
      if (lookahead == '/') ADVANCE(195);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(138);
      if (lookahead == '*') ADVANCE(198);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(28);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '/') ADVANCE(196);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(28);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(196);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(199);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(210);
      if (lookahead == '>') ADVANCE(225);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(211);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(212);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(219);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(218);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '|') ADVANCE(221);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(220);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(255);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(255);
      if (lookahead == '=') ADVANCE(202);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(256);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(256);
      if (lookahead == '=') ADVANCE(203);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead == '=') ADVANCE(205);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(206);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(213);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(248);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '/') ADVANCE(261);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(262);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(257);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(260);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(262);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(265);
      if (lookahead == '/') ADVANCE(267);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(268);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '/') ADVANCE(268);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(265);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(265);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(263);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(266);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(268);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(268);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(101);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(269);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(269);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(272);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(196);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(277);
      if (lookahead != 0) ADVANCE(199);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(190);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(277);
      if (lookahead != 0) ADVANCE(193);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(277);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(35);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '[') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(141);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(281);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(282);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(101);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(283);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 293,
        '0', 287,
        '_', 118,
        'n', 284,
        'B', 114,
        'b', 114,
        'E', 112,
        'e', 112,
        'O', 115,
        'o', 115,
        'X', 123,
        'x', 123,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(293);
      if (lookahead == '_') ADVANCE(116);
      if (lookahead == 'n') ADVANCE(284);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(118);
      if (lookahead == 'n') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(114);
      if (lookahead == 'n') ADVANCE(284);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(288);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(115);
      if (lookahead == 'n') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(289);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'n') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(290);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(117);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(180);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 'a') ADVANCE(299);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 'c') ADVANCE(301);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 'i') ADVANCE(296);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 't') ADVANCE(295);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 't') ADVANCE(297);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '{') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(88);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(100);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(305);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'r', 13,
        's', 14,
        't', 15,
        'u', 16,
        'v', 17,
        'w', 18,
        'y', 19,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'l') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'x') ADVANCE(29);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(36);
      if (lookahead == 'm') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(38);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 't') ADVANCE(46);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'w') ADVANCE(48);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'h') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 16:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(56);
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(59);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 26:
      if (lookahead == 'b') ADVANCE(66);
      if (lookahead == 'f') ADVANCE(67);
      if (lookahead == 'l') ADVANCE(68);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'p') ADVANCE(70);
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(72);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(74);
      END_STATE();
    case 33:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 37:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 41:
      if (lookahead == 'w') ADVANCE(82);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'u') ADVANCE(92);
      if (lookahead == 'y') ADVANCE(93);
      END_STATE();
    case 52:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 53:
      if (lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(102);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(103);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 63:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(107);
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(109);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 70:
      if (lookahead == 'o') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 72:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(116);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 75:
      if (lookahead == 'm') ADVANCE(117);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(118);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 84:
      if (lookahead == 'u') ADVANCE(123);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 86:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 89:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 90:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(129);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(135);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 103:
      if (lookahead == 'k') ADVANCE(139);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 105:
      if (lookahead == 'h') ADVANCE(140);
      END_STATE();
    case 106:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 108:
      if (lookahead == 'i') ADVANCE(143);
      END_STATE();
    case 109:
      if (lookahead == 'g') ADVANCE(144);
      END_STATE();
    case 110:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 113:
      if (lookahead == 'r') ADVANCE(147);
      END_STATE();
    case 114:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 118:
      if (lookahead == 't') ADVANCE(151);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(153);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_meta);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(154);
      END_STATE();
    case 124:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 125:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 126:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 129:
      if (lookahead == 'w') ADVANCE(159);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 131:
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 132:
      if (lookahead == 'f') ADVANCE(161);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(163);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'g') ADVANCE(165);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 148:
      if (lookahead == 'd') ADVANCE(169);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'i') ADVANCE(171);
      END_STATE();
    case 152:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 153:
      if (lookahead == 'n') ADVANCE(173);
      END_STATE();
    case 154:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 155:
      if (lookahead == 'c') ADVANCE(175);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 157:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 160:
      if (lookahead == 'f') ADVANCE(178);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(179);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 164:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 170:
      if (lookahead == 'y') ADVANCE(184);
      END_STATE();
    case 171:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(186);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 179:
      if (lookahead == 'n') ADVANCE(187);
      END_STATE();
    case 180:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 185:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 191:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(194);
      END_STATE();
    case 193:
      if (lookahead == 'f') ADVANCE(195);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 144, .external_lex_state = 2},
  [2] = {.lex_state = 5, .external_lex_state = 2},
  [3] = {.lex_state = 5, .external_lex_state = 2},
  [4] = {.lex_state = 5, .external_lex_state = 2},
  [5] = {.lex_state = 5, .external_lex_state = 2},
  [6] = {.lex_state = 5, .external_lex_state = 2},
  [7] = {.lex_state = 144, .external_lex_state = 2},
  [8] = {.lex_state = 144, .external_lex_state = 2},
  [9] = {.lex_state = 144, .external_lex_state = 2},
  [10] = {.lex_state = 144, .external_lex_state = 2},
  [11] = {.lex_state = 144, .external_lex_state = 2},
  [12] = {.lex_state = 144, .external_lex_state = 2},
  [13] = {.lex_state = 144, .external_lex_state = 2},
  [14] = {.lex_state = 144, .external_lex_state = 2},
  [15] = {.lex_state = 144, .external_lex_state = 2},
  [16] = {.lex_state = 144, .external_lex_state = 2},
  [17] = {.lex_state = 144, .external_lex_state = 2},
  [18] = {.lex_state = 144, .external_lex_state = 2},
  [19] = {.lex_state = 144, .external_lex_state = 2},
  [20] = {.lex_state = 144, .external_lex_state = 2},
  [21] = {.lex_state = 144, .external_lex_state = 2},
  [22] = {.lex_state = 144, .external_lex_state = 2},
  [23] = {.lex_state = 144, .external_lex_state = 2},
  [24] = {.lex_state = 144, .external_lex_state = 2},
  [25] = {.lex_state = 144, .external_lex_state = 2},
  [26] = {.lex_state = 144, .external_lex_state = 2},
  [27] = {.lex_state = 144, .external_lex_state = 2},
  [28] = {.lex_state = 144, .external_lex_state = 2},
  [29] = {.lex_state = 144, .external_lex_state = 2},
  [30] = {.lex_state = 144, .external_lex_state = 2},
  [31] = {.lex_state = 144, .external_lex_state = 2},
  [32] = {.lex_state = 144, .external_lex_state = 2},
  [33] = {.lex_state = 144, .external_lex_state = 2},
  [34] = {.lex_state = 144, .external_lex_state = 2},
  [35] = {.lex_state = 144, .external_lex_state = 2},
  [36] = {.lex_state = 144, .external_lex_state = 2},
  [37] = {.lex_state = 144, .external_lex_state = 2},
  [38] = {.lex_state = 144, .external_lex_state = 2},
  [39] = {.lex_state = 144, .external_lex_state = 2},
  [40] = {.lex_state = 144, .external_lex_state = 2},
  [41] = {.lex_state = 144, .external_lex_state = 2},
  [42] = {.lex_state = 144, .external_lex_state = 2},
  [43] = {.lex_state = 144, .external_lex_state = 2},
  [44] = {.lex_state = 144, .external_lex_state = 2},
  [45] = {.lex_state = 144, .external_lex_state = 2},
  [46] = {.lex_state = 144, .external_lex_state = 2},
  [47] = {.lex_state = 144, .external_lex_state = 2},
  [48] = {.lex_state = 144, .external_lex_state = 2},
  [49] = {.lex_state = 144, .external_lex_state = 2},
  [50] = {.lex_state = 144, .external_lex_state = 2},
  [51] = {.lex_state = 144, .external_lex_state = 2},
  [52] = {.lex_state = 144, .external_lex_state = 2},
  [53] = {.lex_state = 144, .external_lex_state = 2},
  [54] = {.lex_state = 144, .external_lex_state = 2},
  [55] = {.lex_state = 144, .external_lex_state = 2},
  [56] = {.lex_state = 144, .external_lex_state = 2},
  [57] = {.lex_state = 144, .external_lex_state = 2},
  [58] = {.lex_state = 143, .external_lex_state = 3},
  [59] = {.lex_state = 143, .external_lex_state = 4},
  [60] = {.lex_state = 143, .external_lex_state = 4},
  [61] = {.lex_state = 143, .external_lex_state = 3},
  [62] = {.lex_state = 143, .external_lex_state = 3},
  [63] = {.lex_state = 143, .external_lex_state = 4},
  [64] = {.lex_state = 143, .external_lex_state = 4},
  [65] = {.lex_state = 143, .external_lex_state = 4},
  [66] = {.lex_state = 143, .external_lex_state = 4},
  [67] = {.lex_state = 144, .external_lex_state = 2},
  [68] = {.lex_state = 143, .external_lex_state = 4},
  [69] = {.lex_state = 144, .external_lex_state = 2},
  [70] = {.lex_state = 144, .external_lex_state = 2},
  [71] = {.lex_state = 143, .external_lex_state = 4},
  [72] = {.lex_state = 144, .external_lex_state = 2},
  [73] = {.lex_state = 143, .external_lex_state = 4},
  [74] = {.lex_state = 143, .external_lex_state = 4},
  [75] = {.lex_state = 143, .external_lex_state = 4},
  [76] = {.lex_state = 143, .external_lex_state = 4},
  [77] = {.lex_state = 143, .external_lex_state = 4},
  [78] = {.lex_state = 143, .external_lex_state = 4},
  [79] = {.lex_state = 144, .external_lex_state = 2},
  [80] = {.lex_state = 144, .external_lex_state = 2},
  [81] = {.lex_state = 143, .external_lex_state = 4},
  [82] = {.lex_state = 143, .external_lex_state = 4},
  [83] = {.lex_state = 143, .external_lex_state = 4},
  [84] = {.lex_state = 144, .external_lex_state = 2},
  [85] = {.lex_state = 144, .external_lex_state = 2},
  [86] = {.lex_state = 144, .external_lex_state = 2},
  [87] = {.lex_state = 144, .external_lex_state = 2},
  [88] = {.lex_state = 144, .external_lex_state = 2},
  [89] = {.lex_state = 144, .external_lex_state = 2},
  [90] = {.lex_state = 144, .external_lex_state = 2},
  [91] = {.lex_state = 144, .external_lex_state = 2},
  [92] = {.lex_state = 144, .external_lex_state = 2},
  [93] = {.lex_state = 144, .external_lex_state = 2},
  [94] = {.lex_state = 144, .external_lex_state = 2},
  [95] = {.lex_state = 144, .external_lex_state = 2},
  [96] = {.lex_state = 144, .external_lex_state = 2},
  [97] = {.lex_state = 144, .external_lex_state = 2},
  [98] = {.lex_state = 144, .external_lex_state = 2},
  [99] = {.lex_state = 144, .external_lex_state = 2},
  [100] = {.lex_state = 144, .external_lex_state = 2},
  [101] = {.lex_state = 144, .external_lex_state = 2},
  [102] = {.lex_state = 144, .external_lex_state = 2},
  [103] = {.lex_state = 144, .external_lex_state = 2},
  [104] = {.lex_state = 144, .external_lex_state = 2},
  [105] = {.lex_state = 144, .external_lex_state = 2},
  [106] = {.lex_state = 144, .external_lex_state = 2},
  [107] = {.lex_state = 144, .external_lex_state = 2},
  [108] = {.lex_state = 144, .external_lex_state = 2},
  [109] = {.lex_state = 144, .external_lex_state = 2},
  [110] = {.lex_state = 144, .external_lex_state = 2},
  [111] = {.lex_state = 144, .external_lex_state = 2},
  [112] = {.lex_state = 144, .external_lex_state = 5},
  [113] = {.lex_state = 144, .external_lex_state = 2},
  [114] = {.lex_state = 144, .external_lex_state = 2},
  [115] = {.lex_state = 144, .external_lex_state = 2},
  [116] = {.lex_state = 144, .external_lex_state = 2},
  [117] = {.lex_state = 144, .external_lex_state = 2},
  [118] = {.lex_state = 144, .external_lex_state = 2},
  [119] = {.lex_state = 144, .external_lex_state = 2},
  [120] = {.lex_state = 144, .external_lex_state = 2},
  [121] = {.lex_state = 144, .external_lex_state = 2},
  [122] = {.lex_state = 144, .external_lex_state = 2},
  [123] = {.lex_state = 144, .external_lex_state = 2},
  [124] = {.lex_state = 144, .external_lex_state = 2},
  [125] = {.lex_state = 144, .external_lex_state = 2},
  [126] = {.lex_state = 144, .external_lex_state = 2},
  [127] = {.lex_state = 144, .external_lex_state = 2},
  [128] = {.lex_state = 144, .external_lex_state = 2},
  [129] = {.lex_state = 144, .external_lex_state = 2},
  [130] = {.lex_state = 144, .external_lex_state = 2},
  [131] = {.lex_state = 6, .external_lex_state = 2},
  [132] = {.lex_state = 144, .external_lex_state = 2},
  [133] = {.lex_state = 144, .external_lex_state = 2},
  [134] = {.lex_state = 144, .external_lex_state = 2},
  [135] = {.lex_state = 144, .external_lex_state = 2},
  [136] = {.lex_state = 144, .external_lex_state = 2},
  [137] = {.lex_state = 144, .external_lex_state = 2},
  [138] = {.lex_state = 144, .external_lex_state = 2},
  [139] = {.lex_state = 144, .external_lex_state = 2},
  [140] = {.lex_state = 144, .external_lex_state = 2},
  [141] = {.lex_state = 144, .external_lex_state = 2},
  [142] = {.lex_state = 144, .external_lex_state = 2},
  [143] = {.lex_state = 144, .external_lex_state = 2},
  [144] = {.lex_state = 144, .external_lex_state = 2},
  [145] = {.lex_state = 144, .external_lex_state = 2},
  [146] = {.lex_state = 144, .external_lex_state = 2},
  [147] = {.lex_state = 144, .external_lex_state = 2},
  [148] = {.lex_state = 144, .external_lex_state = 2},
  [149] = {.lex_state = 144, .external_lex_state = 2},
  [150] = {.lex_state = 144, .external_lex_state = 2},
  [151] = {.lex_state = 144, .external_lex_state = 2},
  [152] = {.lex_state = 144, .external_lex_state = 2},
  [153] = {.lex_state = 144, .external_lex_state = 2},
  [154] = {.lex_state = 6, .external_lex_state = 2},
  [155] = {.lex_state = 144, .external_lex_state = 2},
  [156] = {.lex_state = 6, .external_lex_state = 2},
  [157] = {.lex_state = 144, .external_lex_state = 2},
  [158] = {.lex_state = 144, .external_lex_state = 2},
  [159] = {.lex_state = 144, .external_lex_state = 2},
  [160] = {.lex_state = 144, .external_lex_state = 2},
  [161] = {.lex_state = 144, .external_lex_state = 2},
  [162] = {.lex_state = 144, .external_lex_state = 2},
  [163] = {.lex_state = 144, .external_lex_state = 2},
  [164] = {.lex_state = 144, .external_lex_state = 2},
  [165] = {.lex_state = 144, .external_lex_state = 2},
  [166] = {.lex_state = 144, .external_lex_state = 2},
  [167] = {.lex_state = 144, .external_lex_state = 2},
  [168] = {.lex_state = 144, .external_lex_state = 2},
  [169] = {.lex_state = 6, .external_lex_state = 2},
  [170] = {.lex_state = 6, .external_lex_state = 2},
  [171] = {.lex_state = 144, .external_lex_state = 2},
  [172] = {.lex_state = 144, .external_lex_state = 2},
  [173] = {.lex_state = 144, .external_lex_state = 2},
  [174] = {.lex_state = 144, .external_lex_state = 2},
  [175] = {.lex_state = 144, .external_lex_state = 2},
  [176] = {.lex_state = 144, .external_lex_state = 2},
  [177] = {.lex_state = 144, .external_lex_state = 2},
  [178] = {.lex_state = 144, .external_lex_state = 2},
  [179] = {.lex_state = 144, .external_lex_state = 2},
  [180] = {.lex_state = 144, .external_lex_state = 2},
  [181] = {.lex_state = 144, .external_lex_state = 2},
  [182] = {.lex_state = 144, .external_lex_state = 2},
  [183] = {.lex_state = 144, .external_lex_state = 2},
  [184] = {.lex_state = 144, .external_lex_state = 2},
  [185] = {.lex_state = 144, .external_lex_state = 2},
  [186] = {.lex_state = 144, .external_lex_state = 2},
  [187] = {.lex_state = 144, .external_lex_state = 2},
  [188] = {.lex_state = 144, .external_lex_state = 2},
  [189] = {.lex_state = 144, .external_lex_state = 2},
  [190] = {.lex_state = 144, .external_lex_state = 2},
  [191] = {.lex_state = 144, .external_lex_state = 2},
  [192] = {.lex_state = 144, .external_lex_state = 2},
  [193] = {.lex_state = 144, .external_lex_state = 2},
  [194] = {.lex_state = 144, .external_lex_state = 2},
  [195] = {.lex_state = 144, .external_lex_state = 2},
  [196] = {.lex_state = 144, .external_lex_state = 2},
  [197] = {.lex_state = 144, .external_lex_state = 2},
  [198] = {.lex_state = 144, .external_lex_state = 2},
  [199] = {.lex_state = 144, .external_lex_state = 2},
  [200] = {.lex_state = 144, .external_lex_state = 2},
  [201] = {.lex_state = 144, .external_lex_state = 2},
  [202] = {.lex_state = 144, .external_lex_state = 2},
  [203] = {.lex_state = 144, .external_lex_state = 2},
  [204] = {.lex_state = 144, .external_lex_state = 2},
  [205] = {.lex_state = 144, .external_lex_state = 2},
  [206] = {.lex_state = 144, .external_lex_state = 2},
  [207] = {.lex_state = 144, .external_lex_state = 2},
  [208] = {.lex_state = 144, .external_lex_state = 2},
  [209] = {.lex_state = 144, .external_lex_state = 2},
  [210] = {.lex_state = 144, .external_lex_state = 2},
  [211] = {.lex_state = 144, .external_lex_state = 2},
  [212] = {.lex_state = 144, .external_lex_state = 2},
  [213] = {.lex_state = 144, .external_lex_state = 2},
  [214] = {.lex_state = 144, .external_lex_state = 2},
  [215] = {.lex_state = 144, .external_lex_state = 2},
  [216] = {.lex_state = 144, .external_lex_state = 2},
  [217] = {.lex_state = 144, .external_lex_state = 2},
  [218] = {.lex_state = 144, .external_lex_state = 2},
  [219] = {.lex_state = 144, .external_lex_state = 2},
  [220] = {.lex_state = 144, .external_lex_state = 2},
  [221] = {.lex_state = 144, .external_lex_state = 2},
  [222] = {.lex_state = 144, .external_lex_state = 2},
  [223] = {.lex_state = 144, .external_lex_state = 2},
  [224] = {.lex_state = 144, .external_lex_state = 2},
  [225] = {.lex_state = 144, .external_lex_state = 2},
  [226] = {.lex_state = 144, .external_lex_state = 2},
  [227] = {.lex_state = 144, .external_lex_state = 2},
  [228] = {.lex_state = 144, .external_lex_state = 2},
  [229] = {.lex_state = 144, .external_lex_state = 2},
  [230] = {.lex_state = 144, .external_lex_state = 2},
  [231] = {.lex_state = 144, .external_lex_state = 2},
  [232] = {.lex_state = 144, .external_lex_state = 2},
  [233] = {.lex_state = 144, .external_lex_state = 2},
  [234] = {.lex_state = 144, .external_lex_state = 2},
  [235] = {.lex_state = 144, .external_lex_state = 2},
  [236] = {.lex_state = 144, .external_lex_state = 2},
  [237] = {.lex_state = 144, .external_lex_state = 2},
  [238] = {.lex_state = 144, .external_lex_state = 2},
  [239] = {.lex_state = 144, .external_lex_state = 2},
  [240] = {.lex_state = 144, .external_lex_state = 2},
  [241] = {.lex_state = 144, .external_lex_state = 2},
  [242] = {.lex_state = 144, .external_lex_state = 2},
  [243] = {.lex_state = 144, .external_lex_state = 2},
  [244] = {.lex_state = 144, .external_lex_state = 2},
  [245] = {.lex_state = 144, .external_lex_state = 2},
  [246] = {.lex_state = 144, .external_lex_state = 2},
  [247] = {.lex_state = 144, .external_lex_state = 2},
  [248] = {.lex_state = 144, .external_lex_state = 2},
  [249] = {.lex_state = 144, .external_lex_state = 2},
  [250] = {.lex_state = 144, .external_lex_state = 2},
  [251] = {.lex_state = 144, .external_lex_state = 2},
  [252] = {.lex_state = 144, .external_lex_state = 2},
  [253] = {.lex_state = 144, .external_lex_state = 2},
  [254] = {.lex_state = 144, .external_lex_state = 2},
  [255] = {.lex_state = 144, .external_lex_state = 2},
  [256] = {.lex_state = 144, .external_lex_state = 2},
  [257] = {.lex_state = 144, .external_lex_state = 2},
  [258] = {.lex_state = 144, .external_lex_state = 2},
  [259] = {.lex_state = 144, .external_lex_state = 2},
  [260] = {.lex_state = 144, .external_lex_state = 2},
  [261] = {.lex_state = 144, .external_lex_state = 2},
  [262] = {.lex_state = 144, .external_lex_state = 2},
  [263] = {.lex_state = 144, .external_lex_state = 2},
  [264] = {.lex_state = 144, .external_lex_state = 2},
  [265] = {.lex_state = 144, .external_lex_state = 2},
  [266] = {.lex_state = 144, .external_lex_state = 2},
  [267] = {.lex_state = 144, .external_lex_state = 2},
  [268] = {.lex_state = 144, .external_lex_state = 2},
  [269] = {.lex_state = 144, .external_lex_state = 2},
  [270] = {.lex_state = 144, .external_lex_state = 2},
  [271] = {.lex_state = 144, .external_lex_state = 2},
  [272] = {.lex_state = 144, .external_lex_state = 2},
  [273] = {.lex_state = 144, .external_lex_state = 2},
  [274] = {.lex_state = 144, .external_lex_state = 2},
  [275] = {.lex_state = 144, .external_lex_state = 2},
  [276] = {.lex_state = 144, .external_lex_state = 2},
  [277] = {.lex_state = 144, .external_lex_state = 2},
  [278] = {.lex_state = 144, .external_lex_state = 2},
  [279] = {.lex_state = 144, .external_lex_state = 2},
  [280] = {.lex_state = 144, .external_lex_state = 2},
  [281] = {.lex_state = 144, .external_lex_state = 2},
  [282] = {.lex_state = 144, .external_lex_state = 2},
  [283] = {.lex_state = 144, .external_lex_state = 2},
  [284] = {.lex_state = 144, .external_lex_state = 2},
  [285] = {.lex_state = 144, .external_lex_state = 2},
  [286] = {.lex_state = 144, .external_lex_state = 2},
  [287] = {.lex_state = 144, .external_lex_state = 2},
  [288] = {.lex_state = 144, .external_lex_state = 2},
  [289] = {.lex_state = 144, .external_lex_state = 2},
  [290] = {.lex_state = 144, .external_lex_state = 2},
  [291] = {.lex_state = 144, .external_lex_state = 2},
  [292] = {.lex_state = 144, .external_lex_state = 2},
  [293] = {.lex_state = 144, .external_lex_state = 2},
  [294] = {.lex_state = 144, .external_lex_state = 2},
  [295] = {.lex_state = 144, .external_lex_state = 2},
  [296] = {.lex_state = 144, .external_lex_state = 2},
  [297] = {.lex_state = 7, .external_lex_state = 4},
  [298] = {.lex_state = 7, .external_lex_state = 4},
  [299] = {.lex_state = 7, .external_lex_state = 4},
  [300] = {.lex_state = 7, .external_lex_state = 4},
  [301] = {.lex_state = 7, .external_lex_state = 4},
  [302] = {.lex_state = 7, .external_lex_state = 4},
  [303] = {.lex_state = 7, .external_lex_state = 4},
  [304] = {.lex_state = 7, .external_lex_state = 4},
  [305] = {.lex_state = 7, .external_lex_state = 4},
  [306] = {.lex_state = 7, .external_lex_state = 4},
  [307] = {.lex_state = 7, .external_lex_state = 4},
  [308] = {.lex_state = 7, .external_lex_state = 4},
  [309] = {.lex_state = 7, .external_lex_state = 4},
  [310] = {.lex_state = 7, .external_lex_state = 4},
  [311] = {.lex_state = 7, .external_lex_state = 3},
  [312] = {.lex_state = 7, .external_lex_state = 3},
  [313] = {.lex_state = 144, .external_lex_state = 5},
  [314] = {.lex_state = 144, .external_lex_state = 2},
  [315] = {.lex_state = 144, .external_lex_state = 5},
  [316] = {.lex_state = 7, .external_lex_state = 4},
  [317] = {.lex_state = 7, .external_lex_state = 4},
  [318] = {.lex_state = 7, .external_lex_state = 3},
  [319] = {.lex_state = 7, .external_lex_state = 4},
  [320] = {.lex_state = 7, .external_lex_state = 4},
  [321] = {.lex_state = 7, .external_lex_state = 4},
  [322] = {.lex_state = 7, .external_lex_state = 3},
  [323] = {.lex_state = 7, .external_lex_state = 4},
  [324] = {.lex_state = 7, .external_lex_state = 4},
  [325] = {.lex_state = 144, .external_lex_state = 2},
  [326] = {.lex_state = 7, .external_lex_state = 3},
  [327] = {.lex_state = 144, .external_lex_state = 2},
  [328] = {.lex_state = 7, .external_lex_state = 4},
  [329] = {.lex_state = 7, .external_lex_state = 4},
  [330] = {.lex_state = 7, .external_lex_state = 3},
  [331] = {.lex_state = 144, .external_lex_state = 2},
  [332] = {.lex_state = 7, .external_lex_state = 3},
  [333] = {.lex_state = 144, .external_lex_state = 5},
  [334] = {.lex_state = 144, .external_lex_state = 2},
  [335] = {.lex_state = 144, .external_lex_state = 2},
  [336] = {.lex_state = 144, .external_lex_state = 5},
  [337] = {.lex_state = 144, .external_lex_state = 5},
  [338] = {.lex_state = 144, .external_lex_state = 5},
  [339] = {.lex_state = 7, .external_lex_state = 3},
  [340] = {.lex_state = 7, .external_lex_state = 4},
  [341] = {.lex_state = 144, .external_lex_state = 5},
  [342] = {.lex_state = 144, .external_lex_state = 5},
  [343] = {.lex_state = 144, .external_lex_state = 2},
  [344] = {.lex_state = 7, .external_lex_state = 3},
  [345] = {.lex_state = 144, .external_lex_state = 5},
  [346] = {.lex_state = 144, .external_lex_state = 5},
  [347] = {.lex_state = 144, .external_lex_state = 5},
  [348] = {.lex_state = 144, .external_lex_state = 5},
  [349] = {.lex_state = 144, .external_lex_state = 5},
  [350] = {.lex_state = 144, .external_lex_state = 5},
  [351] = {.lex_state = 144, .external_lex_state = 5},
  [352] = {.lex_state = 144, .external_lex_state = 5},
  [353] = {.lex_state = 144, .external_lex_state = 5},
  [354] = {.lex_state = 144, .external_lex_state = 5},
  [355] = {.lex_state = 7, .external_lex_state = 4},
  [356] = {.lex_state = 144, .external_lex_state = 2},
  [357] = {.lex_state = 144, .external_lex_state = 2},
  [358] = {.lex_state = 144, .external_lex_state = 2},
  [359] = {.lex_state = 144, .external_lex_state = 2},
  [360] = {.lex_state = 144, .external_lex_state = 2},
  [361] = {.lex_state = 7, .external_lex_state = 4},
  [362] = {.lex_state = 7, .external_lex_state = 4},
  [363] = {.lex_state = 144, .external_lex_state = 2},
  [364] = {.lex_state = 144, .external_lex_state = 2},
  [365] = {.lex_state = 144, .external_lex_state = 2},
  [366] = {.lex_state = 144, .external_lex_state = 2},
  [367] = {.lex_state = 144, .external_lex_state = 2},
  [368] = {.lex_state = 144, .external_lex_state = 2},
  [369] = {.lex_state = 144, .external_lex_state = 2},
  [370] = {.lex_state = 144, .external_lex_state = 2},
  [371] = {.lex_state = 144, .external_lex_state = 2},
  [372] = {.lex_state = 144, .external_lex_state = 2},
  [373] = {.lex_state = 144, .external_lex_state = 2},
  [374] = {.lex_state = 144, .external_lex_state = 2},
  [375] = {.lex_state = 7, .external_lex_state = 3},
  [376] = {.lex_state = 144, .external_lex_state = 2},
  [377] = {.lex_state = 144, .external_lex_state = 2},
  [378] = {.lex_state = 144, .external_lex_state = 2},
  [379] = {.lex_state = 144, .external_lex_state = 2},
  [380] = {.lex_state = 144, .external_lex_state = 2},
  [381] = {.lex_state = 144, .external_lex_state = 2},
  [382] = {.lex_state = 144, .external_lex_state = 2},
  [383] = {.lex_state = 144, .external_lex_state = 2},
  [384] = {.lex_state = 144, .external_lex_state = 2},
  [385] = {.lex_state = 144, .external_lex_state = 2},
  [386] = {.lex_state = 144, .external_lex_state = 2},
  [387] = {.lex_state = 144, .external_lex_state = 2},
  [388] = {.lex_state = 144, .external_lex_state = 2},
  [389] = {.lex_state = 144, .external_lex_state = 2},
  [390] = {.lex_state = 144, .external_lex_state = 2},
  [391] = {.lex_state = 144, .external_lex_state = 2},
  [392] = {.lex_state = 144, .external_lex_state = 2},
  [393] = {.lex_state = 144, .external_lex_state = 2},
  [394] = {.lex_state = 144, .external_lex_state = 2},
  [395] = {.lex_state = 7, .external_lex_state = 3},
  [396] = {.lex_state = 144, .external_lex_state = 2},
  [397] = {.lex_state = 144, .external_lex_state = 2},
  [398] = {.lex_state = 144, .external_lex_state = 2},
  [399] = {.lex_state = 144, .external_lex_state = 2},
  [400] = {.lex_state = 144, .external_lex_state = 2},
  [401] = {.lex_state = 144, .external_lex_state = 2},
  [402] = {.lex_state = 7, .external_lex_state = 3},
  [403] = {.lex_state = 144, .external_lex_state = 2},
  [404] = {.lex_state = 144, .external_lex_state = 2},
  [405] = {.lex_state = 144, .external_lex_state = 2},
  [406] = {.lex_state = 144, .external_lex_state = 2},
  [407] = {.lex_state = 144, .external_lex_state = 2},
  [408] = {.lex_state = 144, .external_lex_state = 2},
  [409] = {.lex_state = 144, .external_lex_state = 2},
  [410] = {.lex_state = 144, .external_lex_state = 2},
  [411] = {.lex_state = 144, .external_lex_state = 2},
  [412] = {.lex_state = 144, .external_lex_state = 2},
  [413] = {.lex_state = 144, .external_lex_state = 2},
  [414] = {.lex_state = 144, .external_lex_state = 2},
  [415] = {.lex_state = 144, .external_lex_state = 2},
  [416] = {.lex_state = 144, .external_lex_state = 2},
  [417] = {.lex_state = 144, .external_lex_state = 2},
  [418] = {.lex_state = 144, .external_lex_state = 2},
  [419] = {.lex_state = 144, .external_lex_state = 2},
  [420] = {.lex_state = 144, .external_lex_state = 2},
  [421] = {.lex_state = 144, .external_lex_state = 2},
  [422] = {.lex_state = 144, .external_lex_state = 2},
  [423] = {.lex_state = 144, .external_lex_state = 2},
  [424] = {.lex_state = 144, .external_lex_state = 2},
  [425] = {.lex_state = 144, .external_lex_state = 2},
  [426] = {.lex_state = 144, .external_lex_state = 2},
  [427] = {.lex_state = 7, .external_lex_state = 3},
  [428] = {.lex_state = 7, .external_lex_state = 4},
  [429] = {.lex_state = 7, .external_lex_state = 4},
  [430] = {.lex_state = 7, .external_lex_state = 3},
  [431] = {.lex_state = 7, .external_lex_state = 4},
  [432] = {.lex_state = 7, .external_lex_state = 3},
  [433] = {.lex_state = 7, .external_lex_state = 3},
  [434] = {.lex_state = 7, .external_lex_state = 4},
  [435] = {.lex_state = 7, .external_lex_state = 3},
  [436] = {.lex_state = 7, .external_lex_state = 3},
  [437] = {.lex_state = 7, .external_lex_state = 3},
  [438] = {.lex_state = 7, .external_lex_state = 3},
  [439] = {.lex_state = 7, .external_lex_state = 3},
  [440] = {.lex_state = 7, .external_lex_state = 3},
  [441] = {.lex_state = 7, .external_lex_state = 3},
  [442] = {.lex_state = 7, .external_lex_state = 3},
  [443] = {.lex_state = 7, .external_lex_state = 3},
  [444] = {.lex_state = 7, .external_lex_state = 3},
  [445] = {.lex_state = 144, .external_lex_state = 2},
  [446] = {.lex_state = 144, .external_lex_state = 2},
  [447] = {.lex_state = 144, .external_lex_state = 2},
  [448] = {.lex_state = 144, .external_lex_state = 2},
  [449] = {.lex_state = 144, .external_lex_state = 2},
  [450] = {.lex_state = 144, .external_lex_state = 2},
  [451] = {.lex_state = 7, .external_lex_state = 3},
  [452] = {.lex_state = 144, .external_lex_state = 2},
  [453] = {.lex_state = 144, .external_lex_state = 2},
  [454] = {.lex_state = 144, .external_lex_state = 2},
  [455] = {.lex_state = 7, .external_lex_state = 4},
  [456] = {.lex_state = 7, .external_lex_state = 4},
  [457] = {.lex_state = 7, .external_lex_state = 4},
  [458] = {.lex_state = 7, .external_lex_state = 3},
  [459] = {.lex_state = 7, .external_lex_state = 4},
  [460] = {.lex_state = 7, .external_lex_state = 4},
  [461] = {.lex_state = 7, .external_lex_state = 4},
  [462] = {.lex_state = 7, .external_lex_state = 3},
  [463] = {.lex_state = 7, .external_lex_state = 3},
  [464] = {.lex_state = 7, .external_lex_state = 3},
  [465] = {.lex_state = 7, .external_lex_state = 4},
  [466] = {.lex_state = 7, .external_lex_state = 4},
  [467] = {.lex_state = 7, .external_lex_state = 4},
  [468] = {.lex_state = 7, .external_lex_state = 4},
  [469] = {.lex_state = 7, .external_lex_state = 4},
  [470] = {.lex_state = 7, .external_lex_state = 4},
  [471] = {.lex_state = 7, .external_lex_state = 4},
  [472] = {.lex_state = 7, .external_lex_state = 4},
  [473] = {.lex_state = 7, .external_lex_state = 4},
  [474] = {.lex_state = 7, .external_lex_state = 4},
  [475] = {.lex_state = 7, .external_lex_state = 4},
  [476] = {.lex_state = 7, .external_lex_state = 3},
  [477] = {.lex_state = 7, .external_lex_state = 3},
  [478] = {.lex_state = 7, .external_lex_state = 4},
  [479] = {.lex_state = 7, .external_lex_state = 4},
  [480] = {.lex_state = 7, .external_lex_state = 4},
  [481] = {.lex_state = 7, .external_lex_state = 3},
  [482] = {.lex_state = 7, .external_lex_state = 3},
  [483] = {.lex_state = 7, .external_lex_state = 4},
  [484] = {.lex_state = 7, .external_lex_state = 3},
  [485] = {.lex_state = 7, .external_lex_state = 3},
  [486] = {.lex_state = 7, .external_lex_state = 3},
  [487] = {.lex_state = 7, .external_lex_state = 4},
  [488] = {.lex_state = 7, .external_lex_state = 3},
  [489] = {.lex_state = 7, .external_lex_state = 3},
  [490] = {.lex_state = 7, .external_lex_state = 3},
  [491] = {.lex_state = 7, .external_lex_state = 3},
  [492] = {.lex_state = 7, .external_lex_state = 3},
  [493] = {.lex_state = 7, .external_lex_state = 3},
  [494] = {.lex_state = 7, .external_lex_state = 3},
  [495] = {.lex_state = 7, .external_lex_state = 3},
  [496] = {.lex_state = 7, .external_lex_state = 3},
  [497] = {.lex_state = 7, .external_lex_state = 3},
  [498] = {.lex_state = 7, .external_lex_state = 3},
  [499] = {.lex_state = 7, .external_lex_state = 3},
  [500] = {.lex_state = 7, .external_lex_state = 3},
  [501] = {.lex_state = 7, .external_lex_state = 3},
  [502] = {.lex_state = 7, .external_lex_state = 3},
  [503] = {.lex_state = 7, .external_lex_state = 3},
  [504] = {.lex_state = 7, .external_lex_state = 3},
  [505] = {.lex_state = 8, .external_lex_state = 4},
  [506] = {.lex_state = 8, .external_lex_state = 3},
  [507] = {.lex_state = 8, .external_lex_state = 3},
  [508] = {.lex_state = 8, .external_lex_state = 3},
  [509] = {.lex_state = 8, .external_lex_state = 4},
  [510] = {.lex_state = 8, .external_lex_state = 3},
  [511] = {.lex_state = 8, .external_lex_state = 3},
  [512] = {.lex_state = 8, .external_lex_state = 4},
  [513] = {.lex_state = 8, .external_lex_state = 3},
  [514] = {.lex_state = 8, .external_lex_state = 3},
  [515] = {.lex_state = 8, .external_lex_state = 3},
  [516] = {.lex_state = 8, .external_lex_state = 3},
  [517] = {.lex_state = 8, .external_lex_state = 3},
  [518] = {.lex_state = 8, .external_lex_state = 3},
  [519] = {.lex_state = 8, .external_lex_state = 3},
  [520] = {.lex_state = 8, .external_lex_state = 3},
  [521] = {.lex_state = 8, .external_lex_state = 3},
  [522] = {.lex_state = 8, .external_lex_state = 3},
  [523] = {.lex_state = 8, .external_lex_state = 3},
  [524] = {.lex_state = 8, .external_lex_state = 3},
  [525] = {.lex_state = 8, .external_lex_state = 3},
  [526] = {.lex_state = 8, .external_lex_state = 3},
  [527] = {.lex_state = 8, .external_lex_state = 3},
  [528] = {.lex_state = 8, .external_lex_state = 3},
  [529] = {.lex_state = 8, .external_lex_state = 3},
  [530] = {.lex_state = 8, .external_lex_state = 3},
  [531] = {.lex_state = 8, .external_lex_state = 3},
  [532] = {.lex_state = 8, .external_lex_state = 3},
  [533] = {.lex_state = 8, .external_lex_state = 3},
  [534] = {.lex_state = 8, .external_lex_state = 3},
  [535] = {.lex_state = 8, .external_lex_state = 3},
  [536] = {.lex_state = 8, .external_lex_state = 3},
  [537] = {.lex_state = 8, .external_lex_state = 3},
  [538] = {.lex_state = 8, .external_lex_state = 3},
  [539] = {.lex_state = 8, .external_lex_state = 3},
  [540] = {.lex_state = 8, .external_lex_state = 3},
  [541] = {.lex_state = 8, .external_lex_state = 3},
  [542] = {.lex_state = 8, .external_lex_state = 3},
  [543] = {.lex_state = 8, .external_lex_state = 3},
  [544] = {.lex_state = 8, .external_lex_state = 3},
  [545] = {.lex_state = 8, .external_lex_state = 3},
  [546] = {.lex_state = 8, .external_lex_state = 3},
  [547] = {.lex_state = 8, .external_lex_state = 3},
  [548] = {.lex_state = 8, .external_lex_state = 3},
  [549] = {.lex_state = 8, .external_lex_state = 3},
  [550] = {.lex_state = 8, .external_lex_state = 3},
  [551] = {.lex_state = 8, .external_lex_state = 3},
  [552] = {.lex_state = 8, .external_lex_state = 3},
  [553] = {.lex_state = 9, .external_lex_state = 3},
  [554] = {.lex_state = 8, .external_lex_state = 3},
  [555] = {.lex_state = 8, .external_lex_state = 3},
  [556] = {.lex_state = 8, .external_lex_state = 3},
  [557] = {.lex_state = 8, .external_lex_state = 3},
  [558] = {.lex_state = 8, .external_lex_state = 3},
  [559] = {.lex_state = 8, .external_lex_state = 3},
  [560] = {.lex_state = 8, .external_lex_state = 3},
  [561] = {.lex_state = 8, .external_lex_state = 3},
  [562] = {.lex_state = 8, .external_lex_state = 3},
  [563] = {.lex_state = 8, .external_lex_state = 3},
  [564] = {.lex_state = 8, .external_lex_state = 3},
  [565] = {.lex_state = 8, .external_lex_state = 3},
  [566] = {.lex_state = 8, .external_lex_state = 3},
  [567] = {.lex_state = 8, .external_lex_state = 3},
  [568] = {.lex_state = 8, .external_lex_state = 3},
  [569] = {.lex_state = 8, .external_lex_state = 3},
  [570] = {.lex_state = 8, .external_lex_state = 3},
  [571] = {.lex_state = 8, .external_lex_state = 3},
  [572] = {.lex_state = 8, .external_lex_state = 3},
  [573] = {.lex_state = 8, .external_lex_state = 3},
  [574] = {.lex_state = 8, .external_lex_state = 3},
  [575] = {.lex_state = 8, .external_lex_state = 3},
  [576] = {.lex_state = 8, .external_lex_state = 3},
  [577] = {.lex_state = 8, .external_lex_state = 3},
  [578] = {.lex_state = 8, .external_lex_state = 4},
  [579] = {.lex_state = 8, .external_lex_state = 4},
  [580] = {.lex_state = 8, .external_lex_state = 3},
  [581] = {.lex_state = 8, .external_lex_state = 3},
  [582] = {.lex_state = 8, .external_lex_state = 3},
  [583] = {.lex_state = 8, .external_lex_state = 3},
  [584] = {.lex_state = 8, .external_lex_state = 3},
  [585] = {.lex_state = 8, .external_lex_state = 4},
  [586] = {.lex_state = 8, .external_lex_state = 3},
  [587] = {.lex_state = 8, .external_lex_state = 3},
  [588] = {.lex_state = 8, .external_lex_state = 3},
  [589] = {.lex_state = 8, .external_lex_state = 4},
  [590] = {.lex_state = 8, .external_lex_state = 3},
  [591] = {.lex_state = 8, .external_lex_state = 3},
  [592] = {.lex_state = 8, .external_lex_state = 3},
  [593] = {.lex_state = 8, .external_lex_state = 3},
  [594] = {.lex_state = 8, .external_lex_state = 3},
  [595] = {.lex_state = 8, .external_lex_state = 3},
  [596] = {.lex_state = 8, .external_lex_state = 3},
  [597] = {.lex_state = 8, .external_lex_state = 4},
  [598] = {.lex_state = 8, .external_lex_state = 3},
  [599] = {.lex_state = 8, .external_lex_state = 3},
  [600] = {.lex_state = 8, .external_lex_state = 4},
  [601] = {.lex_state = 8, .external_lex_state = 3},
  [602] = {.lex_state = 8, .external_lex_state = 3},
  [603] = {.lex_state = 8, .external_lex_state = 4},
  [604] = {.lex_state = 8, .external_lex_state = 4},
  [605] = {.lex_state = 8, .external_lex_state = 3},
  [606] = {.lex_state = 8, .external_lex_state = 3},
  [607] = {.lex_state = 8, .external_lex_state = 3},
  [608] = {.lex_state = 8, .external_lex_state = 3},
  [609] = {.lex_state = 8, .external_lex_state = 3},
  [610] = {.lex_state = 8, .external_lex_state = 3},
  [611] = {.lex_state = 8, .external_lex_state = 3},
  [612] = {.lex_state = 8, .external_lex_state = 3},
  [613] = {.lex_state = 8, .external_lex_state = 3},
  [614] = {.lex_state = 8, .external_lex_state = 4},
  [615] = {.lex_state = 8, .external_lex_state = 4},
  [616] = {.lex_state = 8, .external_lex_state = 4},
  [617] = {.lex_state = 8, .external_lex_state = 4},
  [618] = {.lex_state = 8, .external_lex_state = 4},
  [619] = {.lex_state = 8, .external_lex_state = 4},
  [620] = {.lex_state = 8, .external_lex_state = 3},
  [621] = {.lex_state = 8, .external_lex_state = 4},
  [622] = {.lex_state = 8, .external_lex_state = 4},
  [623] = {.lex_state = 8, .external_lex_state = 4},
  [624] = {.lex_state = 8, .external_lex_state = 4},
  [625] = {.lex_state = 8, .external_lex_state = 4},
  [626] = {.lex_state = 8, .external_lex_state = 4},
  [627] = {.lex_state = 8, .external_lex_state = 4},
  [628] = {.lex_state = 8, .external_lex_state = 3},
  [629] = {.lex_state = 8, .external_lex_state = 4},
  [630] = {.lex_state = 8, .external_lex_state = 4},
  [631] = {.lex_state = 8, .external_lex_state = 4},
  [632] = {.lex_state = 8, .external_lex_state = 4},
  [633] = {.lex_state = 8, .external_lex_state = 4},
  [634] = {.lex_state = 8, .external_lex_state = 4},
  [635] = {.lex_state = 8, .external_lex_state = 4},
  [636] = {.lex_state = 8, .external_lex_state = 4},
  [637] = {.lex_state = 8, .external_lex_state = 4},
  [638] = {.lex_state = 8, .external_lex_state = 4},
  [639] = {.lex_state = 8, .external_lex_state = 4},
  [640] = {.lex_state = 8, .external_lex_state = 4},
  [641] = {.lex_state = 8, .external_lex_state = 4},
  [642] = {.lex_state = 8, .external_lex_state = 4},
  [643] = {.lex_state = 8, .external_lex_state = 4},
  [644] = {.lex_state = 8, .external_lex_state = 4},
  [645] = {.lex_state = 8, .external_lex_state = 3},
  [646] = {.lex_state = 8, .external_lex_state = 4},
  [647] = {.lex_state = 8, .external_lex_state = 4},
  [648] = {.lex_state = 8, .external_lex_state = 4},
  [649] = {.lex_state = 8, .external_lex_state = 4},
  [650] = {.lex_state = 8, .external_lex_state = 4},
  [651] = {.lex_state = 8, .external_lex_state = 4},
  [652] = {.lex_state = 8, .external_lex_state = 4},
  [653] = {.lex_state = 8, .external_lex_state = 4},
  [654] = {.lex_state = 8, .external_lex_state = 4},
  [655] = {.lex_state = 8, .external_lex_state = 4},
  [656] = {.lex_state = 8, .external_lex_state = 4},
  [657] = {.lex_state = 8, .external_lex_state = 4},
  [658] = {.lex_state = 8, .external_lex_state = 4},
  [659] = {.lex_state = 8, .external_lex_state = 4},
  [660] = {.lex_state = 8, .external_lex_state = 4},
  [661] = {.lex_state = 8, .external_lex_state = 4},
  [662] = {.lex_state = 8, .external_lex_state = 4},
  [663] = {.lex_state = 8, .external_lex_state = 4},
  [664] = {.lex_state = 8, .external_lex_state = 4},
  [665] = {.lex_state = 8, .external_lex_state = 4},
  [666] = {.lex_state = 8, .external_lex_state = 4},
  [667] = {.lex_state = 8, .external_lex_state = 4},
  [668] = {.lex_state = 8, .external_lex_state = 4},
  [669] = {.lex_state = 8, .external_lex_state = 4},
  [670] = {.lex_state = 8, .external_lex_state = 4},
  [671] = {.lex_state = 8, .external_lex_state = 4},
  [672] = {.lex_state = 8, .external_lex_state = 3},
  [673] = {.lex_state = 8, .external_lex_state = 4},
  [674] = {.lex_state = 8, .external_lex_state = 3},
  [675] = {.lex_state = 8, .external_lex_state = 3},
  [676] = {.lex_state = 8, .external_lex_state = 4},
  [677] = {.lex_state = 8, .external_lex_state = 4},
  [678] = {.lex_state = 8, .external_lex_state = 4},
  [679] = {.lex_state = 8, .external_lex_state = 4},
  [680] = {.lex_state = 8, .external_lex_state = 4},
  [681] = {.lex_state = 8, .external_lex_state = 4},
  [682] = {.lex_state = 8, .external_lex_state = 4},
  [683] = {.lex_state = 8, .external_lex_state = 4},
  [684] = {.lex_state = 8, .external_lex_state = 4},
  [685] = {.lex_state = 8, .external_lex_state = 4},
  [686] = {.lex_state = 8, .external_lex_state = 4},
  [687] = {.lex_state = 8, .external_lex_state = 4},
  [688] = {.lex_state = 8, .external_lex_state = 4},
  [689] = {.lex_state = 8, .external_lex_state = 4},
  [690] = {.lex_state = 8, .external_lex_state = 4},
  [691] = {.lex_state = 8, .external_lex_state = 4},
  [692] = {.lex_state = 8, .external_lex_state = 3},
  [693] = {.lex_state = 8, .external_lex_state = 4},
  [694] = {.lex_state = 8, .external_lex_state = 4},
  [695] = {.lex_state = 8, .external_lex_state = 4},
  [696] = {.lex_state = 8, .external_lex_state = 4},
  [697] = {.lex_state = 8, .external_lex_state = 4},
  [698] = {.lex_state = 8, .external_lex_state = 4},
  [699] = {.lex_state = 8, .external_lex_state = 4},
  [700] = {.lex_state = 8, .external_lex_state = 4},
  [701] = {.lex_state = 8, .external_lex_state = 4},
  [702] = {.lex_state = 8, .external_lex_state = 4},
  [703] = {.lex_state = 8, .external_lex_state = 4},
  [704] = {.lex_state = 8, .external_lex_state = 4},
  [705] = {.lex_state = 8, .external_lex_state = 4},
  [706] = {.lex_state = 8, .external_lex_state = 4},
  [707] = {.lex_state = 9, .external_lex_state = 4},
  [708] = {.lex_state = 8, .external_lex_state = 4},
  [709] = {.lex_state = 8, .external_lex_state = 4},
  [710] = {.lex_state = 8, .external_lex_state = 4},
  [711] = {.lex_state = 8, .external_lex_state = 4},
  [712] = {.lex_state = 8, .external_lex_state = 4},
  [713] = {.lex_state = 8, .external_lex_state = 4},
  [714] = {.lex_state = 8, .external_lex_state = 4},
  [715] = {.lex_state = 8, .external_lex_state = 4},
  [716] = {.lex_state = 8, .external_lex_state = 4},
  [717] = {.lex_state = 8, .external_lex_state = 4},
  [718] = {.lex_state = 8, .external_lex_state = 4},
  [719] = {.lex_state = 8, .external_lex_state = 4},
  [720] = {.lex_state = 8, .external_lex_state = 4},
  [721] = {.lex_state = 8, .external_lex_state = 4},
  [722] = {.lex_state = 8, .external_lex_state = 4},
  [723] = {.lex_state = 8, .external_lex_state = 4},
  [724] = {.lex_state = 8, .external_lex_state = 4},
  [725] = {.lex_state = 8, .external_lex_state = 4},
  [726] = {.lex_state = 8, .external_lex_state = 4},
  [727] = {.lex_state = 8, .external_lex_state = 4},
  [728] = {.lex_state = 8, .external_lex_state = 4},
  [729] = {.lex_state = 8, .external_lex_state = 4},
  [730] = {.lex_state = 8, .external_lex_state = 4},
  [731] = {.lex_state = 8, .external_lex_state = 4},
  [732] = {.lex_state = 8, .external_lex_state = 4},
  [733] = {.lex_state = 8, .external_lex_state = 4},
  [734] = {.lex_state = 8, .external_lex_state = 4},
  [735] = {.lex_state = 8, .external_lex_state = 4},
  [736] = {.lex_state = 8, .external_lex_state = 4},
  [737] = {.lex_state = 8, .external_lex_state = 4},
  [738] = {.lex_state = 8, .external_lex_state = 4},
  [739] = {.lex_state = 8, .external_lex_state = 4},
  [740] = {.lex_state = 8, .external_lex_state = 4},
  [741] = {.lex_state = 9, .external_lex_state = 4},
  [742] = {.lex_state = 8, .external_lex_state = 4},
  [743] = {.lex_state = 8, .external_lex_state = 4},
  [744] = {.lex_state = 8, .external_lex_state = 4},
  [745] = {.lex_state = 8, .external_lex_state = 4},
  [746] = {.lex_state = 8, .external_lex_state = 3},
  [747] = {.lex_state = 8, .external_lex_state = 4},
  [748] = {.lex_state = 8, .external_lex_state = 3},
  [749] = {.lex_state = 8, .external_lex_state = 3},
  [750] = {.lex_state = 8, .external_lex_state = 3},
  [751] = {.lex_state = 8, .external_lex_state = 4},
  [752] = {.lex_state = 8, .external_lex_state = 4},
  [753] = {.lex_state = 8, .external_lex_state = 4},
  [754] = {.lex_state = 8, .external_lex_state = 4},
  [755] = {.lex_state = 8, .external_lex_state = 4},
  [756] = {.lex_state = 8, .external_lex_state = 3},
  [757] = {.lex_state = 8, .external_lex_state = 3},
  [758] = {.lex_state = 8, .external_lex_state = 4},
  [759] = {.lex_state = 8, .external_lex_state = 4},
  [760] = {.lex_state = 8, .external_lex_state = 3},
  [761] = {.lex_state = 8, .external_lex_state = 4},
  [762] = {.lex_state = 8, .external_lex_state = 3},
  [763] = {.lex_state = 8, .external_lex_state = 3},
  [764] = {.lex_state = 8, .external_lex_state = 3},
  [765] = {.lex_state = 8, .external_lex_state = 3},
  [766] = {.lex_state = 8, .external_lex_state = 3},
  [767] = {.lex_state = 8, .external_lex_state = 3},
  [768] = {.lex_state = 8, .external_lex_state = 3},
  [769] = {.lex_state = 8, .external_lex_state = 3},
  [770] = {.lex_state = 8, .external_lex_state = 3},
  [771] = {.lex_state = 8, .external_lex_state = 3},
  [772] = {.lex_state = 8, .external_lex_state = 3},
  [773] = {.lex_state = 8, .external_lex_state = 3},
  [774] = {.lex_state = 8, .external_lex_state = 3},
  [775] = {.lex_state = 8, .external_lex_state = 3},
  [776] = {.lex_state = 8, .external_lex_state = 3},
  [777] = {.lex_state = 8, .external_lex_state = 3},
  [778] = {.lex_state = 8, .external_lex_state = 3},
  [779] = {.lex_state = 8, .external_lex_state = 3},
  [780] = {.lex_state = 8, .external_lex_state = 3},
  [781] = {.lex_state = 8, .external_lex_state = 3},
  [782] = {.lex_state = 8, .external_lex_state = 3},
  [783] = {.lex_state = 8, .external_lex_state = 3},
  [784] = {.lex_state = 8, .external_lex_state = 3},
  [785] = {.lex_state = 8, .external_lex_state = 3},
  [786] = {.lex_state = 8, .external_lex_state = 3},
  [787] = {.lex_state = 8, .external_lex_state = 4},
  [788] = {.lex_state = 8, .external_lex_state = 3},
  [789] = {.lex_state = 8, .external_lex_state = 3},
  [790] = {.lex_state = 8, .external_lex_state = 3},
  [791] = {.lex_state = 8, .external_lex_state = 3},
  [792] = {.lex_state = 8, .external_lex_state = 3},
  [793] = {.lex_state = 8, .external_lex_state = 3},
  [794] = {.lex_state = 8, .external_lex_state = 3},
  [795] = {.lex_state = 8, .external_lex_state = 3},
  [796] = {.lex_state = 8, .external_lex_state = 3},
  [797] = {.lex_state = 8, .external_lex_state = 3},
  [798] = {.lex_state = 8, .external_lex_state = 3},
  [799] = {.lex_state = 8, .external_lex_state = 3},
  [800] = {.lex_state = 8, .external_lex_state = 3},
  [801] = {.lex_state = 8, .external_lex_state = 3},
  [802] = {.lex_state = 8, .external_lex_state = 3},
  [803] = {.lex_state = 8, .external_lex_state = 3},
  [804] = {.lex_state = 8, .external_lex_state = 3},
  [805] = {.lex_state = 8, .external_lex_state = 3},
  [806] = {.lex_state = 8, .external_lex_state = 3},
  [807] = {.lex_state = 8, .external_lex_state = 3},
  [808] = {.lex_state = 8, .external_lex_state = 3},
  [809] = {.lex_state = 8, .external_lex_state = 3},
  [810] = {.lex_state = 8, .external_lex_state = 3},
  [811] = {.lex_state = 8, .external_lex_state = 3},
  [812] = {.lex_state = 8, .external_lex_state = 3},
  [813] = {.lex_state = 8, .external_lex_state = 4},
  [814] = {.lex_state = 8, .external_lex_state = 3},
  [815] = {.lex_state = 8, .external_lex_state = 3},
  [816] = {.lex_state = 8, .external_lex_state = 3},
  [817] = {.lex_state = 8, .external_lex_state = 3},
  [818] = {.lex_state = 8, .external_lex_state = 3},
  [819] = {.lex_state = 8, .external_lex_state = 3},
  [820] = {.lex_state = 8, .external_lex_state = 3},
  [821] = {.lex_state = 8, .external_lex_state = 3},
  [822] = {.lex_state = 8, .external_lex_state = 3},
  [823] = {.lex_state = 8, .external_lex_state = 3},
  [824] = {.lex_state = 8, .external_lex_state = 3},
  [825] = {.lex_state = 8, .external_lex_state = 3},
  [826] = {.lex_state = 8, .external_lex_state = 3},
  [827] = {.lex_state = 8, .external_lex_state = 3},
  [828] = {.lex_state = 8, .external_lex_state = 3},
  [829] = {.lex_state = 8, .external_lex_state = 3},
  [830] = {.lex_state = 8, .external_lex_state = 3},
  [831] = {.lex_state = 8, .external_lex_state = 3},
  [832] = {.lex_state = 8, .external_lex_state = 3},
  [833] = {.lex_state = 8, .external_lex_state = 3},
  [834] = {.lex_state = 8, .external_lex_state = 3},
  [835] = {.lex_state = 8, .external_lex_state = 3},
  [836] = {.lex_state = 8, .external_lex_state = 3},
  [837] = {.lex_state = 5, .external_lex_state = 2},
  [838] = {.lex_state = 8, .external_lex_state = 3},
  [839] = {.lex_state = 9, .external_lex_state = 3},
  [840] = {.lex_state = 8, .external_lex_state = 4},
  [841] = {.lex_state = 8, .external_lex_state = 3},
  [842] = {.lex_state = 5, .external_lex_state = 2},
  [843] = {.lex_state = 5, .external_lex_state = 2},
  [844] = {.lex_state = 8, .external_lex_state = 3},
  [845] = {.lex_state = 8, .external_lex_state = 3},
  [846] = {.lex_state = 8, .external_lex_state = 3},
  [847] = {.lex_state = 5, .external_lex_state = 2},
  [848] = {.lex_state = 8, .external_lex_state = 3},
  [849] = {.lex_state = 8, .external_lex_state = 3},
  [850] = {.lex_state = 8, .external_lex_state = 3},
  [851] = {.lex_state = 8, .external_lex_state = 3},
  [852] = {.lex_state = 8, .external_lex_state = 3},
  [853] = {.lex_state = 8, .external_lex_state = 3},
  [854] = {.lex_state = 8, .external_lex_state = 3},
  [855] = {.lex_state = 5, .external_lex_state = 2},
  [856] = {.lex_state = 8, .external_lex_state = 3},
  [857] = {.lex_state = 8, .external_lex_state = 3},
  [858] = {.lex_state = 8, .external_lex_state = 3},
  [859] = {.lex_state = 5, .external_lex_state = 2},
  [860] = {.lex_state = 8, .external_lex_state = 4},
  [861] = {.lex_state = 8, .external_lex_state = 3},
  [862] = {.lex_state = 8, .external_lex_state = 3},
  [863] = {.lex_state = 8, .external_lex_state = 3},
  [864] = {.lex_state = 8, .external_lex_state = 3},
  [865] = {.lex_state = 8, .external_lex_state = 3},
  [866] = {.lex_state = 8, .external_lex_state = 3},
  [867] = {.lex_state = 8, .external_lex_state = 3},
  [868] = {.lex_state = 8, .external_lex_state = 3},
  [869] = {.lex_state = 8, .external_lex_state = 3},
  [870] = {.lex_state = 8, .external_lex_state = 3},
  [871] = {.lex_state = 8, .external_lex_state = 3},
  [872] = {.lex_state = 8, .external_lex_state = 3},
  [873] = {.lex_state = 8, .external_lex_state = 3},
  [874] = {.lex_state = 8, .external_lex_state = 3},
  [875] = {.lex_state = 8, .external_lex_state = 3},
  [876] = {.lex_state = 8, .external_lex_state = 3},
  [877] = {.lex_state = 8, .external_lex_state = 3},
  [878] = {.lex_state = 8, .external_lex_state = 3},
  [879] = {.lex_state = 5, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 3},
  [881] = {.lex_state = 5, .external_lex_state = 2},
  [882] = {.lex_state = 5, .external_lex_state = 2},
  [883] = {.lex_state = 5, .external_lex_state = 2},
  [884] = {.lex_state = 5, .external_lex_state = 2},
  [885] = {.lex_state = 5, .external_lex_state = 2},
  [886] = {.lex_state = 5, .external_lex_state = 2},
  [887] = {.lex_state = 5, .external_lex_state = 2},
  [888] = {.lex_state = 5, .external_lex_state = 2},
  [889] = {.lex_state = 5, .external_lex_state = 2},
  [890] = {.lex_state = 5, .external_lex_state = 2},
  [891] = {.lex_state = 5, .external_lex_state = 2},
  [892] = {.lex_state = 144, .external_lex_state = 2},
  [893] = {.lex_state = 144, .external_lex_state = 2},
  [894] = {.lex_state = 144, .external_lex_state = 2},
  [895] = {.lex_state = 144, .external_lex_state = 2},
  [896] = {.lex_state = 144, .external_lex_state = 2},
  [897] = {.lex_state = 144, .external_lex_state = 2},
  [898] = {.lex_state = 144, .external_lex_state = 2},
  [899] = {.lex_state = 144, .external_lex_state = 2},
  [900] = {.lex_state = 144, .external_lex_state = 2},
  [901] = {.lex_state = 144, .external_lex_state = 2},
  [902] = {.lex_state = 144, .external_lex_state = 2},
  [903] = {.lex_state = 144, .external_lex_state = 2},
  [904] = {.lex_state = 144, .external_lex_state = 2},
  [905] = {.lex_state = 144, .external_lex_state = 2},
  [906] = {.lex_state = 144, .external_lex_state = 2},
  [907] = {.lex_state = 144, .external_lex_state = 2},
  [908] = {.lex_state = 144, .external_lex_state = 2},
  [909] = {.lex_state = 144, .external_lex_state = 2},
  [910] = {.lex_state = 144, .external_lex_state = 2},
  [911] = {.lex_state = 144, .external_lex_state = 2},
  [912] = {.lex_state = 144, .external_lex_state = 2},
  [913] = {.lex_state = 144, .external_lex_state = 5},
  [914] = {.lex_state = 144, .external_lex_state = 2},
  [915] = {.lex_state = 5, .external_lex_state = 2},
  [916] = {.lex_state = 144, .external_lex_state = 2},
  [917] = {.lex_state = 144, .external_lex_state = 2},
  [918] = {.lex_state = 144, .external_lex_state = 2},
  [919] = {.lex_state = 144, .external_lex_state = 5},
  [920] = {.lex_state = 5, .external_lex_state = 2},
  [921] = {.lex_state = 144, .external_lex_state = 5},
  [922] = {.lex_state = 144, .external_lex_state = 5},
  [923] = {.lex_state = 144, .external_lex_state = 2},
  [924] = {.lex_state = 5, .external_lex_state = 2},
  [925] = {.lex_state = 144, .external_lex_state = 2},
  [926] = {.lex_state = 144, .external_lex_state = 5},
  [927] = {.lex_state = 144, .external_lex_state = 5},
  [928] = {.lex_state = 144, .external_lex_state = 2},
  [929] = {.lex_state = 144, .external_lex_state = 2},
  [930] = {.lex_state = 144, .external_lex_state = 2},
  [931] = {.lex_state = 144, .external_lex_state = 5},
  [932] = {.lex_state = 5, .external_lex_state = 2},
  [933] = {.lex_state = 5, .external_lex_state = 2},
  [934] = {.lex_state = 5, .external_lex_state = 2},
  [935] = {.lex_state = 5, .external_lex_state = 2},
  [936] = {.lex_state = 5, .external_lex_state = 2},
  [937] = {.lex_state = 5, .external_lex_state = 2},
  [938] = {.lex_state = 5, .external_lex_state = 2},
  [939] = {.lex_state = 5, .external_lex_state = 2},
  [940] = {.lex_state = 5, .external_lex_state = 2},
  [941] = {.lex_state = 5, .external_lex_state = 2},
  [942] = {.lex_state = 5, .external_lex_state = 2},
  [943] = {.lex_state = 5, .external_lex_state = 2},
  [944] = {.lex_state = 5, .external_lex_state = 2},
  [945] = {.lex_state = 5, .external_lex_state = 2},
  [946] = {.lex_state = 5, .external_lex_state = 2},
  [947] = {.lex_state = 144, .external_lex_state = 5},
  [948] = {.lex_state = 5, .external_lex_state = 2},
  [949] = {.lex_state = 5, .external_lex_state = 2},
  [950] = {.lex_state = 5, .external_lex_state = 2},
  [951] = {.lex_state = 5, .external_lex_state = 2},
  [952] = {.lex_state = 5, .external_lex_state = 2},
  [953] = {.lex_state = 5, .external_lex_state = 5},
  [954] = {.lex_state = 5, .external_lex_state = 5},
  [955] = {.lex_state = 11, .external_lex_state = 2},
  [956] = {.lex_state = 5, .external_lex_state = 2},
  [957] = {.lex_state = 144, .external_lex_state = 5},
  [958] = {.lex_state = 5, .external_lex_state = 2},
  [959] = {.lex_state = 5, .external_lex_state = 2},
  [960] = {.lex_state = 5, .external_lex_state = 2},
  [961] = {.lex_state = 144, .external_lex_state = 5},
  [962] = {.lex_state = 5, .external_lex_state = 2},
  [963] = {.lex_state = 5, .external_lex_state = 2},
  [964] = {.lex_state = 5, .external_lex_state = 2},
  [965] = {.lex_state = 5, .external_lex_state = 2},
  [966] = {.lex_state = 144, .external_lex_state = 5},
  [967] = {.lex_state = 144, .external_lex_state = 5},
  [968] = {.lex_state = 5, .external_lex_state = 2},
  [969] = {.lex_state = 5, .external_lex_state = 2},
  [970] = {.lex_state = 11, .external_lex_state = 2},
  [971] = {.lex_state = 5, .external_lex_state = 2},
  [972] = {.lex_state = 5, .external_lex_state = 2},
  [973] = {.lex_state = 5, .external_lex_state = 2},
  [974] = {.lex_state = 5, .external_lex_state = 2},
  [975] = {.lex_state = 5, .external_lex_state = 2},
  [976] = {.lex_state = 5, .external_lex_state = 2},
  [977] = {.lex_state = 5, .external_lex_state = 2},
  [978] = {.lex_state = 5, .external_lex_state = 2},
  [979] = {.lex_state = 5, .external_lex_state = 2},
  [980] = {.lex_state = 144, .external_lex_state = 2},
  [981] = {.lex_state = 144, .external_lex_state = 2},
  [982] = {.lex_state = 144, .external_lex_state = 2},
  [983] = {.lex_state = 144, .external_lex_state = 2},
  [984] = {.lex_state = 144, .external_lex_state = 2},
  [985] = {.lex_state = 144, .external_lex_state = 2},
  [986] = {.lex_state = 144, .external_lex_state = 2},
  [987] = {.lex_state = 144, .external_lex_state = 2},
  [988] = {.lex_state = 144, .external_lex_state = 2},
  [989] = {.lex_state = 144, .external_lex_state = 2},
  [990] = {.lex_state = 144, .external_lex_state = 2},
  [991] = {.lex_state = 5, .external_lex_state = 2},
  [992] = {.lex_state = 5, .external_lex_state = 2},
  [993] = {.lex_state = 5, .external_lex_state = 2},
  [994] = {.lex_state = 144, .external_lex_state = 2},
  [995] = {.lex_state = 5, .external_lex_state = 2},
  [996] = {.lex_state = 5, .external_lex_state = 2},
  [997] = {.lex_state = 144, .external_lex_state = 2},
  [998] = {.lex_state = 144, .external_lex_state = 2},
  [999] = {.lex_state = 144, .external_lex_state = 2},
  [1000] = {.lex_state = 144, .external_lex_state = 2},
  [1001] = {.lex_state = 5, .external_lex_state = 2},
  [1002] = {.lex_state = 144, .external_lex_state = 2},
  [1003] = {.lex_state = 144, .external_lex_state = 2},
  [1004] = {.lex_state = 144, .external_lex_state = 2},
  [1005] = {.lex_state = 144, .external_lex_state = 2},
  [1006] = {.lex_state = 144, .external_lex_state = 2},
  [1007] = {.lex_state = 144, .external_lex_state = 2},
  [1008] = {.lex_state = 144, .external_lex_state = 2},
  [1009] = {.lex_state = 144, .external_lex_state = 2},
  [1010] = {.lex_state = 144, .external_lex_state = 2},
  [1011] = {.lex_state = 144, .external_lex_state = 2},
  [1012] = {.lex_state = 144, .external_lex_state = 2},
  [1013] = {.lex_state = 144, .external_lex_state = 2},
  [1014] = {.lex_state = 144, .external_lex_state = 2},
  [1015] = {.lex_state = 144, .external_lex_state = 2},
  [1016] = {.lex_state = 144, .external_lex_state = 2},
  [1017] = {.lex_state = 144, .external_lex_state = 2},
  [1018] = {.lex_state = 144, .external_lex_state = 2},
  [1019] = {.lex_state = 144, .external_lex_state = 2},
  [1020] = {.lex_state = 144, .external_lex_state = 2},
  [1021] = {.lex_state = 144, .external_lex_state = 2},
  [1022] = {.lex_state = 144, .external_lex_state = 2},
  [1023] = {.lex_state = 144, .external_lex_state = 2},
  [1024] = {.lex_state = 144, .external_lex_state = 2},
  [1025] = {.lex_state = 144, .external_lex_state = 2},
  [1026] = {.lex_state = 144, .external_lex_state = 2},
  [1027] = {.lex_state = 7, .external_lex_state = 2},
  [1028] = {.lex_state = 7, .external_lex_state = 2},
  [1029] = {.lex_state = 144, .external_lex_state = 2},
  [1030] = {.lex_state = 144, .external_lex_state = 2},
  [1031] = {.lex_state = 7, .external_lex_state = 2},
  [1032] = {.lex_state = 7, .external_lex_state = 2},
  [1033] = {.lex_state = 144, .external_lex_state = 2},
  [1034] = {.lex_state = 7, .external_lex_state = 2},
  [1035] = {.lex_state = 144, .external_lex_state = 2},
  [1036] = {.lex_state = 144, .external_lex_state = 2},
  [1037] = {.lex_state = 144, .external_lex_state = 2},
  [1038] = {.lex_state = 144, .external_lex_state = 2},
  [1039] = {.lex_state = 144, .external_lex_state = 2},
  [1040] = {.lex_state = 144, .external_lex_state = 2},
  [1041] = {.lex_state = 144, .external_lex_state = 2},
  [1042] = {.lex_state = 144, .external_lex_state = 2},
  [1043] = {.lex_state = 144, .external_lex_state = 2},
  [1044] = {.lex_state = 144, .external_lex_state = 2},
  [1045] = {.lex_state = 144, .external_lex_state = 2},
  [1046] = {.lex_state = 144, .external_lex_state = 2},
  [1047] = {.lex_state = 144, .external_lex_state = 2},
  [1048] = {.lex_state = 143, .external_lex_state = 2},
  [1049] = {.lex_state = 11, .external_lex_state = 6},
  [1050] = {.lex_state = 11, .external_lex_state = 6},
  [1051] = {.lex_state = 11, .external_lex_state = 6},
  [1052] = {.lex_state = 11, .external_lex_state = 6},
  [1053] = {.lex_state = 13, .external_lex_state = 2},
  [1054] = {.lex_state = 11, .external_lex_state = 6},
  [1055] = {.lex_state = 11, .external_lex_state = 6},
  [1056] = {.lex_state = 13, .external_lex_state = 2},
  [1057] = {.lex_state = 11, .external_lex_state = 6},
  [1058] = {.lex_state = 13, .external_lex_state = 2},
  [1059] = {.lex_state = 11, .external_lex_state = 6},
  [1060] = {.lex_state = 13, .external_lex_state = 2},
  [1061] = {.lex_state = 13, .external_lex_state = 2},
  [1062] = {.lex_state = 13, .external_lex_state = 2},
  [1063] = {.lex_state = 13, .external_lex_state = 2},
  [1064] = {.lex_state = 13, .external_lex_state = 2},
  [1065] = {.lex_state = 11, .external_lex_state = 6},
  [1066] = {.lex_state = 13, .external_lex_state = 2},
  [1067] = {.lex_state = 13, .external_lex_state = 2},
  [1068] = {.lex_state = 13, .external_lex_state = 2},
  [1069] = {.lex_state = 13, .external_lex_state = 2},
  [1070] = {.lex_state = 13, .external_lex_state = 2},
  [1071] = {.lex_state = 13, .external_lex_state = 2},
  [1072] = {.lex_state = 13, .external_lex_state = 2},
  [1073] = {.lex_state = 13, .external_lex_state = 2},
  [1074] = {.lex_state = 13, .external_lex_state = 2},
  [1075] = {.lex_state = 13, .external_lex_state = 2},
  [1076] = {.lex_state = 13, .external_lex_state = 2},
  [1077] = {.lex_state = 13, .external_lex_state = 2},
  [1078] = {.lex_state = 13, .external_lex_state = 2},
  [1079] = {.lex_state = 13, .external_lex_state = 2},
  [1080] = {.lex_state = 13, .external_lex_state = 2},
  [1081] = {.lex_state = 13, .external_lex_state = 2},
  [1082] = {.lex_state = 13, .external_lex_state = 2},
  [1083] = {.lex_state = 13, .external_lex_state = 2},
  [1084] = {.lex_state = 13, .external_lex_state = 2},
  [1085] = {.lex_state = 13, .external_lex_state = 2},
  [1086] = {.lex_state = 13, .external_lex_state = 2},
  [1087] = {.lex_state = 13, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 13, .external_lex_state = 2},
  [1090] = {.lex_state = 13, .external_lex_state = 2},
  [1091] = {.lex_state = 13, .external_lex_state = 2},
  [1092] = {.lex_state = 13, .external_lex_state = 2},
  [1093] = {.lex_state = 144, .external_lex_state = 2},
  [1094] = {.lex_state = 144, .external_lex_state = 2},
  [1095] = {.lex_state = 144, .external_lex_state = 2},
  [1096] = {.lex_state = 144, .external_lex_state = 2},
  [1097] = {.lex_state = 144, .external_lex_state = 2},
  [1098] = {.lex_state = 144, .external_lex_state = 2},
  [1099] = {.lex_state = 144, .external_lex_state = 2},
  [1100] = {.lex_state = 144, .external_lex_state = 2},
  [1101] = {.lex_state = 144, .external_lex_state = 2},
  [1102] = {.lex_state = 144, .external_lex_state = 2},
  [1103] = {.lex_state = 144, .external_lex_state = 2},
  [1104] = {.lex_state = 144, .external_lex_state = 2},
  [1105] = {.lex_state = 144, .external_lex_state = 5},
  [1106] = {.lex_state = 144, .external_lex_state = 2},
  [1107] = {.lex_state = 144, .external_lex_state = 5},
  [1108] = {.lex_state = 144, .external_lex_state = 2},
  [1109] = {.lex_state = 144, .external_lex_state = 2},
  [1110] = {.lex_state = 144, .external_lex_state = 2},
  [1111] = {.lex_state = 144, .external_lex_state = 2},
  [1112] = {.lex_state = 144, .external_lex_state = 2},
  [1113] = {.lex_state = 144, .external_lex_state = 2},
  [1114] = {.lex_state = 144, .external_lex_state = 2},
  [1115] = {.lex_state = 144, .external_lex_state = 2},
  [1116] = {.lex_state = 144, .external_lex_state = 2},
  [1117] = {.lex_state = 144, .external_lex_state = 2},
  [1118] = {.lex_state = 144, .external_lex_state = 2},
  [1119] = {.lex_state = 13, .external_lex_state = 2},
  [1120] = {.lex_state = 19, .external_lex_state = 7},
  [1121] = {.lex_state = 144, .external_lex_state = 5},
  [1122] = {.lex_state = 144, .external_lex_state = 2},
  [1123] = {.lex_state = 19, .external_lex_state = 7},
  [1124] = {.lex_state = 144, .external_lex_state = 2},
  [1125] = {.lex_state = 19, .external_lex_state = 7},
  [1126] = {.lex_state = 144, .external_lex_state = 2},
  [1127] = {.lex_state = 144, .external_lex_state = 2},
  [1128] = {.lex_state = 144, .external_lex_state = 5},
  [1129] = {.lex_state = 144, .external_lex_state = 2},
  [1130] = {.lex_state = 144, .external_lex_state = 5},
  [1131] = {.lex_state = 144, .external_lex_state = 2},
  [1132] = {.lex_state = 144, .external_lex_state = 5},
  [1133] = {.lex_state = 13, .external_lex_state = 2},
  [1134] = {.lex_state = 144, .external_lex_state = 5},
  [1135] = {.lex_state = 144, .external_lex_state = 2},
  [1136] = {.lex_state = 19, .external_lex_state = 7},
  [1137] = {.lex_state = 144, .external_lex_state = 2},
  [1138] = {.lex_state = 144, .external_lex_state = 5},
  [1139] = {.lex_state = 13, .external_lex_state = 2},
  [1140] = {.lex_state = 144, .external_lex_state = 5},
  [1141] = {.lex_state = 144, .external_lex_state = 5},
  [1142] = {.lex_state = 144, .external_lex_state = 2},
  [1143] = {.lex_state = 144, .external_lex_state = 2},
  [1144] = {.lex_state = 144, .external_lex_state = 5},
  [1145] = {.lex_state = 13, .external_lex_state = 2},
  [1146] = {.lex_state = 19, .external_lex_state = 7},
  [1147] = {.lex_state = 144, .external_lex_state = 5},
  [1148] = {.lex_state = 144, .external_lex_state = 5},
  [1149] = {.lex_state = 144, .external_lex_state = 5},
  [1150] = {.lex_state = 11, .external_lex_state = 6},
  [1151] = {.lex_state = 13, .external_lex_state = 2},
  [1152] = {.lex_state = 13, .external_lex_state = 2},
  [1153] = {.lex_state = 11, .external_lex_state = 6},
  [1154] = {.lex_state = 11, .external_lex_state = 6},
  [1155] = {.lex_state = 11, .external_lex_state = 6},
  [1156] = {.lex_state = 11, .external_lex_state = 6},
  [1157] = {.lex_state = 144, .external_lex_state = 2},
  [1158] = {.lex_state = 13, .external_lex_state = 2},
  [1159] = {.lex_state = 144, .external_lex_state = 5},
  [1160] = {.lex_state = 13, .external_lex_state = 2},
  [1161] = {.lex_state = 144, .external_lex_state = 5},
  [1162] = {.lex_state = 11, .external_lex_state = 6},
  [1163] = {.lex_state = 11, .external_lex_state = 6},
  [1164] = {.lex_state = 11, .external_lex_state = 6},
  [1165] = {.lex_state = 11, .external_lex_state = 6},
  [1166] = {.lex_state = 13, .external_lex_state = 2},
  [1167] = {.lex_state = 13, .external_lex_state = 2},
  [1168] = {.lex_state = 11, .external_lex_state = 6},
  [1169] = {.lex_state = 13, .external_lex_state = 2},
  [1170] = {.lex_state = 144, .external_lex_state = 2},
  [1171] = {.lex_state = 144, .external_lex_state = 2},
  [1172] = {.lex_state = 13, .external_lex_state = 2},
  [1173] = {.lex_state = 11, .external_lex_state = 6},
  [1174] = {.lex_state = 144, .external_lex_state = 2},
  [1175] = {.lex_state = 144, .external_lex_state = 2},
  [1176] = {.lex_state = 13, .external_lex_state = 2},
  [1177] = {.lex_state = 144, .external_lex_state = 5},
  [1178] = {.lex_state = 144, .external_lex_state = 2},
  [1179] = {.lex_state = 13, .external_lex_state = 2},
  [1180] = {.lex_state = 144, .external_lex_state = 2},
  [1181] = {.lex_state = 13, .external_lex_state = 2},
  [1182] = {.lex_state = 13, .external_lex_state = 2},
  [1183] = {.lex_state = 11, .external_lex_state = 6},
  [1184] = {.lex_state = 13, .external_lex_state = 2},
  [1185] = {.lex_state = 13, .external_lex_state = 2},
  [1186] = {.lex_state = 11, .external_lex_state = 6},
  [1187] = {.lex_state = 144, .external_lex_state = 2},
  [1188] = {.lex_state = 144, .external_lex_state = 2},
  [1189] = {.lex_state = 13, .external_lex_state = 2},
  [1190] = {.lex_state = 144, .external_lex_state = 2},
  [1191] = {.lex_state = 13, .external_lex_state = 2},
  [1192] = {.lex_state = 144, .external_lex_state = 2},
  [1193] = {.lex_state = 13, .external_lex_state = 2},
  [1194] = {.lex_state = 13, .external_lex_state = 2},
  [1195] = {.lex_state = 13, .external_lex_state = 2},
  [1196] = {.lex_state = 144, .external_lex_state = 2},
  [1197] = {.lex_state = 144, .external_lex_state = 2},
  [1198] = {.lex_state = 11, .external_lex_state = 6},
  [1199] = {.lex_state = 13, .external_lex_state = 2},
  [1200] = {.lex_state = 13, .external_lex_state = 2},
  [1201] = {.lex_state = 144, .external_lex_state = 2},
  [1202] = {.lex_state = 144, .external_lex_state = 5},
  [1203] = {.lex_state = 13, .external_lex_state = 2},
  [1204] = {.lex_state = 13, .external_lex_state = 2},
  [1205] = {.lex_state = 144, .external_lex_state = 2},
  [1206] = {.lex_state = 144, .external_lex_state = 2},
  [1207] = {.lex_state = 144, .external_lex_state = 2},
  [1208] = {.lex_state = 13, .external_lex_state = 2},
  [1209] = {.lex_state = 144, .external_lex_state = 2},
  [1210] = {.lex_state = 11, .external_lex_state = 6},
  [1211] = {.lex_state = 144, .external_lex_state = 2},
  [1212] = {.lex_state = 144, .external_lex_state = 2},
  [1213] = {.lex_state = 144, .external_lex_state = 2},
  [1214] = {.lex_state = 11, .external_lex_state = 6},
  [1215] = {.lex_state = 144, .external_lex_state = 2},
  [1216] = {.lex_state = 11, .external_lex_state = 6},
  [1217] = {.lex_state = 144, .external_lex_state = 2},
  [1218] = {.lex_state = 23, .external_lex_state = 8},
  [1219] = {.lex_state = 15, .external_lex_state = 8},
  [1220] = {.lex_state = 23, .external_lex_state = 8},
  [1221] = {.lex_state = 144, .external_lex_state = 5},
  [1222] = {.lex_state = 144, .external_lex_state = 2},
  [1223] = {.lex_state = 23, .external_lex_state = 8},
  [1224] = {.lex_state = 144, .external_lex_state = 2},
  [1225] = {.lex_state = 15, .external_lex_state = 8},
  [1226] = {.lex_state = 144, .external_lex_state = 2},
  [1227] = {.lex_state = 144, .external_lex_state = 2},
  [1228] = {.lex_state = 144, .external_lex_state = 2},
  [1229] = {.lex_state = 144, .external_lex_state = 2},
  [1230] = {.lex_state = 144, .external_lex_state = 5},
  [1231] = {.lex_state = 144, .external_lex_state = 2},
  [1232] = {.lex_state = 15, .external_lex_state = 8},
  [1233] = {.lex_state = 23, .external_lex_state = 8},
  [1234] = {.lex_state = 144, .external_lex_state = 2},
  [1235] = {.lex_state = 144, .external_lex_state = 2},
  [1236] = {.lex_state = 23, .external_lex_state = 8},
  [1237] = {.lex_state = 15, .external_lex_state = 8},
  [1238] = {.lex_state = 144, .external_lex_state = 2},
  [1239] = {.lex_state = 15, .external_lex_state = 8},
  [1240] = {.lex_state = 23, .external_lex_state = 8},
  [1241] = {.lex_state = 144, .external_lex_state = 2},
  [1242] = {.lex_state = 144, .external_lex_state = 2},
  [1243] = {.lex_state = 143, .external_lex_state = 2},
  [1244] = {.lex_state = 144, .external_lex_state = 2},
  [1245] = {.lex_state = 144, .external_lex_state = 5},
  [1246] = {.lex_state = 15, .external_lex_state = 8},
  [1247] = {.lex_state = 144, .external_lex_state = 5},
  [1248] = {.lex_state = 19, .external_lex_state = 7},
  [1249] = {.lex_state = 144, .external_lex_state = 5},
  [1250] = {.lex_state = 21, .external_lex_state = 2},
  [1251] = {.lex_state = 15, .external_lex_state = 8},
  [1252] = {.lex_state = 23, .external_lex_state = 8},
  [1253] = {.lex_state = 15, .external_lex_state = 8},
  [1254] = {.lex_state = 144, .external_lex_state = 2},
  [1255] = {.lex_state = 144, .external_lex_state = 2},
  [1256] = {.lex_state = 144, .external_lex_state = 5},
  [1257] = {.lex_state = 144, .external_lex_state = 5},
  [1258] = {.lex_state = 12, .external_lex_state = 2},
  [1259] = {.lex_state = 144, .external_lex_state = 2},
  [1260] = {.lex_state = 23, .external_lex_state = 8},
  [1261] = {.lex_state = 144, .external_lex_state = 2},
  [1262] = {.lex_state = 144, .external_lex_state = 2},
  [1263] = {.lex_state = 144, .external_lex_state = 2},
  [1264] = {.lex_state = 144, .external_lex_state = 2},
  [1265] = {.lex_state = 144, .external_lex_state = 2},
  [1266] = {.lex_state = 144, .external_lex_state = 2},
  [1267] = {.lex_state = 144, .external_lex_state = 5},
  [1268] = {.lex_state = 144, .external_lex_state = 2},
  [1269] = {.lex_state = 143, .external_lex_state = 2},
  [1270] = {.lex_state = 144, .external_lex_state = 2},
  [1271] = {.lex_state = 144, .external_lex_state = 2},
  [1272] = {.lex_state = 144, .external_lex_state = 2},
  [1273] = {.lex_state = 144, .external_lex_state = 5},
  [1274] = {.lex_state = 23, .external_lex_state = 8},
  [1275] = {.lex_state = 15, .external_lex_state = 8},
  [1276] = {.lex_state = 144, .external_lex_state = 2},
  [1277] = {.lex_state = 12, .external_lex_state = 2},
  [1278] = {.lex_state = 21, .external_lex_state = 2},
  [1279] = {.lex_state = 21, .external_lex_state = 2},
  [1280] = {.lex_state = 144, .external_lex_state = 2},
  [1281] = {.lex_state = 144, .external_lex_state = 2},
  [1282] = {.lex_state = 144, .external_lex_state = 5},
  [1283] = {.lex_state = 144, .external_lex_state = 2},
  [1284] = {.lex_state = 144, .external_lex_state = 2},
  [1285] = {.lex_state = 12, .external_lex_state = 2},
  [1286] = {.lex_state = 144, .external_lex_state = 2},
  [1287] = {.lex_state = 144, .external_lex_state = 5},
  [1288] = {.lex_state = 144, .external_lex_state = 5},
  [1289] = {.lex_state = 144, .external_lex_state = 2},
  [1290] = {.lex_state = 144, .external_lex_state = 2},
  [1291] = {.lex_state = 144, .external_lex_state = 2},
  [1292] = {.lex_state = 143, .external_lex_state = 2},
  [1293] = {.lex_state = 144, .external_lex_state = 2},
  [1294] = {.lex_state = 144, .external_lex_state = 2},
  [1295] = {.lex_state = 144, .external_lex_state = 5},
  [1296] = {.lex_state = 144, .external_lex_state = 2},
  [1297] = {.lex_state = 144, .external_lex_state = 2},
  [1298] = {.lex_state = 144, .external_lex_state = 2},
  [1299] = {.lex_state = 144, .external_lex_state = 2},
  [1300] = {.lex_state = 144, .external_lex_state = 2},
  [1301] = {.lex_state = 144, .external_lex_state = 2},
  [1302] = {.lex_state = 144, .external_lex_state = 2},
  [1303] = {.lex_state = 144, .external_lex_state = 2},
  [1304] = {.lex_state = 144, .external_lex_state = 2},
  [1305] = {.lex_state = 144, .external_lex_state = 2},
  [1306] = {.lex_state = 144, .external_lex_state = 2},
  [1307] = {.lex_state = 144, .external_lex_state = 2},
  [1308] = {.lex_state = 144, .external_lex_state = 2},
  [1309] = {.lex_state = 144, .external_lex_state = 2},
  [1310] = {.lex_state = 2, .external_lex_state = 2},
  [1311] = {.lex_state = 144, .external_lex_state = 2},
  [1312] = {.lex_state = 144, .external_lex_state = 2},
  [1313] = {.lex_state = 144, .external_lex_state = 2},
  [1314] = {.lex_state = 144, .external_lex_state = 2},
  [1315] = {.lex_state = 144, .external_lex_state = 2},
  [1316] = {.lex_state = 144, .external_lex_state = 2},
  [1317] = {.lex_state = 144, .external_lex_state = 5},
  [1318] = {.lex_state = 144, .external_lex_state = 2},
  [1319] = {.lex_state = 144, .external_lex_state = 2},
  [1320] = {.lex_state = 144, .external_lex_state = 2},
  [1321] = {.lex_state = 144, .external_lex_state = 2},
  [1322] = {.lex_state = 144, .external_lex_state = 2},
  [1323] = {.lex_state = 144, .external_lex_state = 5},
  [1324] = {.lex_state = 144, .external_lex_state = 2},
  [1325] = {.lex_state = 144, .external_lex_state = 2},
  [1326] = {.lex_state = 2, .external_lex_state = 2},
  [1327] = {.lex_state = 144, .external_lex_state = 2},
  [1328] = {.lex_state = 144, .external_lex_state = 2},
  [1329] = {.lex_state = 144, .external_lex_state = 2},
  [1330] = {.lex_state = 144, .external_lex_state = 2},
  [1331] = {.lex_state = 144, .external_lex_state = 5},
  [1332] = {.lex_state = 144, .external_lex_state = 2},
  [1333] = {.lex_state = 144, .external_lex_state = 2},
  [1334] = {.lex_state = 144, .external_lex_state = 2},
  [1335] = {.lex_state = 144, .external_lex_state = 2},
  [1336] = {.lex_state = 144, .external_lex_state = 2},
  [1337] = {.lex_state = 6, .external_lex_state = 2},
  [1338] = {.lex_state = 144, .external_lex_state = 2},
  [1339] = {.lex_state = 144, .external_lex_state = 2},
  [1340] = {.lex_state = 144, .external_lex_state = 5},
  [1341] = {.lex_state = 144, .external_lex_state = 2},
  [1342] = {.lex_state = 144, .external_lex_state = 2},
  [1343] = {.lex_state = 144, .external_lex_state = 2},
  [1344] = {.lex_state = 6, .external_lex_state = 2},
  [1345] = {.lex_state = 144, .external_lex_state = 2},
  [1346] = {.lex_state = 6, .external_lex_state = 2},
  [1347] = {.lex_state = 144, .external_lex_state = 2},
  [1348] = {.lex_state = 144, .external_lex_state = 2},
  [1349] = {.lex_state = 144, .external_lex_state = 2},
  [1350] = {.lex_state = 144, .external_lex_state = 2},
  [1351] = {.lex_state = 144, .external_lex_state = 5},
  [1352] = {.lex_state = 144, .external_lex_state = 2},
  [1353] = {.lex_state = 144, .external_lex_state = 2},
  [1354] = {.lex_state = 144, .external_lex_state = 2},
  [1355] = {.lex_state = 144, .external_lex_state = 2},
  [1356] = {.lex_state = 144, .external_lex_state = 2},
  [1357] = {.lex_state = 144, .external_lex_state = 5},
  [1358] = {.lex_state = 144, .external_lex_state = 2},
  [1359] = {.lex_state = 6, .external_lex_state = 2},
  [1360] = {.lex_state = 144, .external_lex_state = 2},
  [1361] = {.lex_state = 144, .external_lex_state = 2},
  [1362] = {.lex_state = 144, .external_lex_state = 2},
  [1363] = {.lex_state = 144, .external_lex_state = 2},
  [1364] = {.lex_state = 144, .external_lex_state = 2},
  [1365] = {.lex_state = 144, .external_lex_state = 2},
  [1366] = {.lex_state = 144, .external_lex_state = 5},
  [1367] = {.lex_state = 2, .external_lex_state = 2},
  [1368] = {.lex_state = 144, .external_lex_state = 2},
  [1369] = {.lex_state = 144, .external_lex_state = 2},
  [1370] = {.lex_state = 144, .external_lex_state = 2},
  [1371] = {.lex_state = 2, .external_lex_state = 2},
  [1372] = {.lex_state = 2, .external_lex_state = 2},
  [1373] = {.lex_state = 144, .external_lex_state = 2},
  [1374] = {.lex_state = 144, .external_lex_state = 2},
  [1375] = {.lex_state = 144, .external_lex_state = 2},
  [1376] = {.lex_state = 144, .external_lex_state = 2},
  [1377] = {.lex_state = 144, .external_lex_state = 2},
  [1378] = {.lex_state = 144, .external_lex_state = 2},
  [1379] = {.lex_state = 144, .external_lex_state = 5},
  [1380] = {.lex_state = 144, .external_lex_state = 2},
  [1381] = {.lex_state = 144, .external_lex_state = 2},
  [1382] = {.lex_state = 144, .external_lex_state = 2},
  [1383] = {.lex_state = 144, .external_lex_state = 2},
  [1384] = {.lex_state = 144, .external_lex_state = 2},
  [1385] = {.lex_state = 2, .external_lex_state = 2},
  [1386] = {.lex_state = 144, .external_lex_state = 2},
  [1387] = {.lex_state = 2, .external_lex_state = 2},
  [1388] = {.lex_state = 144, .external_lex_state = 5},
  [1389] = {.lex_state = 144, .external_lex_state = 2},
  [1390] = {.lex_state = 144, .external_lex_state = 2},
  [1391] = {.lex_state = 144, .external_lex_state = 2},
  [1392] = {.lex_state = 144, .external_lex_state = 2},
  [1393] = {.lex_state = 143, .external_lex_state = 2},
  [1394] = {.lex_state = 144, .external_lex_state = 2},
  [1395] = {.lex_state = 144, .external_lex_state = 2},
  [1396] = {.lex_state = 144, .external_lex_state = 2},
  [1397] = {.lex_state = 144, .external_lex_state = 2},
  [1398] = {.lex_state = 144, .external_lex_state = 2},
  [1399] = {.lex_state = 144, .external_lex_state = 2},
  [1400] = {.lex_state = 144, .external_lex_state = 5},
  [1401] = {.lex_state = 144, .external_lex_state = 2},
  [1402] = {.lex_state = 144, .external_lex_state = 2},
  [1403] = {.lex_state = 144, .external_lex_state = 2},
  [1404] = {.lex_state = 144, .external_lex_state = 2},
  [1405] = {.lex_state = 144, .external_lex_state = 5},
  [1406] = {.lex_state = 144, .external_lex_state = 2},
  [1407] = {.lex_state = 144, .external_lex_state = 2},
  [1408] = {.lex_state = 144, .external_lex_state = 2},
  [1409] = {.lex_state = 144, .external_lex_state = 5},
  [1410] = {.lex_state = 144, .external_lex_state = 2},
  [1411] = {.lex_state = 144, .external_lex_state = 2},
  [1412] = {.lex_state = 144, .external_lex_state = 2},
  [1413] = {.lex_state = 144, .external_lex_state = 2},
  [1414] = {.lex_state = 144, .external_lex_state = 2},
  [1415] = {.lex_state = 144, .external_lex_state = 2},
  [1416] = {.lex_state = 144, .external_lex_state = 2},
  [1417] = {.lex_state = 144, .external_lex_state = 2},
  [1418] = {.lex_state = 144, .external_lex_state = 5},
  [1419] = {.lex_state = 144, .external_lex_state = 2},
  [1420] = {.lex_state = 144, .external_lex_state = 2},
  [1421] = {.lex_state = 144, .external_lex_state = 2},
  [1422] = {.lex_state = 144, .external_lex_state = 2},
  [1423] = {.lex_state = 144, .external_lex_state = 2},
  [1424] = {.lex_state = 144, .external_lex_state = 2},
  [1425] = {.lex_state = 144, .external_lex_state = 2},
  [1426] = {.lex_state = 6, .external_lex_state = 2},
  [1427] = {.lex_state = 144, .external_lex_state = 2},
  [1428] = {.lex_state = 144, .external_lex_state = 2},
  [1429] = {.lex_state = 144, .external_lex_state = 2},
  [1430] = {.lex_state = 144, .external_lex_state = 2},
  [1431] = {.lex_state = 144, .external_lex_state = 5},
  [1432] = {.lex_state = 144, .external_lex_state = 5},
  [1433] = {.lex_state = 144, .external_lex_state = 2},
  [1434] = {.lex_state = 144, .external_lex_state = 2},
  [1435] = {.lex_state = 144, .external_lex_state = 2},
  [1436] = {.lex_state = 144, .external_lex_state = 2},
  [1437] = {.lex_state = 144, .external_lex_state = 2},
  [1438] = {.lex_state = 144, .external_lex_state = 2},
  [1439] = {.lex_state = 144, .external_lex_state = 2},
  [1440] = {.lex_state = 144, .external_lex_state = 5},
  [1441] = {.lex_state = 144, .external_lex_state = 2},
  [1442] = {.lex_state = 144, .external_lex_state = 2},
  [1443] = {.lex_state = 144, .external_lex_state = 2},
  [1444] = {.lex_state = 144, .external_lex_state = 2},
  [1445] = {.lex_state = 144, .external_lex_state = 2},
  [1446] = {.lex_state = 144, .external_lex_state = 2},
  [1447] = {.lex_state = 144, .external_lex_state = 2},
  [1448] = {.lex_state = 144, .external_lex_state = 2},
  [1449] = {.lex_state = 144, .external_lex_state = 2},
  [1450] = {.lex_state = 144, .external_lex_state = 2},
  [1451] = {.lex_state = 144, .external_lex_state = 2},
  [1452] = {.lex_state = 144, .external_lex_state = 2},
  [1453] = {.lex_state = 144, .external_lex_state = 2},
  [1454] = {.lex_state = 144, .external_lex_state = 2},
  [1455] = {.lex_state = 144, .external_lex_state = 2},
  [1456] = {.lex_state = 144, .external_lex_state = 2},
  [1457] = {.lex_state = 144, .external_lex_state = 2},
  [1458] = {.lex_state = 144, .external_lex_state = 2},
  [1459] = {.lex_state = 144, .external_lex_state = 2},
  [1460] = {.lex_state = 144, .external_lex_state = 2},
  [1461] = {.lex_state = 144, .external_lex_state = 2},
  [1462] = {.lex_state = 6, .external_lex_state = 2},
  [1463] = {.lex_state = 144, .external_lex_state = 2},
  [1464] = {.lex_state = 144, .external_lex_state = 2},
  [1465] = {.lex_state = 144, .external_lex_state = 2},
  [1466] = {.lex_state = 144, .external_lex_state = 2},
  [1467] = {.lex_state = 144, .external_lex_state = 2},
  [1468] = {.lex_state = 144, .external_lex_state = 2},
  [1469] = {.lex_state = 144, .external_lex_state = 2},
  [1470] = {.lex_state = 144, .external_lex_state = 2},
  [1471] = {.lex_state = 144, .external_lex_state = 2},
  [1472] = {.lex_state = 144, .external_lex_state = 2},
  [1473] = {.lex_state = 144, .external_lex_state = 2},
  [1474] = {.lex_state = 144, .external_lex_state = 2},
  [1475] = {.lex_state = 144, .external_lex_state = 2},
  [1476] = {.lex_state = 144, .external_lex_state = 2},
  [1477] = {.lex_state = 144, .external_lex_state = 2},
  [1478] = {.lex_state = 6, .external_lex_state = 2},
  [1479] = {.lex_state = 144, .external_lex_state = 2},
  [1480] = {.lex_state = 144, .external_lex_state = 2},
  [1481] = {.lex_state = 144, .external_lex_state = 2},
  [1482] = {.lex_state = 144, .external_lex_state = 2},
  [1483] = {.lex_state = 144, .external_lex_state = 5},
  [1484] = {.lex_state = 144, .external_lex_state = 2},
  [1485] = {.lex_state = 144, .external_lex_state = 2},
  [1486] = {.lex_state = 144, .external_lex_state = 2},
  [1487] = {.lex_state = 144, .external_lex_state = 2},
  [1488] = {.lex_state = 144, .external_lex_state = 2},
  [1489] = {.lex_state = 144, .external_lex_state = 2},
  [1490] = {.lex_state = 144, .external_lex_state = 2},
  [1491] = {.lex_state = 144, .external_lex_state = 2},
  [1492] = {.lex_state = 144, .external_lex_state = 2},
  [1493] = {.lex_state = 144, .external_lex_state = 2},
  [1494] = {.lex_state = 144, .external_lex_state = 2},
  [1495] = {.lex_state = 144, .external_lex_state = 2},
  [1496] = {.lex_state = 144, .external_lex_state = 5},
  [1497] = {.lex_state = 144, .external_lex_state = 5},
  [1498] = {.lex_state = 144, .external_lex_state = 5},
  [1499] = {.lex_state = 144, .external_lex_state = 2},
  [1500] = {.lex_state = 144, .external_lex_state = 2},
  [1501] = {.lex_state = 144, .external_lex_state = 2},
  [1502] = {.lex_state = 144, .external_lex_state = 2},
  [1503] = {.lex_state = 144, .external_lex_state = 2},
  [1504] = {.lex_state = 144, .external_lex_state = 2},
  [1505] = {.lex_state = 144, .external_lex_state = 2},
  [1506] = {.lex_state = 144, .external_lex_state = 2},
  [1507] = {.lex_state = 144, .external_lex_state = 2},
  [1508] = {.lex_state = 144, .external_lex_state = 5},
  [1509] = {.lex_state = 144, .external_lex_state = 2},
  [1510] = {.lex_state = 144, .external_lex_state = 2},
  [1511] = {.lex_state = 144, .external_lex_state = 5},
  [1512] = {.lex_state = 144, .external_lex_state = 2},
  [1513] = {.lex_state = 144, .external_lex_state = 2},
  [1514] = {.lex_state = 144, .external_lex_state = 2},
  [1515] = {.lex_state = 13, .external_lex_state = 2},
  [1516] = {.lex_state = 144, .external_lex_state = 2},
  [1517] = {.lex_state = 144, .external_lex_state = 2},
  [1518] = {.lex_state = 144, .external_lex_state = 2},
  [1519] = {.lex_state = 144, .external_lex_state = 2},
  [1520] = {.lex_state = 144, .external_lex_state = 2},
  [1521] = {.lex_state = 144, .external_lex_state = 2},
  [1522] = {.lex_state = 144, .external_lex_state = 2},
  [1523] = {.lex_state = 144, .external_lex_state = 5},
  [1524] = {.lex_state = 144, .external_lex_state = 5},
  [1525] = {.lex_state = 144, .external_lex_state = 2},
  [1526] = {.lex_state = 144, .external_lex_state = 2},
  [1527] = {.lex_state = 144, .external_lex_state = 2},
  [1528] = {.lex_state = 144, .external_lex_state = 2},
  [1529] = {.lex_state = 144, .external_lex_state = 2},
  [1530] = {.lex_state = 144, .external_lex_state = 2},
  [1531] = {.lex_state = 144, .external_lex_state = 2},
  [1532] = {.lex_state = 144, .external_lex_state = 2},
  [1533] = {.lex_state = 144, .external_lex_state = 2},
  [1534] = {.lex_state = 144, .external_lex_state = 2},
  [1535] = {.lex_state = 144, .external_lex_state = 2},
  [1536] = {.lex_state = 144, .external_lex_state = 2},
  [1537] = {.lex_state = 144, .external_lex_state = 2},
  [1538] = {.lex_state = 144, .external_lex_state = 2},
  [1539] = {.lex_state = 144, .external_lex_state = 2},
  [1540] = {.lex_state = 144, .external_lex_state = 2},
  [1541] = {.lex_state = 144, .external_lex_state = 2},
  [1542] = {.lex_state = 144, .external_lex_state = 2},
  [1543] = {.lex_state = 144, .external_lex_state = 2},
  [1544] = {.lex_state = 144, .external_lex_state = 2},
  [1545] = {.lex_state = 144, .external_lex_state = 2},
  [1546] = {.lex_state = 144, .external_lex_state = 2},
  [1547] = {.lex_state = 144, .external_lex_state = 2},
  [1548] = {.lex_state = 144, .external_lex_state = 2},
  [1549] = {.lex_state = 144, .external_lex_state = 2},
  [1550] = {.lex_state = 144, .external_lex_state = 2},
  [1551] = {.lex_state = 144, .external_lex_state = 2},
  [1552] = {.lex_state = 144, .external_lex_state = 2},
  [1553] = {.lex_state = 144, .external_lex_state = 2},
  [1554] = {.lex_state = 144, .external_lex_state = 2},
  [1555] = {.lex_state = 144, .external_lex_state = 5},
  [1556] = {.lex_state = 144, .external_lex_state = 2},
  [1557] = {.lex_state = 144, .external_lex_state = 2},
  [1558] = {.lex_state = 144, .external_lex_state = 2},
  [1559] = {.lex_state = 144, .external_lex_state = 2},
  [1560] = {.lex_state = 144, .external_lex_state = 2},
  [1561] = {.lex_state = 144, .external_lex_state = 2},
  [1562] = {.lex_state = 144, .external_lex_state = 2},
  [1563] = {.lex_state = 144, .external_lex_state = 2},
  [1564] = {.lex_state = 144, .external_lex_state = 2},
  [1565] = {.lex_state = 144, .external_lex_state = 2},
  [1566] = {.lex_state = 144, .external_lex_state = 2},
  [1567] = {.lex_state = 144, .external_lex_state = 2},
  [1568] = {.lex_state = 144, .external_lex_state = 2},
  [1569] = {.lex_state = 144, .external_lex_state = 2},
  [1570] = {.lex_state = 144, .external_lex_state = 5},
  [1571] = {.lex_state = 144, .external_lex_state = 2},
  [1572] = {.lex_state = 144, .external_lex_state = 2},
  [1573] = {.lex_state = 144, .external_lex_state = 2},
  [1574] = {.lex_state = 144, .external_lex_state = 2},
  [1575] = {.lex_state = 144, .external_lex_state = 5},
  [1576] = {.lex_state = 144, .external_lex_state = 2},
  [1577] = {.lex_state = 144, .external_lex_state = 2},
  [1578] = {.lex_state = 144, .external_lex_state = 2},
  [1579] = {.lex_state = 144, .external_lex_state = 2},
  [1580] = {.lex_state = 144, .external_lex_state = 2},
  [1581] = {.lex_state = 144, .external_lex_state = 2},
  [1582] = {.lex_state = 144, .external_lex_state = 2},
  [1583] = {.lex_state = 144, .external_lex_state = 2},
  [1584] = {.lex_state = 144, .external_lex_state = 2},
  [1585] = {.lex_state = 144, .external_lex_state = 2},
  [1586] = {.lex_state = 144, .external_lex_state = 2},
  [1587] = {.lex_state = 144, .external_lex_state = 2},
  [1588] = {.lex_state = 144, .external_lex_state = 2},
  [1589] = {.lex_state = 144, .external_lex_state = 2},
  [1590] = {.lex_state = 144, .external_lex_state = 2},
  [1591] = {.lex_state = 144, .external_lex_state = 2},
  [1592] = {.lex_state = 144, .external_lex_state = 2},
  [1593] = {.lex_state = 144, .external_lex_state = 2},
  [1594] = {.lex_state = 144, .external_lex_state = 2},
  [1595] = {.lex_state = 144, .external_lex_state = 2},
  [1596] = {.lex_state = 144, .external_lex_state = 2},
  [1597] = {.lex_state = 144, .external_lex_state = 2},
  [1598] = {.lex_state = 144, .external_lex_state = 2},
  [1599] = {.lex_state = 144, .external_lex_state = 2},
  [1600] = {.lex_state = 144, .external_lex_state = 2},
  [1601] = {.lex_state = 144, .external_lex_state = 2},
  [1602] = {.lex_state = 144, .external_lex_state = 2},
  [1603] = {.lex_state = 144, .external_lex_state = 2},
  [1604] = {.lex_state = 144, .external_lex_state = 2},
  [1605] = {.lex_state = 144, .external_lex_state = 2},
  [1606] = {.lex_state = 144, .external_lex_state = 2},
  [1607] = {.lex_state = 144, .external_lex_state = 2},
  [1608] = {.lex_state = 144, .external_lex_state = 2},
  [1609] = {.lex_state = 144, .external_lex_state = 2},
  [1610] = {.lex_state = 144, .external_lex_state = 2},
  [1611] = {.lex_state = 144, .external_lex_state = 2},
  [1612] = {.lex_state = 144, .external_lex_state = 2},
  [1613] = {.lex_state = 144, .external_lex_state = 2},
  [1614] = {.lex_state = 144, .external_lex_state = 2},
  [1615] = {.lex_state = 144, .external_lex_state = 2},
  [1616] = {.lex_state = 144, .external_lex_state = 2},
  [1617] = {.lex_state = 144, .external_lex_state = 2},
  [1618] = {.lex_state = 144, .external_lex_state = 5},
  [1619] = {.lex_state = 144, .external_lex_state = 2},
  [1620] = {.lex_state = 144, .external_lex_state = 2},
  [1621] = {.lex_state = 144, .external_lex_state = 5},
  [1622] = {.lex_state = 144, .external_lex_state = 2},
  [1623] = {.lex_state = 144, .external_lex_state = 2},
  [1624] = {.lex_state = 144, .external_lex_state = 2},
  [1625] = {.lex_state = 144, .external_lex_state = 2},
  [1626] = {.lex_state = 144, .external_lex_state = 2},
  [1627] = {.lex_state = 144, .external_lex_state = 2},
  [1628] = {.lex_state = 6, .external_lex_state = 2},
  [1629] = {.lex_state = 144, .external_lex_state = 2},
  [1630] = {.lex_state = 144, .external_lex_state = 2},
  [1631] = {.lex_state = 144, .external_lex_state = 2},
  [1632] = {.lex_state = 144, .external_lex_state = 2},
  [1633] = {.lex_state = 144, .external_lex_state = 2},
  [1634] = {.lex_state = 144, .external_lex_state = 5},
  [1635] = {.lex_state = 144, .external_lex_state = 2},
  [1636] = {.lex_state = 144, .external_lex_state = 5},
  [1637] = {.lex_state = 144, .external_lex_state = 2},
  [1638] = {.lex_state = 144, .external_lex_state = 2},
  [1639] = {.lex_state = 144, .external_lex_state = 2},
  [1640] = {.lex_state = 144, .external_lex_state = 2},
  [1641] = {.lex_state = 144, .external_lex_state = 2},
  [1642] = {.lex_state = 144, .external_lex_state = 2},
  [1643] = {.lex_state = 144, .external_lex_state = 2},
  [1644] = {.lex_state = 144, .external_lex_state = 2},
  [1645] = {.lex_state = 144, .external_lex_state = 2},
  [1646] = {.lex_state = 144, .external_lex_state = 2},
  [1647] = {.lex_state = 144, .external_lex_state = 2},
  [1648] = {.lex_state = 144, .external_lex_state = 2},
  [1649] = {.lex_state = 144, .external_lex_state = 2},
  [1650] = {.lex_state = 3, .external_lex_state = 9},
  [1651] = {.lex_state = 144, .external_lex_state = 2},
  [1652] = {.lex_state = 3, .external_lex_state = 9},
  [1653] = {.lex_state = 34, .external_lex_state = 2},
  [1654] = {.lex_state = 144, .external_lex_state = 2},
  [1655] = {.lex_state = 144, .external_lex_state = 2},
  [1656] = {.lex_state = 144, .external_lex_state = 2},
  [1657] = {.lex_state = 144, .external_lex_state = 2},
  [1658] = {.lex_state = 144, .external_lex_state = 2},
  [1659] = {.lex_state = 144, .external_lex_state = 2},
  [1660] = {.lex_state = 144, .external_lex_state = 2},
  [1661] = {.lex_state = 144, .external_lex_state = 2},
  [1662] = {.lex_state = 144, .external_lex_state = 2},
  [1663] = {.lex_state = 144, .external_lex_state = 2},
  [1664] = {.lex_state = 144, .external_lex_state = 2},
  [1665] = {.lex_state = 144, .external_lex_state = 2},
  [1666] = {.lex_state = 144, .external_lex_state = 2},
  [1667] = {.lex_state = 144, .external_lex_state = 2},
  [1668] = {.lex_state = 144, .external_lex_state = 2},
  [1669] = {.lex_state = 144, .external_lex_state = 2},
  [1670] = {.lex_state = 144, .external_lex_state = 2},
  [1671] = {.lex_state = 144, .external_lex_state = 2},
  [1672] = {.lex_state = 144, .external_lex_state = 2},
  [1673] = {.lex_state = 144, .external_lex_state = 2},
  [1674] = {.lex_state = 144, .external_lex_state = 2},
  [1675] = {.lex_state = 144, .external_lex_state = 2},
  [1676] = {.lex_state = 144, .external_lex_state = 2},
  [1677] = {.lex_state = 144, .external_lex_state = 2},
  [1678] = {.lex_state = 144, .external_lex_state = 2},
  [1679] = {.lex_state = 144, .external_lex_state = 2},
  [1680] = {.lex_state = 144, .external_lex_state = 2},
  [1681] = {.lex_state = 144, .external_lex_state = 2},
  [1682] = {.lex_state = 34, .external_lex_state = 2},
  [1683] = {.lex_state = 144, .external_lex_state = 2},
  [1684] = {.lex_state = 144, .external_lex_state = 2},
  [1685] = {.lex_state = 144, .external_lex_state = 2},
  [1686] = {.lex_state = 144, .external_lex_state = 2},
  [1687] = {.lex_state = 144, .external_lex_state = 2},
  [1688] = {.lex_state = 144, .external_lex_state = 2},
  [1689] = {.lex_state = 144, .external_lex_state = 2},
  [1690] = {.lex_state = 144, .external_lex_state = 2},
  [1691] = {.lex_state = 144, .external_lex_state = 2},
  [1692] = {.lex_state = 144, .external_lex_state = 2},
  [1693] = {.lex_state = 144, .external_lex_state = 2},
  [1694] = {.lex_state = 144, .external_lex_state = 2},
  [1695] = {.lex_state = 144, .external_lex_state = 2},
  [1696] = {.lex_state = 144, .external_lex_state = 2},
  [1697] = {.lex_state = 144, .external_lex_state = 2},
  [1698] = {.lex_state = 144, .external_lex_state = 2},
  [1699] = {.lex_state = 144, .external_lex_state = 2},
  [1700] = {.lex_state = 144, .external_lex_state = 2},
  [1701] = {.lex_state = 144, .external_lex_state = 2},
  [1702] = {.lex_state = 144, .external_lex_state = 2},
  [1703] = {.lex_state = 144, .external_lex_state = 2},
  [1704] = {.lex_state = 34, .external_lex_state = 2},
  [1705] = {.lex_state = 144, .external_lex_state = 2},
  [1706] = {.lex_state = 144, .external_lex_state = 2},
  [1707] = {.lex_state = 144, .external_lex_state = 2},
  [1708] = {.lex_state = 144, .external_lex_state = 2},
  [1709] = {.lex_state = 144, .external_lex_state = 2},
  [1710] = {.lex_state = 144, .external_lex_state = 2},
  [1711] = {.lex_state = 144, .external_lex_state = 2},
  [1712] = {.lex_state = 144, .external_lex_state = 2},
  [1713] = {.lex_state = 144, .external_lex_state = 2},
  [1714] = {.lex_state = 144, .external_lex_state = 2},
  [1715] = {.lex_state = 144, .external_lex_state = 2},
  [1716] = {.lex_state = 144, .external_lex_state = 2},
  [1717] = {.lex_state = 144, .external_lex_state = 2},
  [1718] = {.lex_state = 144, .external_lex_state = 2},
  [1719] = {.lex_state = 144, .external_lex_state = 2},
  [1720] = {.lex_state = 144, .external_lex_state = 2},
  [1721] = {.lex_state = 144, .external_lex_state = 2},
  [1722] = {.lex_state = 144, .external_lex_state = 2},
  [1723] = {.lex_state = 144, .external_lex_state = 2},
  [1724] = {.lex_state = 144, .external_lex_state = 2},
  [1725] = {.lex_state = 3, .external_lex_state = 9},
  [1726] = {.lex_state = 144, .external_lex_state = 2},
  [1727] = {.lex_state = 144, .external_lex_state = 2},
  [1728] = {.lex_state = 144, .external_lex_state = 2},
  [1729] = {.lex_state = 144, .external_lex_state = 2},
  [1730] = {.lex_state = 144, .external_lex_state = 2},
  [1731] = {.lex_state = 144, .external_lex_state = 2},
  [1732] = {.lex_state = 144, .external_lex_state = 2},
  [1733] = {.lex_state = 144, .external_lex_state = 2},
  [1734] = {.lex_state = 144, .external_lex_state = 2},
  [1735] = {.lex_state = 3, .external_lex_state = 9},
  [1736] = {.lex_state = 34, .external_lex_state = 2},
  [1737] = {.lex_state = 144, .external_lex_state = 2},
  [1738] = {.lex_state = 144, .external_lex_state = 2},
  [1739] = {.lex_state = 144, .external_lex_state = 2},
  [1740] = {.lex_state = 144, .external_lex_state = 2},
  [1741] = {.lex_state = 144, .external_lex_state = 2},
  [1742] = {.lex_state = 144, .external_lex_state = 2},
  [1743] = {.lex_state = 144, .external_lex_state = 2},
  [1744] = {.lex_state = 144, .external_lex_state = 2},
  [1745] = {.lex_state = 144, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_glimmer_opening_tag] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [anon_sym_meta] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym_jsx_text] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1720),
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1705),
    [sym_object_assignment_pattern] = STATE(1313),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1705),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1705),
    [sym_spread_element] = STATE(1334),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [sym_rest_pattern] = STATE(1313),
    [sym_method_definition] = STATE(1334),
    [sym_pair] = STATE(1334),
    [sym_pair_pattern] = STATE(1313),
    [sym__property_name] = STATE(1301),
    [sym_computed_property_name] = STATE(1301),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1341),
    [aux_sym_object_pattern_repeat1] = STATE(1291),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_export] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(107),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(111),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(119),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1705),
    [sym_object_assignment_pattern] = STATE(1313),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1705),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1705),
    [sym_spread_element] = STATE(1306),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [sym_rest_pattern] = STATE(1313),
    [sym_method_definition] = STATE(1306),
    [sym_pair] = STATE(1306),
    [sym_pair_pattern] = STATE(1313),
    [sym__property_name] = STATE(1301),
    [sym_computed_property_name] = STATE(1301),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1298),
    [aux_sym_object_pattern_repeat1] = STATE(1291),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1705),
    [sym_object_assignment_pattern] = STATE(1313),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1705),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1705),
    [sym_spread_element] = STATE(1306),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [sym_rest_pattern] = STATE(1313),
    [sym_method_definition] = STATE(1306),
    [sym_pair] = STATE(1306),
    [sym_pair_pattern] = STATE(1313),
    [sym__property_name] = STATE(1301),
    [sym_computed_property_name] = STATE(1301),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1298),
    [aux_sym_object_pattern_repeat1] = STATE(1291),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1705),
    [sym_object_assignment_pattern] = STATE(1313),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1705),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1705),
    [sym_spread_element] = STATE(1334),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [sym_rest_pattern] = STATE(1313),
    [sym_method_definition] = STATE(1334),
    [sym_pair] = STATE(1334),
    [sym_pair_pattern] = STATE(1313),
    [sym__property_name] = STATE(1301),
    [sym_computed_property_name] = STATE(1301),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1341),
    [aux_sym_object_pattern_repeat1] = STATE(1291),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_export] = ACTIONS(143),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(145),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(149),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(151),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1705),
    [sym_object_assignment_pattern] = STATE(1313),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1705),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1705),
    [sym_spread_element] = STATE(1306),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [sym_rest_pattern] = STATE(1313),
    [sym_method_definition] = STATE(1306),
    [sym_pair] = STATE(1306),
    [sym_pair_pattern] = STATE(1313),
    [sym__property_name] = STATE(1301),
    [sym_computed_property_name] = STATE(1301),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1298),
    [aux_sym_object_pattern_repeat1] = STATE(1291),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(160),
    [anon_sym_default] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(168),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_var] = ACTIONS(174),
    [anon_sym_let] = ACTIONS(177),
    [anon_sym_const] = ACTIONS(180),
    [anon_sym_if] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(186),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(192),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_await] = ACTIONS(198),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(204),
    [anon_sym_try] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(210),
    [anon_sym_continue] = ACTIONS(213),
    [anon_sym_debugger] = ACTIONS(216),
    [anon_sym_return] = ACTIONS(219),
    [anon_sym_throw] = ACTIONS(222),
    [anon_sym_case] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(228),
    [sym_glimmer_opening_tag] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(234),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(240),
    [anon_sym_class] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(246),
    [anon_sym_function] = ACTIONS(249),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_SLASH] = ACTIONS(258),
    [anon_sym_BANG] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_typeof] = ACTIONS(255),
    [anon_sym_void] = ACTIONS(255),
    [anon_sym_delete] = ACTIONS(255),
    [anon_sym_PLUS_PLUS] = ACTIONS(264),
    [anon_sym_DASH_DASH] = ACTIONS(264),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(267),
    [sym_number] = ACTIONS(270),
    [sym_private_property_identifier] = ACTIONS(273),
    [sym_this] = ACTIONS(276),
    [sym_super] = ACTIONS(276),
    [sym_true] = ACTIONS(276),
    [sym_false] = ACTIONS(276),
    [sym_null] = ACTIONS(276),
    [sym_undefined] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(298),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(296),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(8),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(300),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(302),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(300),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(304),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(306),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [ts_builtin_sym_end] = ACTIONS(308),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [ts_builtin_sym_end] = ACTIONS(310),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(314),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [ts_builtin_sym_end] = ACTIONS(310),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(26),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(324),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(330),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(376),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(389),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(411),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(421),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(376),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(412),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(415),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(358),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(397),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(396),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(389),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(383),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(423),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(421),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(363),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(363),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(382),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(335),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(423),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(382),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(374),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(412),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(411),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(415),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(374),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(358),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(1651),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(383),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(397),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(1300),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(420),
    [sym_declaration] = STATE(420),
    [sym_import] = STATE(1269),
    [sym_import_statement] = STATE(420),
    [sym_statement] = STATE(396),
    [sym_expression_statement] = STATE(420),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_statement_block] = STATE(420),
    [sym_if_statement] = STATE(420),
    [sym_switch_statement] = STATE(420),
    [sym_for_statement] = STATE(420),
    [sym_for_in_statement] = STATE(420),
    [sym_while_statement] = STATE(420),
    [sym_do_statement] = STATE(420),
    [sym_try_statement] = STATE(420),
    [sym_with_statement] = STATE(420),
    [sym_break_statement] = STATE(420),
    [sym_continue_statement] = STATE(420),
    [sym_debugger_statement] = STATE(420),
    [sym_return_statement] = STATE(420),
    [sym_throw_statement] = STATE(420),
    [sym_empty_statement] = STATE(420),
    [sym_labeled_statement] = STATE(420),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1180),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(587),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_STAR] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_RPAREN] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(364),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(697),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(691),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(861),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(508),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_export] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(512),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(514),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(510),
    [anon_sym_with] = ACTIONS(510),
    [anon_sym_var] = ACTIONS(510),
    [anon_sym_let] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_else] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_switch] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_await] = ACTIONS(510),
    [anon_sym_in] = ACTIONS(512),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(510),
    [anon_sym_try] = ACTIONS(510),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_debugger] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_throw] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(510),
    [anon_sym_yield] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(516),
    [anon_sym_LBRACK] = ACTIONS(508),
    [sym_glimmer_opening_tag] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(512),
    [anon_sym_DOT] = ACTIONS(512),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_SQUOTE] = ACTIONS(508),
    [anon_sym_class] = ACTIONS(510),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(510),
    [sym_optional_chain] = ACTIONS(514),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_AMP_AMP] = ACTIONS(514),
    [anon_sym_PIPE_PIPE] = ACTIONS(514),
    [anon_sym_GT_GT] = ACTIONS(512),
    [anon_sym_GT_GT_GT] = ACTIONS(514),
    [anon_sym_LT_LT] = ACTIONS(514),
    [anon_sym_AMP] = ACTIONS(512),
    [anon_sym_CARET] = ACTIONS(514),
    [anon_sym_PIPE] = ACTIONS(512),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_STAR_STAR] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(514),
    [anon_sym_EQ_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(514),
    [anon_sym_BANG_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(514),
    [anon_sym_GT_EQ] = ACTIONS(514),
    [anon_sym_QMARK_QMARK] = ACTIONS(514),
    [anon_sym_instanceof] = ACTIONS(512),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(510),
    [anon_sym_void] = ACTIONS(510),
    [anon_sym_delete] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(508),
    [sym_number] = ACTIONS(508),
    [sym_private_property_identifier] = ACTIONS(508),
    [sym_this] = ACTIONS(510),
    [sym_super] = ACTIONS(510),
    [sym_true] = ACTIONS(510),
    [sym_false] = ACTIONS(510),
    [sym_null] = ACTIONS(510),
    [sym_undefined] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
    [sym__automatic_semicolon] = ACTIONS(518),
    [sym__ternary_qmark] = ACTIONS(514),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(520),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_default] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(520),
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_import] = ACTIONS(522),
    [anon_sym_with] = ACTIONS(522),
    [anon_sym_var] = ACTIONS(522),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_const] = ACTIONS(522),
    [anon_sym_else] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(522),
    [anon_sym_switch] = ACTIONS(522),
    [anon_sym_for] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_SEMI] = ACTIONS(520),
    [anon_sym_await] = ACTIONS(522),
    [anon_sym_in] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(522),
    [anon_sym_do] = ACTIONS(522),
    [anon_sym_try] = ACTIONS(522),
    [anon_sym_break] = ACTIONS(522),
    [anon_sym_continue] = ACTIONS(522),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(522),
    [anon_sym_throw] = ACTIONS(522),
    [anon_sym_case] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(520),
    [sym_glimmer_opening_tag] = ACTIONS(520),
    [anon_sym_LT] = ACTIONS(522),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(520),
    [anon_sym_SQUOTE] = ACTIONS(520),
    [anon_sym_class] = ACTIONS(522),
    [anon_sym_async] = ACTIONS(522),
    [anon_sym_function] = ACTIONS(522),
    [sym_optional_chain] = ACTIONS(526),
    [anon_sym_new] = ACTIONS(522),
    [anon_sym_AMP_AMP] = ACTIONS(526),
    [anon_sym_PIPE_PIPE] = ACTIONS(526),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_GT_GT_GT] = ACTIONS(526),
    [anon_sym_LT_LT] = ACTIONS(526),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(526),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(522),
    [anon_sym_DASH] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(522),
    [anon_sym_PERCENT] = ACTIONS(526),
    [anon_sym_STAR_STAR] = ACTIONS(526),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(526),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_QMARK_QMARK] = ACTIONS(526),
    [anon_sym_instanceof] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(522),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(522),
    [anon_sym_void] = ACTIONS(522),
    [anon_sym_delete] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(520),
    [anon_sym_DASH_DASH] = ACTIONS(520),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(520),
    [sym_number] = ACTIONS(520),
    [sym_private_property_identifier] = ACTIONS(520),
    [sym_this] = ACTIONS(522),
    [sym_super] = ACTIONS(522),
    [sym_true] = ACTIONS(522),
    [sym_false] = ACTIONS(522),
    [sym_null] = ACTIONS(522),
    [sym_undefined] = ACTIONS(522),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym__automatic_semicolon] = ACTIONS(528),
    [sym__ternary_qmark] = ACTIONS(526),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(530),
    [sym_identifier] = ACTIONS(532),
    [anon_sym_export] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(534),
    [anon_sym_default] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(536),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_import] = ACTIONS(532),
    [anon_sym_with] = ACTIONS(532),
    [anon_sym_var] = ACTIONS(532),
    [anon_sym_let] = ACTIONS(532),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_else] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(530),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_in] = ACTIONS(534),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_do] = ACTIONS(532),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_debugger] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_throw] = ACTIONS(532),
    [anon_sym_case] = ACTIONS(532),
    [anon_sym_yield] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(530),
    [sym_glimmer_opening_tag] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(534),
    [anon_sym_DOT] = ACTIONS(534),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [anon_sym_class] = ACTIONS(532),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(532),
    [sym_optional_chain] = ACTIONS(536),
    [anon_sym_new] = ACTIONS(532),
    [anon_sym_AMP_AMP] = ACTIONS(536),
    [anon_sym_PIPE_PIPE] = ACTIONS(536),
    [anon_sym_GT_GT] = ACTIONS(534),
    [anon_sym_GT_GT_GT] = ACTIONS(536),
    [anon_sym_LT_LT] = ACTIONS(536),
    [anon_sym_AMP] = ACTIONS(534),
    [anon_sym_CARET] = ACTIONS(536),
    [anon_sym_PIPE] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(536),
    [anon_sym_STAR_STAR] = ACTIONS(536),
    [anon_sym_LT_EQ] = ACTIONS(536),
    [anon_sym_EQ_EQ] = ACTIONS(534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(536),
    [anon_sym_BANG_EQ] = ACTIONS(534),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(536),
    [anon_sym_GT_EQ] = ACTIONS(536),
    [anon_sym_QMARK_QMARK] = ACTIONS(536),
    [anon_sym_instanceof] = ACTIONS(534),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_typeof] = ACTIONS(532),
    [anon_sym_void] = ACTIONS(532),
    [anon_sym_delete] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(530),
    [sym_number] = ACTIONS(530),
    [sym_private_property_identifier] = ACTIONS(530),
    [sym_this] = ACTIONS(532),
    [sym_super] = ACTIONS(532),
    [sym_true] = ACTIONS(532),
    [sym_false] = ACTIONS(532),
    [sym_null] = ACTIONS(532),
    [sym_undefined] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
    [anon_sym_static] = ACTIONS(532),
    [anon_sym_get] = ACTIONS(532),
    [anon_sym_set] = ACTIONS(532),
    [sym__automatic_semicolon] = ACTIONS(538),
    [sym__ternary_qmark] = ACTIONS(536),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(540),
    [sym_identifier] = ACTIONS(542),
    [anon_sym_export] = ACTIONS(542),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_default] = ACTIONS(542),
    [anon_sym_LBRACE] = ACTIONS(540),
    [anon_sym_COMMA] = ACTIONS(546),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_import] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(542),
    [anon_sym_var] = ACTIONS(542),
    [anon_sym_let] = ACTIONS(542),
    [anon_sym_const] = ACTIONS(542),
    [anon_sym_else] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(542),
    [anon_sym_switch] = ACTIONS(542),
    [anon_sym_for] = ACTIONS(542),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_await] = ACTIONS(542),
    [anon_sym_in] = ACTIONS(544),
    [anon_sym_while] = ACTIONS(542),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_break] = ACTIONS(542),
    [anon_sym_continue] = ACTIONS(542),
    [anon_sym_debugger] = ACTIONS(542),
    [anon_sym_return] = ACTIONS(542),
    [anon_sym_throw] = ACTIONS(542),
    [anon_sym_case] = ACTIONS(542),
    [anon_sym_yield] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(540),
    [sym_glimmer_opening_tag] = ACTIONS(540),
    [anon_sym_LT] = ACTIONS(542),
    [anon_sym_GT] = ACTIONS(544),
    [anon_sym_DOT] = ACTIONS(544),
    [anon_sym_DQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [anon_sym_class] = ACTIONS(542),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_function] = ACTIONS(542),
    [sym_optional_chain] = ACTIONS(546),
    [anon_sym_new] = ACTIONS(542),
    [anon_sym_AMP_AMP] = ACTIONS(546),
    [anon_sym_PIPE_PIPE] = ACTIONS(546),
    [anon_sym_GT_GT] = ACTIONS(544),
    [anon_sym_GT_GT_GT] = ACTIONS(546),
    [anon_sym_LT_LT] = ACTIONS(546),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_CARET] = ACTIONS(546),
    [anon_sym_PIPE] = ACTIONS(544),
    [anon_sym_PLUS] = ACTIONS(542),
    [anon_sym_DASH] = ACTIONS(542),
    [anon_sym_SLASH] = ACTIONS(542),
    [anon_sym_PERCENT] = ACTIONS(546),
    [anon_sym_STAR_STAR] = ACTIONS(546),
    [anon_sym_LT_EQ] = ACTIONS(546),
    [anon_sym_EQ_EQ] = ACTIONS(544),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(546),
    [anon_sym_BANG_EQ] = ACTIONS(544),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(546),
    [anon_sym_GT_EQ] = ACTIONS(546),
    [anon_sym_QMARK_QMARK] = ACTIONS(546),
    [anon_sym_instanceof] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(542),
    [anon_sym_TILDE] = ACTIONS(540),
    [anon_sym_typeof] = ACTIONS(542),
    [anon_sym_void] = ACTIONS(542),
    [anon_sym_delete] = ACTIONS(542),
    [anon_sym_PLUS_PLUS] = ACTIONS(540),
    [anon_sym_DASH_DASH] = ACTIONS(540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(540),
    [sym_number] = ACTIONS(540),
    [sym_private_property_identifier] = ACTIONS(540),
    [sym_this] = ACTIONS(542),
    [sym_super] = ACTIONS(542),
    [sym_true] = ACTIONS(542),
    [sym_false] = ACTIONS(542),
    [sym_null] = ACTIONS(542),
    [sym_undefined] = ACTIONS(542),
    [anon_sym_AT] = ACTIONS(540),
    [anon_sym_static] = ACTIONS(542),
    [anon_sym_get] = ACTIONS(542),
    [anon_sym_set] = ACTIONS(542),
    [sym__automatic_semicolon] = ACTIONS(548),
    [sym__ternary_qmark] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(766),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_spread_element] = STATE(1389),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1384),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(556),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(562),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(566),
    [anon_sym_default] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_COMMA] = ACTIONS(568),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_import] = ACTIONS(564),
    [anon_sym_with] = ACTIONS(564),
    [anon_sym_var] = ACTIONS(564),
    [anon_sym_let] = ACTIONS(564),
    [anon_sym_const] = ACTIONS(564),
    [anon_sym_else] = ACTIONS(564),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_SEMI] = ACTIONS(562),
    [anon_sym_await] = ACTIONS(564),
    [anon_sym_in] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(564),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_debugger] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_throw] = ACTIONS(564),
    [anon_sym_case] = ACTIONS(564),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(562),
    [sym_glimmer_opening_tag] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(566),
    [anon_sym_DOT] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(564),
    [anon_sym_function] = ACTIONS(564),
    [sym_optional_chain] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(568),
    [anon_sym_PIPE_PIPE] = ACTIONS(568),
    [anon_sym_GT_GT] = ACTIONS(566),
    [anon_sym_GT_GT_GT] = ACTIONS(568),
    [anon_sym_LT_LT] = ACTIONS(568),
    [anon_sym_AMP] = ACTIONS(566),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_PIPE] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(568),
    [anon_sym_STAR_STAR] = ACTIONS(568),
    [anon_sym_LT_EQ] = ACTIONS(568),
    [anon_sym_EQ_EQ] = ACTIONS(566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(568),
    [anon_sym_BANG_EQ] = ACTIONS(566),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(568),
    [anon_sym_GT_EQ] = ACTIONS(568),
    [anon_sym_QMARK_QMARK] = ACTIONS(568),
    [anon_sym_instanceof] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_typeof] = ACTIONS(564),
    [anon_sym_void] = ACTIONS(564),
    [anon_sym_delete] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_DASH_DASH] = ACTIONS(562),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_private_property_identifier] = ACTIONS(562),
    [sym_this] = ACTIONS(564),
    [sym_super] = ACTIONS(564),
    [sym_true] = ACTIONS(564),
    [sym_false] = ACTIONS(564),
    [sym_null] = ACTIONS(564),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(562),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym__automatic_semicolon] = ACTIONS(570),
    [sym__ternary_qmark] = ACTIONS(568),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1305),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(572),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1305),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(574),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(576),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(578),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_LBRACE] = ACTIONS(576),
    [anon_sym_COMMA] = ACTIONS(576),
    [anon_sym_RBRACE] = ACTIONS(576),
    [anon_sym_import] = ACTIONS(578),
    [anon_sym_with] = ACTIONS(578),
    [anon_sym_var] = ACTIONS(578),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_else] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(578),
    [anon_sym_switch] = ACTIONS(578),
    [anon_sym_for] = ACTIONS(578),
    [anon_sym_LPAREN] = ACTIONS(576),
    [anon_sym_SEMI] = ACTIONS(576),
    [anon_sym_await] = ACTIONS(578),
    [anon_sym_in] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(578),
    [anon_sym_try] = ACTIONS(578),
    [anon_sym_break] = ACTIONS(578),
    [anon_sym_continue] = ACTIONS(578),
    [anon_sym_debugger] = ACTIONS(578),
    [anon_sym_return] = ACTIONS(578),
    [anon_sym_throw] = ACTIONS(578),
    [anon_sym_case] = ACTIONS(578),
    [anon_sym_yield] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(576),
    [sym_glimmer_opening_tag] = ACTIONS(576),
    [anon_sym_LT] = ACTIONS(578),
    [anon_sym_GT] = ACTIONS(578),
    [anon_sym_DOT] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(576),
    [anon_sym_SQUOTE] = ACTIONS(576),
    [anon_sym_class] = ACTIONS(578),
    [anon_sym_async] = ACTIONS(578),
    [anon_sym_function] = ACTIONS(578),
    [sym_optional_chain] = ACTIONS(576),
    [anon_sym_new] = ACTIONS(578),
    [anon_sym_AMP_AMP] = ACTIONS(576),
    [anon_sym_PIPE_PIPE] = ACTIONS(576),
    [anon_sym_GT_GT] = ACTIONS(578),
    [anon_sym_GT_GT_GT] = ACTIONS(576),
    [anon_sym_LT_LT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(578),
    [anon_sym_DASH] = ACTIONS(578),
    [anon_sym_SLASH] = ACTIONS(578),
    [anon_sym_PERCENT] = ACTIONS(576),
    [anon_sym_STAR_STAR] = ACTIONS(576),
    [anon_sym_LT_EQ] = ACTIONS(576),
    [anon_sym_EQ_EQ] = ACTIONS(578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(576),
    [anon_sym_BANG_EQ] = ACTIONS(578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(576),
    [anon_sym_GT_EQ] = ACTIONS(576),
    [anon_sym_QMARK_QMARK] = ACTIONS(576),
    [anon_sym_instanceof] = ACTIONS(578),
    [anon_sym_BANG] = ACTIONS(578),
    [anon_sym_TILDE] = ACTIONS(576),
    [anon_sym_typeof] = ACTIONS(578),
    [anon_sym_void] = ACTIONS(578),
    [anon_sym_delete] = ACTIONS(578),
    [anon_sym_PLUS_PLUS] = ACTIONS(576),
    [anon_sym_DASH_DASH] = ACTIONS(576),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(576),
    [sym_number] = ACTIONS(576),
    [sym_private_property_identifier] = ACTIONS(576),
    [sym_this] = ACTIONS(578),
    [sym_super] = ACTIONS(578),
    [sym_true] = ACTIONS(578),
    [sym_false] = ACTIONS(578),
    [sym_null] = ACTIONS(578),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(576),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [sym__automatic_semicolon] = ACTIONS(576),
    [sym__ternary_qmark] = ACTIONS(576),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1305),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(580),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [anon_sym_export] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_default] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_COMMA] = ACTIONS(582),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_import] = ACTIONS(584),
    [anon_sym_with] = ACTIONS(584),
    [anon_sym_var] = ACTIONS(584),
    [anon_sym_let] = ACTIONS(584),
    [anon_sym_const] = ACTIONS(584),
    [anon_sym_else] = ACTIONS(584),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(582),
    [anon_sym_SEMI] = ACTIONS(582),
    [anon_sym_await] = ACTIONS(584),
    [anon_sym_in] = ACTIONS(584),
    [anon_sym_while] = ACTIONS(584),
    [anon_sym_do] = ACTIONS(584),
    [anon_sym_try] = ACTIONS(584),
    [anon_sym_break] = ACTIONS(584),
    [anon_sym_continue] = ACTIONS(584),
    [anon_sym_debugger] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(584),
    [anon_sym_throw] = ACTIONS(584),
    [anon_sym_case] = ACTIONS(584),
    [anon_sym_yield] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(582),
    [sym_glimmer_opening_tag] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_DOT] = ACTIONS(584),
    [anon_sym_DQUOTE] = ACTIONS(582),
    [anon_sym_SQUOTE] = ACTIONS(582),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(584),
    [anon_sym_function] = ACTIONS(584),
    [sym_optional_chain] = ACTIONS(582),
    [anon_sym_new] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(582),
    [anon_sym_PIPE_PIPE] = ACTIONS(582),
    [anon_sym_GT_GT] = ACTIONS(584),
    [anon_sym_GT_GT_GT] = ACTIONS(582),
    [anon_sym_LT_LT] = ACTIONS(582),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(582),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(582),
    [anon_sym_STAR_STAR] = ACTIONS(582),
    [anon_sym_LT_EQ] = ACTIONS(582),
    [anon_sym_EQ_EQ] = ACTIONS(584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(582),
    [anon_sym_BANG_EQ] = ACTIONS(584),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(582),
    [anon_sym_GT_EQ] = ACTIONS(582),
    [anon_sym_QMARK_QMARK] = ACTIONS(582),
    [anon_sym_instanceof] = ACTIONS(584),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(582),
    [anon_sym_typeof] = ACTIONS(584),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(582),
    [anon_sym_DASH_DASH] = ACTIONS(582),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(582),
    [sym_number] = ACTIONS(582),
    [sym_private_property_identifier] = ACTIONS(582),
    [sym_this] = ACTIONS(584),
    [sym_super] = ACTIONS(584),
    [sym_true] = ACTIONS(584),
    [sym_false] = ACTIONS(584),
    [sym_null] = ACTIONS(584),
    [sym_undefined] = ACTIONS(584),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_static] = ACTIONS(584),
    [anon_sym_get] = ACTIONS(584),
    [anon_sym_set] = ACTIONS(584),
    [sym__automatic_semicolon] = ACTIONS(582),
    [sym__ternary_qmark] = ACTIONS(582),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [anon_sym_export] = ACTIONS(588),
    [anon_sym_STAR] = ACTIONS(590),
    [anon_sym_default] = ACTIONS(588),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(588),
    [anon_sym_let] = ACTIONS(588),
    [anon_sym_const] = ACTIONS(588),
    [anon_sym_else] = ACTIONS(588),
    [anon_sym_if] = ACTIONS(588),
    [anon_sym_switch] = ACTIONS(588),
    [anon_sym_for] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(588),
    [anon_sym_in] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(588),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(588),
    [anon_sym_debugger] = ACTIONS(588),
    [anon_sym_return] = ACTIONS(588),
    [anon_sym_throw] = ACTIONS(588),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_yield] = ACTIONS(588),
    [anon_sym_LBRACK] = ACTIONS(586),
    [sym_glimmer_opening_tag] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(588),
    [anon_sym_GT] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(590),
    [anon_sym_DQUOTE] = ACTIONS(586),
    [anon_sym_SQUOTE] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(588),
    [anon_sym_async] = ACTIONS(588),
    [anon_sym_function] = ACTIONS(588),
    [sym_optional_chain] = ACTIONS(592),
    [anon_sym_new] = ACTIONS(588),
    [anon_sym_AMP_AMP] = ACTIONS(592),
    [anon_sym_PIPE_PIPE] = ACTIONS(592),
    [anon_sym_GT_GT] = ACTIONS(590),
    [anon_sym_GT_GT_GT] = ACTIONS(592),
    [anon_sym_LT_LT] = ACTIONS(592),
    [anon_sym_AMP] = ACTIONS(590),
    [anon_sym_CARET] = ACTIONS(592),
    [anon_sym_PIPE] = ACTIONS(590),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(588),
    [anon_sym_PERCENT] = ACTIONS(592),
    [anon_sym_STAR_STAR] = ACTIONS(592),
    [anon_sym_LT_EQ] = ACTIONS(592),
    [anon_sym_EQ_EQ] = ACTIONS(590),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(592),
    [anon_sym_BANG_EQ] = ACTIONS(590),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(592),
    [anon_sym_GT_EQ] = ACTIONS(592),
    [anon_sym_QMARK_QMARK] = ACTIONS(592),
    [anon_sym_instanceof] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(588),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(586),
    [anon_sym_DASH_DASH] = ACTIONS(586),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(586),
    [sym_number] = ACTIONS(586),
    [sym_private_property_identifier] = ACTIONS(586),
    [sym_this] = ACTIONS(588),
    [sym_super] = ACTIONS(588),
    [sym_true] = ACTIONS(588),
    [sym_false] = ACTIONS(588),
    [sym_null] = ACTIONS(588),
    [sym_undefined] = ACTIONS(588),
    [anon_sym_AT] = ACTIONS(586),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [sym__automatic_semicolon] = ACTIONS(594),
    [sym__ternary_qmark] = ACTIONS(592),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(596),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_export] = ACTIONS(598),
    [anon_sym_STAR] = ACTIONS(600),
    [anon_sym_default] = ACTIONS(598),
    [anon_sym_LBRACE] = ACTIONS(596),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_RBRACE] = ACTIONS(596),
    [anon_sym_import] = ACTIONS(598),
    [anon_sym_with] = ACTIONS(598),
    [anon_sym_var] = ACTIONS(598),
    [anon_sym_let] = ACTIONS(598),
    [anon_sym_const] = ACTIONS(598),
    [anon_sym_else] = ACTIONS(598),
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_switch] = ACTIONS(598),
    [anon_sym_for] = ACTIONS(598),
    [anon_sym_LPAREN] = ACTIONS(596),
    [anon_sym_SEMI] = ACTIONS(596),
    [anon_sym_await] = ACTIONS(598),
    [anon_sym_in] = ACTIONS(600),
    [anon_sym_while] = ACTIONS(598),
    [anon_sym_do] = ACTIONS(598),
    [anon_sym_try] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(598),
    [anon_sym_continue] = ACTIONS(598),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_throw] = ACTIONS(598),
    [anon_sym_case] = ACTIONS(598),
    [anon_sym_yield] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(596),
    [sym_glimmer_opening_tag] = ACTIONS(596),
    [anon_sym_LT] = ACTIONS(598),
    [anon_sym_GT] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(596),
    [anon_sym_SQUOTE] = ACTIONS(596),
    [anon_sym_class] = ACTIONS(598),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(598),
    [sym_optional_chain] = ACTIONS(602),
    [anon_sym_new] = ACTIONS(598),
    [anon_sym_AMP_AMP] = ACTIONS(602),
    [anon_sym_PIPE_PIPE] = ACTIONS(602),
    [anon_sym_GT_GT] = ACTIONS(600),
    [anon_sym_GT_GT_GT] = ACTIONS(602),
    [anon_sym_LT_LT] = ACTIONS(602),
    [anon_sym_AMP] = ACTIONS(600),
    [anon_sym_CARET] = ACTIONS(602),
    [anon_sym_PIPE] = ACTIONS(600),
    [anon_sym_PLUS] = ACTIONS(598),
    [anon_sym_DASH] = ACTIONS(598),
    [anon_sym_SLASH] = ACTIONS(598),
    [anon_sym_PERCENT] = ACTIONS(602),
    [anon_sym_STAR_STAR] = ACTIONS(602),
    [anon_sym_LT_EQ] = ACTIONS(602),
    [anon_sym_EQ_EQ] = ACTIONS(600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(602),
    [anon_sym_BANG_EQ] = ACTIONS(600),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(602),
    [anon_sym_GT_EQ] = ACTIONS(602),
    [anon_sym_QMARK_QMARK] = ACTIONS(602),
    [anon_sym_instanceof] = ACTIONS(600),
    [anon_sym_BANG] = ACTIONS(598),
    [anon_sym_TILDE] = ACTIONS(596),
    [anon_sym_typeof] = ACTIONS(598),
    [anon_sym_void] = ACTIONS(598),
    [anon_sym_delete] = ACTIONS(598),
    [anon_sym_PLUS_PLUS] = ACTIONS(596),
    [anon_sym_DASH_DASH] = ACTIONS(596),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(596),
    [sym_number] = ACTIONS(596),
    [sym_private_property_identifier] = ACTIONS(596),
    [sym_this] = ACTIONS(598),
    [sym_super] = ACTIONS(598),
    [sym_true] = ACTIONS(598),
    [sym_false] = ACTIONS(598),
    [sym_null] = ACTIONS(598),
    [sym_undefined] = ACTIONS(598),
    [anon_sym_AT] = ACTIONS(596),
    [anon_sym_static] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(598),
    [anon_sym_set] = ACTIONS(598),
    [sym__automatic_semicolon] = ACTIONS(604),
    [sym__ternary_qmark] = ACTIONS(602),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(508),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_export] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(510),
    [anon_sym_with] = ACTIONS(510),
    [anon_sym_var] = ACTIONS(510),
    [anon_sym_let] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_else] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_switch] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_await] = ACTIONS(510),
    [anon_sym_in] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(510),
    [anon_sym_try] = ACTIONS(510),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_debugger] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_throw] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(510),
    [anon_sym_yield] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(508),
    [sym_glimmer_opening_tag] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_SQUOTE] = ACTIONS(508),
    [anon_sym_class] = ACTIONS(510),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(510),
    [sym_optional_chain] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_AMP_AMP] = ACTIONS(508),
    [anon_sym_PIPE_PIPE] = ACTIONS(508),
    [anon_sym_GT_GT] = ACTIONS(510),
    [anon_sym_GT_GT_GT] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(508),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(508),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(508),
    [anon_sym_STAR_STAR] = ACTIONS(508),
    [anon_sym_LT_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(508),
    [anon_sym_QMARK_QMARK] = ACTIONS(508),
    [anon_sym_instanceof] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(510),
    [anon_sym_void] = ACTIONS(510),
    [anon_sym_delete] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(508),
    [sym_number] = ACTIONS(508),
    [sym_private_property_identifier] = ACTIONS(508),
    [sym_this] = ACTIONS(510),
    [sym_super] = ACTIONS(510),
    [sym_true] = ACTIONS(510),
    [sym_false] = ACTIONS(510),
    [sym_null] = ACTIONS(510),
    [sym_undefined] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
    [sym__automatic_semicolon] = ACTIONS(606),
    [sym__ternary_qmark] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(608),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_default] = ACTIONS(610),
    [anon_sym_LBRACE] = ACTIONS(608),
    [anon_sym_COMMA] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_import] = ACTIONS(610),
    [anon_sym_with] = ACTIONS(610),
    [anon_sym_var] = ACTIONS(610),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(610),
    [anon_sym_else] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(610),
    [anon_sym_switch] = ACTIONS(610),
    [anon_sym_for] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(608),
    [anon_sym_SEMI] = ACTIONS(608),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_in] = ACTIONS(612),
    [anon_sym_while] = ACTIONS(610),
    [anon_sym_do] = ACTIONS(610),
    [anon_sym_try] = ACTIONS(610),
    [anon_sym_break] = ACTIONS(610),
    [anon_sym_continue] = ACTIONS(610),
    [anon_sym_debugger] = ACTIONS(610),
    [anon_sym_return] = ACTIONS(610),
    [anon_sym_throw] = ACTIONS(610),
    [anon_sym_case] = ACTIONS(610),
    [anon_sym_yield] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(608),
    [sym_glimmer_opening_tag] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(612),
    [anon_sym_DOT] = ACTIONS(612),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [anon_sym_SQUOTE] = ACTIONS(608),
    [anon_sym_class] = ACTIONS(610),
    [anon_sym_async] = ACTIONS(610),
    [anon_sym_function] = ACTIONS(610),
    [sym_optional_chain] = ACTIONS(614),
    [anon_sym_new] = ACTIONS(610),
    [anon_sym_AMP_AMP] = ACTIONS(614),
    [anon_sym_PIPE_PIPE] = ACTIONS(614),
    [anon_sym_GT_GT] = ACTIONS(612),
    [anon_sym_GT_GT_GT] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(614),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_CARET] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(610),
    [anon_sym_DASH] = ACTIONS(610),
    [anon_sym_SLASH] = ACTIONS(610),
    [anon_sym_PERCENT] = ACTIONS(614),
    [anon_sym_STAR_STAR] = ACTIONS(614),
    [anon_sym_LT_EQ] = ACTIONS(614),
    [anon_sym_EQ_EQ] = ACTIONS(612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(614),
    [anon_sym_BANG_EQ] = ACTIONS(612),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(614),
    [anon_sym_GT_EQ] = ACTIONS(614),
    [anon_sym_QMARK_QMARK] = ACTIONS(614),
    [anon_sym_instanceof] = ACTIONS(612),
    [anon_sym_BANG] = ACTIONS(610),
    [anon_sym_TILDE] = ACTIONS(608),
    [anon_sym_typeof] = ACTIONS(610),
    [anon_sym_void] = ACTIONS(610),
    [anon_sym_delete] = ACTIONS(610),
    [anon_sym_PLUS_PLUS] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(608),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(608),
    [sym_number] = ACTIONS(608),
    [sym_private_property_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(610),
    [sym_super] = ACTIONS(610),
    [sym_true] = ACTIONS(610),
    [sym_false] = ACTIONS(610),
    [sym_null] = ACTIONS(610),
    [sym_undefined] = ACTIONS(610),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [sym__automatic_semicolon] = ACTIONS(616),
    [sym__ternary_qmark] = ACTIONS(614),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_STAR] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_await] = ACTIONS(620),
    [anon_sym_in] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(618),
    [sym_glimmer_opening_tag] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_GT] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [anon_sym_SQUOTE] = ACTIONS(618),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [sym_optional_chain] = ACTIONS(618),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(620),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(620),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ] = ACTIONS(620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(620),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(620),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [sym_number] = ACTIONS(618),
    [sym_private_property_identifier] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(618),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_set] = ACTIONS(620),
    [sym__automatic_semicolon] = ACTIONS(618),
    [sym__ternary_qmark] = ACTIONS(618),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1305),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(622),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_spread_element] = STATE(1389),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1384),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(556),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_STAR] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_await] = ACTIONS(620),
    [anon_sym_in] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(618),
    [sym_glimmer_opening_tag] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_GT] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [anon_sym_SQUOTE] = ACTIONS(618),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [sym_optional_chain] = ACTIONS(618),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(620),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(620),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ] = ACTIONS(620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(620),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(620),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [sym_number] = ACTIONS(618),
    [sym_private_property_identifier] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(618),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_set] = ACTIONS(620),
    [sym__automatic_semicolon] = ACTIONS(624),
    [sym__ternary_qmark] = ACTIONS(618),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(626),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(628),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_default] = ACTIONS(628),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_RBRACE] = ACTIONS(626),
    [anon_sym_import] = ACTIONS(628),
    [anon_sym_with] = ACTIONS(628),
    [anon_sym_var] = ACTIONS(628),
    [anon_sym_let] = ACTIONS(628),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_else] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(628),
    [anon_sym_for] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(626),
    [anon_sym_SEMI] = ACTIONS(626),
    [anon_sym_await] = ACTIONS(628),
    [anon_sym_in] = ACTIONS(630),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(628),
    [anon_sym_try] = ACTIONS(628),
    [anon_sym_break] = ACTIONS(628),
    [anon_sym_continue] = ACTIONS(628),
    [anon_sym_debugger] = ACTIONS(628),
    [anon_sym_return] = ACTIONS(628),
    [anon_sym_throw] = ACTIONS(628),
    [anon_sym_case] = ACTIONS(628),
    [anon_sym_yield] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(626),
    [sym_glimmer_opening_tag] = ACTIONS(626),
    [anon_sym_LT] = ACTIONS(628),
    [anon_sym_GT] = ACTIONS(630),
    [anon_sym_DOT] = ACTIONS(630),
    [anon_sym_DQUOTE] = ACTIONS(626),
    [anon_sym_SQUOTE] = ACTIONS(626),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(628),
    [anon_sym_function] = ACTIONS(628),
    [sym_optional_chain] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(628),
    [anon_sym_AMP_AMP] = ACTIONS(632),
    [anon_sym_PIPE_PIPE] = ACTIONS(632),
    [anon_sym_GT_GT] = ACTIONS(630),
    [anon_sym_GT_GT_GT] = ACTIONS(632),
    [anon_sym_LT_LT] = ACTIONS(632),
    [anon_sym_AMP] = ACTIONS(630),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_PIPE] = ACTIONS(630),
    [anon_sym_PLUS] = ACTIONS(628),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_SLASH] = ACTIONS(628),
    [anon_sym_PERCENT] = ACTIONS(632),
    [anon_sym_STAR_STAR] = ACTIONS(632),
    [anon_sym_LT_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ] = ACTIONS(630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ] = ACTIONS(630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(632),
    [anon_sym_GT_EQ] = ACTIONS(632),
    [anon_sym_QMARK_QMARK] = ACTIONS(632),
    [anon_sym_instanceof] = ACTIONS(630),
    [anon_sym_BANG] = ACTIONS(628),
    [anon_sym_TILDE] = ACTIONS(626),
    [anon_sym_typeof] = ACTIONS(628),
    [anon_sym_void] = ACTIONS(628),
    [anon_sym_delete] = ACTIONS(628),
    [anon_sym_PLUS_PLUS] = ACTIONS(626),
    [anon_sym_DASH_DASH] = ACTIONS(626),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(626),
    [sym_number] = ACTIONS(626),
    [sym_private_property_identifier] = ACTIONS(626),
    [sym_this] = ACTIONS(628),
    [sym_super] = ACTIONS(628),
    [sym_true] = ACTIONS(628),
    [sym_false] = ACTIONS(628),
    [sym_null] = ACTIONS(628),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_static] = ACTIONS(628),
    [anon_sym_get] = ACTIONS(628),
    [anon_sym_set] = ACTIONS(628),
    [sym__automatic_semicolon] = ACTIONS(634),
    [sym__ternary_qmark] = ACTIONS(632),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [ts_builtin_sym_end] = ACTIONS(636),
    [sym_identifier] = ACTIONS(638),
    [anon_sym_export] = ACTIONS(638),
    [anon_sym_STAR] = ACTIONS(638),
    [anon_sym_default] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_COMMA] = ACTIONS(636),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(638),
    [anon_sym_var] = ACTIONS(638),
    [anon_sym_let] = ACTIONS(638),
    [anon_sym_const] = ACTIONS(638),
    [anon_sym_else] = ACTIONS(638),
    [anon_sym_if] = ACTIONS(638),
    [anon_sym_switch] = ACTIONS(638),
    [anon_sym_for] = ACTIONS(638),
    [anon_sym_LPAREN] = ACTIONS(636),
    [anon_sym_SEMI] = ACTIONS(636),
    [anon_sym_await] = ACTIONS(638),
    [anon_sym_in] = ACTIONS(638),
    [anon_sym_while] = ACTIONS(638),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_break] = ACTIONS(638),
    [anon_sym_continue] = ACTIONS(638),
    [anon_sym_debugger] = ACTIONS(638),
    [anon_sym_return] = ACTIONS(638),
    [anon_sym_throw] = ACTIONS(638),
    [anon_sym_case] = ACTIONS(638),
    [anon_sym_yield] = ACTIONS(638),
    [anon_sym_LBRACK] = ACTIONS(636),
    [sym_glimmer_opening_tag] = ACTIONS(636),
    [anon_sym_LT] = ACTIONS(638),
    [anon_sym_GT] = ACTIONS(638),
    [anon_sym_DOT] = ACTIONS(638),
    [anon_sym_DQUOTE] = ACTIONS(636),
    [anon_sym_SQUOTE] = ACTIONS(636),
    [anon_sym_class] = ACTIONS(638),
    [anon_sym_async] = ACTIONS(638),
    [anon_sym_function] = ACTIONS(638),
    [sym_optional_chain] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_AMP_AMP] = ACTIONS(636),
    [anon_sym_PIPE_PIPE] = ACTIONS(636),
    [anon_sym_GT_GT] = ACTIONS(638),
    [anon_sym_GT_GT_GT] = ACTIONS(636),
    [anon_sym_LT_LT] = ACTIONS(636),
    [anon_sym_AMP] = ACTIONS(638),
    [anon_sym_CARET] = ACTIONS(636),
    [anon_sym_PIPE] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(638),
    [anon_sym_DASH] = ACTIONS(638),
    [anon_sym_SLASH] = ACTIONS(638),
    [anon_sym_PERCENT] = ACTIONS(636),
    [anon_sym_STAR_STAR] = ACTIONS(636),
    [anon_sym_LT_EQ] = ACTIONS(636),
    [anon_sym_EQ_EQ] = ACTIONS(638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(636),
    [anon_sym_BANG_EQ] = ACTIONS(638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(636),
    [anon_sym_GT_EQ] = ACTIONS(636),
    [anon_sym_QMARK_QMARK] = ACTIONS(636),
    [anon_sym_instanceof] = ACTIONS(638),
    [anon_sym_BANG] = ACTIONS(638),
    [anon_sym_TILDE] = ACTIONS(636),
    [anon_sym_typeof] = ACTIONS(638),
    [anon_sym_void] = ACTIONS(638),
    [anon_sym_delete] = ACTIONS(638),
    [anon_sym_PLUS_PLUS] = ACTIONS(636),
    [anon_sym_DASH_DASH] = ACTIONS(636),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(636),
    [sym_number] = ACTIONS(636),
    [sym_private_property_identifier] = ACTIONS(636),
    [sym_this] = ACTIONS(638),
    [sym_super] = ACTIONS(638),
    [sym_true] = ACTIONS(638),
    [sym_false] = ACTIONS(638),
    [sym_null] = ACTIONS(638),
    [sym_undefined] = ACTIONS(638),
    [anon_sym_AT] = ACTIONS(636),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [sym__automatic_semicolon] = ACTIONS(636),
    [sym__ternary_qmark] = ACTIONS(636),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1305),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(640),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_declaration] = STATE(365),
    [sym_import] = STATE(1269),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(860),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1283),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_declaration] = STATE(364),
    [sym_import] = STATE(1269),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1283),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_declaration] = STATE(364),
    [sym_import] = STATE(1269),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1255),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_declaration] = STATE(365),
    [sym_import] = STATE(1269),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(860),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_class_declaration] = STATE(417),
    [sym_function_expression] = STATE(685),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function] = STATE(685),
    [sym_generator_function_declaration] = STATE(417),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1255),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1525),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_spread_element] = STATE(1302),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1303),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(648),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(1243),
    [sym_variable_declaration] = STATE(111),
    [sym_lexical_declaration] = STATE(111),
    [sym_empty_statement] = STATE(111),
    [sym_parenthesized_expression] = STATE(490),
    [sym_expression] = STATE(773),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1316),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1316),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(490),
    [sym_subscript_expression] = STATE(490),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1316),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1744),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_LBRACE] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(657),
    [anon_sym_let] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(663),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(665),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1178),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1178),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1178),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(679),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1178),
    [sym_assignment_pattern] = STATE(1342),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1178),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1178),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [sym_pattern] = STATE(1284),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_pattern_repeat1] = STATE(1325),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(687),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(872),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1390),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1231),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(689),
    [anon_sym_export] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(695),
    [anon_sym_RBRACK] = ACTIONS(679),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(691),
    [anon_sym_get] = ACTIONS(691),
    [anon_sym_set] = ACTIONS(691),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(1243),
    [sym_variable_declaration] = STATE(110),
    [sym_lexical_declaration] = STATE(110),
    [sym_empty_statement] = STATE(110),
    [sym_parenthesized_expression] = STATE(490),
    [sym_expression] = STATE(829),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1316),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1316),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(490),
    [sym_subscript_expression] = STATE(490),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1316),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1671),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_LBRACE] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(657),
    [anon_sym_let] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(663),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(665),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(653),
    [anon_sym_get] = ACTIONS(653),
    [anon_sym_set] = ACTIONS(653),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(803),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1683),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1226),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1178),
    [sym_assignment_pattern] = STATE(1525),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1178),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1178),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [sym_pattern] = STATE(1303),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(703),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(703),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(794),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1742),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1226),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1178),
    [sym_assignment_pattern] = STATE(1406),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1178),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1178),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [sym_pattern] = STATE(1394),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1178),
    [sym_assignment_pattern] = STATE(1406),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1178),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1178),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [sym_pattern] = STATE(1394),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(782),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_spread_element] = STATE(1354),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1352),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_spread_element] = STATE(1363),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1362),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1178),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1178),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1178),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [sym_pattern] = STATE(1226),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_spread_element] = STATE(1302),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(717),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(717),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_spread_element] = STATE(1327),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [aux_sym_array_repeat1] = STATE(1328),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(774),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_spread_element] = STATE(1644),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1644),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1178),
    [sym_assignment_pattern] = STATE(1406),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1178),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1178),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [sym_pattern] = STATE(1394),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(778),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_spread_element] = STATE(1639),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1639),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(723),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1178),
    [sym_assignment_pattern] = STATE(1453),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1178),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1178),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [sym_pattern] = STATE(1349),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1212),
    [sym_assignment_pattern] = STATE(1453),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1212),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1212),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [sym_pattern] = STATE(1349),
    [sym_rest_pattern] = STATE(1215),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(550),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(558),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(1243),
    [sym_empty_statement] = STATE(122),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(812),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1717),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(1243),
    [sym_empty_statement] = STATE(118),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1663),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(752),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1498),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym__automatic_semicolon] = ACTIONS(725),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(1243),
    [sym_empty_statement] = STATE(123),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(793),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1676),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(1243),
    [sym_empty_statement] = STATE(120),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(770),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1672),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(762),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1695),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(781),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1733),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(769),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1657),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(784),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1664),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1296),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1296),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1296),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_export] = ACTIONS(737),
    [anon_sym_LBRACE] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(739),
    [anon_sym_let] = ACTIONS(741),
    [anon_sym_const] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(663),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(747),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(737),
    [anon_sym_get] = ACTIONS(737),
    [anon_sym_set] = ACTIONS(737),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(764),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1660),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(768),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1662),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(795),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1677),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1701),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(642),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(643),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(550),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(816),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(573),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(808),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(528),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(863),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1706),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(569),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(856),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(568),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(465),
    [sym_expression] = STATE(878),
    [sym_primary_expression] = STATE(579),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(604),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(465),
    [sym_subscript_expression] = STATE(465),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(763),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(763),
    [anon_sym_get] = ACTIONS(763),
    [anon_sym_set] = ACTIONS(763),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(550),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(849),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(570),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(831),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(550),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(594),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(771),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1719),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(809),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1694),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(791),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1730),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(765),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1665),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1731),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(528),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(763),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1732),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(570),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(800),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(573),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(833),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(739),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(737),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(569),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(799),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(568),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(792),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(650),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(636),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(573),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(771),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(648),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(733),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(642),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(731),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(528),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(584),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(771),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(724),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(729),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(661),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(635),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(506),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(739),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(730),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(506),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(775),
    [anon_sym_export] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(779),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(777),
    [anon_sym_set] = ACTIONS(777),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(570),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(583),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(771),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(569),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(582),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(771),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(1243),
    [sym_statement_block] = STATE(568),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(588),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(771),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1642),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(806),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1688),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1678),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(797),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1685),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(798),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1690),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(661),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(678),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(648),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(649),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(650),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(651),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(815),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1708),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(506),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_export] = ACTIONS(783),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(783),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(783),
    [anon_sym_set] = ACTIONS(783),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(465),
    [sym_expression] = STATE(878),
    [sym_primary_expression] = STATE(579),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(604),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(465),
    [sym_subscript_expression] = STATE(465),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(787),
    [anon_sym_export] = ACTIONS(789),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(789),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(789),
    [anon_sym_get] = ACTIONS(789),
    [anon_sym_set] = ACTIONS(789),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(1269),
    [sym_statement_block] = STATE(724),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(646),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(753),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_sequence_expression] = STATE(1511),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(785),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_sequence_expression] = STATE(1679),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(866),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(580),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(514),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(654),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(515),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(514),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(836),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(869),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(619),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(871),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(641),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(756),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(513),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(607),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(660),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(877),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(676),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(708),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(870),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(710),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(513),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(712),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(873),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(713),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(718),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(669),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(630),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(719),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(721),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(722),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(723),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(874),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(736),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(813),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(664),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(693),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(694),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(700),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(709),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(711),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(735),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(738),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(725),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(851),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(727),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(728),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(659),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(864),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(717),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(875),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(586),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(513),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(760),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(637),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(593),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(602),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(605),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(788),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(835),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(756),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1270),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1270),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(495),
    [sym_subscript_expression] = STATE(495),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1270),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(793),
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(797),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(795),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(606),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(613),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(612),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(801),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(802),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(848),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(804),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(619),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(759),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(853),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(515),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(876),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(611),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(817),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(754),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(826),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(610),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(872),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(823),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(844),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(822),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(858),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(820),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(608),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(620),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(599),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(487),
    [sym_expression] = STATE(671),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1646),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1646),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1646),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1645),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(424),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(428),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(434),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_typeof] = ACTIONS(434),
    [anon_sym_void] = ACTIONS(434),
    [anon_sym_delete] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(440),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(442),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(595),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1190),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1190),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1190),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_export] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(803),
    [anon_sym_get] = ACTIONS(803),
    [anon_sym_set] = ACTIONS(803),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(590),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(814),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(850),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(810),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(451),
    [sym_expression] = STATE(841),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1743),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1743),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1743),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(852),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(758),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(807),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(515),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(854),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(846),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(845),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(1269),
    [sym_parenthesized_expression] = STATE(483),
    [sym_expression] = STATE(761),
    [sym_primary_expression] = STATE(623),
    [sym_yield_expression] = STATE(680),
    [sym_object] = STATE(685),
    [sym_object_pattern] = STATE(1718),
    [sym_array] = STATE(685),
    [sym_array_pattern] = STATE(1718),
    [sym_glimmer_template] = STATE(680),
    [sym_jsx_element] = STATE(680),
    [sym_jsx_opening_element] = STATE(1054),
    [sym_jsx_self_closing_element] = STATE(680),
    [sym_class] = STATE(685),
    [sym_function_expression] = STATE(685),
    [sym_generator_function] = STATE(685),
    [sym_arrow_function] = STATE(685),
    [sym_call_expression] = STATE(685),
    [sym_new_expression] = STATE(625),
    [sym_await_expression] = STATE(680),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(680),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(680),
    [sym__destructuring_pattern] = STATE(1718),
    [sym_ternary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_update_expression] = STATE(680),
    [sym_string] = STATE(685),
    [sym_template_string] = STATE(685),
    [sym_regex] = STATE(685),
    [sym_meta_property] = STATE(685),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1716),
    [aux_sym_export_statement_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(452),
    [anon_sym_function] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(448),
    [anon_sym_set] = ACTIONS(448),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(865),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(436),
    [sym_expression] = STATE(514),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1640),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1640),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(436),
    [sym_subscript_expression] = STATE(436),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1031),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1640),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1741),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(1243),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(868),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(546),
    [sym_object] = STATE(544),
    [sym_object_pattern] = STATE(1745),
    [sym_array] = STATE(544),
    [sym_array_pattern] = STATE(1745),
    [sym_glimmer_template] = STATE(546),
    [sym_jsx_element] = STATE(546),
    [sym_jsx_opening_element] = STATE(1055),
    [sym_jsx_self_closing_element] = STATE(546),
    [sym_class] = STATE(544),
    [sym_function_expression] = STATE(544),
    [sym_generator_function] = STATE(544),
    [sym_arrow_function] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(546),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(546),
    [sym__augmented_assignment_lhs] = STATE(1027),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym__destructuring_pattern] = STATE(1745),
    [sym_ternary_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_string] = STATE(544),
    [sym_template_string] = STATE(544),
    [sym_regex] = STATE(544),
    [sym_meta_property] = STATE(544),
    [sym_decorator] = STATE(992),
    [sym_formal_parameters] = STATE(1726),
    [aux_sym_export_statement_repeat1] = STATE(1227),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_namespace_export] = STATE(1437),
    [sym_export_clause] = STATE(1273),
    [sym_declaration] = STATE(371),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_class_declaration] = STATE(417),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function_declaration] = STATE(417),
    [sym_decorator] = STATE(992),
    [aux_sym_export_statement_repeat1] = STATE(1276),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_namespace_export] = STATE(1437),
    [sym_export_clause] = STATE(1273),
    [sym_declaration] = STATE(371),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_class_declaration] = STATE(417),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function_declaration] = STATE(417),
    [sym_decorator] = STATE(992),
    [aux_sym_export_statement_repeat1] = STATE(1276),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_namespace_export] = STATE(1437),
    [sym_export_clause] = STATE(1273),
    [sym_declaration] = STATE(371),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_class_declaration] = STATE(417),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function_declaration] = STATE(417),
    [sym_decorator] = STATE(992),
    [aux_sym_export_statement_repeat1] = STATE(1276),
    [aux_sym_object_repeat1] = STATE(1339),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_namespace_export] = STATE(1437),
    [sym_export_clause] = STATE(1273),
    [sym_declaration] = STATE(371),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_class_declaration] = STATE(417),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function_declaration] = STATE(417),
    [sym_decorator] = STATE(992),
    [aux_sym_export_statement_repeat1] = STATE(1276),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(847),
    [anon_sym_EQ] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_string] = STATE(1611),
    [sym_formal_parameters] = STATE(1658),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1339),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(851),
    [anon_sym_export] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_let] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(858),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(853),
    [anon_sym_function] = ACTIONS(869),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(853),
    [anon_sym_get] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(873),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_namespace_export] = STATE(1437),
    [sym_export_clause] = STATE(1273),
    [sym_declaration] = STATE(371),
    [sym_variable_declaration] = STATE(417),
    [sym_lexical_declaration] = STATE(417),
    [sym_class_declaration] = STATE(417),
    [sym_function_declaration] = STATE(417),
    [sym_generator_function_declaration] = STATE(417),
    [sym_decorator] = STATE(992),
    [aux_sym_export_statement_repeat1] = STATE(1276),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_EQ] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_string] = STATE(1611),
    [sym_formal_parameters] = STATE(1658),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(851),
    [anon_sym_export] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(858),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(853),
    [anon_sym_function] = ACTIONS(869),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(853),
    [anon_sym_get] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(873),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_string] = STATE(1611),
    [sym_formal_parameters] = STATE(1658),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(851),
    [anon_sym_export] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(858),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(853),
    [anon_sym_function] = ACTIONS(869),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(853),
    [anon_sym_get] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(873),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_string] = STATE(1611),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1339),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(881),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(883),
    [anon_sym_set] = ACTIONS(883),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_string] = STATE(1611),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(881),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(883),
    [anon_sym_set] = ACTIONS(883),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_string] = STATE(1611),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_string] = STATE(1611),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1339),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_string] = STATE(1611),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_string] = STATE(1611),
    [sym__property_name] = STATE(1611),
    [sym_computed_property_name] = STATE(1611),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_SQUOTE] = ACTIONS(867),
    [anon_sym_async] = ACTIONS(881),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(871),
    [sym_private_property_identifier] = ACTIONS(871),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(883),
    [anon_sym_set] = ACTIONS(883),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_formal_parameters] = STATE(1686),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_formal_parameters] = STATE(1686),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_await] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_catch] = ACTIONS(620),
    [anon_sym_finally] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(618),
    [sym_glimmer_opening_tag] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [anon_sym_SQUOTE] = ACTIONS(618),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [sym_number] = ACTIONS(618),
    [sym_private_property_identifier] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(618),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_set] = ACTIONS(620),
    [sym__automatic_semicolon] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_catch_clause] = STATE(331),
    [sym_finally_clause] = STATE(377),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(904),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_default] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(902),
    [anon_sym_RBRACE] = ACTIONS(902),
    [anon_sym_import] = ACTIONS(904),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(904),
    [anon_sym_else] = ACTIONS(904),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_for] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(902),
    [anon_sym_SEMI] = ACTIONS(902),
    [anon_sym_await] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(904),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(904),
    [anon_sym_debugger] = ACTIONS(904),
    [anon_sym_return] = ACTIONS(904),
    [anon_sym_throw] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(904),
    [anon_sym_catch] = ACTIONS(906),
    [anon_sym_finally] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(902),
    [sym_glimmer_opening_tag] = ACTIONS(902),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_DQUOTE] = ACTIONS(902),
    [anon_sym_SQUOTE] = ACTIONS(902),
    [anon_sym_class] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(904),
    [anon_sym_new] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_BANG] = ACTIONS(902),
    [anon_sym_TILDE] = ACTIONS(902),
    [anon_sym_typeof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(904),
    [anon_sym_delete] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(902),
    [anon_sym_DASH_DASH] = ACTIONS(902),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(902),
    [sym_number] = ACTIONS(902),
    [sym_private_property_identifier] = ACTIONS(902),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(904),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_null] = ACTIONS(904),
    [sym_undefined] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(902),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(508),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_export] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(510),
    [anon_sym_with] = ACTIONS(510),
    [anon_sym_var] = ACTIONS(510),
    [anon_sym_let] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_else] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_switch] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_await] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(510),
    [anon_sym_try] = ACTIONS(510),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_debugger] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_throw] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(510),
    [anon_sym_catch] = ACTIONS(510),
    [anon_sym_finally] = ACTIONS(510),
    [anon_sym_yield] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(508),
    [sym_glimmer_opening_tag] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_SQUOTE] = ACTIONS(508),
    [anon_sym_class] = ACTIONS(510),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(510),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(508),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(510),
    [anon_sym_void] = ACTIONS(510),
    [anon_sym_delete] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(508),
    [sym_number] = ACTIONS(508),
    [sym_private_property_identifier] = ACTIONS(508),
    [sym_this] = ACTIONS(510),
    [sym_super] = ACTIONS(510),
    [sym_true] = ACTIONS(510),
    [sym_false] = ACTIONS(510),
    [sym_null] = ACTIONS(510),
    [sym_undefined] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
    [sym__automatic_semicolon] = ACTIONS(518),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(914),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_variable_declarator] = STATE(1221),
    [sym_object_pattern] = STATE(1202),
    [sym_array_pattern] = STATE(1202),
    [sym__destructuring_pattern] = STATE(1202),
    [aux_sym_object_repeat1] = STATE(1339),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(918),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_formal_parameters] = STATE(1737),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(926),
    [anon_sym_RBRACE] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(926),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(914),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_formal_parameters] = STATE(1691),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_of] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(932),
    [anon_sym_function] = ACTIONS(914),
    [anon_sym_EQ_GT] = ACTIONS(934),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_variable_declarator] = STATE(1221),
    [sym_object_pattern] = STATE(1202),
    [sym_array_pattern] = STATE(1202),
    [sym__destructuring_pattern] = STATE(1202),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(918),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_formal_parameters] = STATE(1686),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_variable_declarator] = STATE(1221),
    [sym_object_pattern] = STATE(1202),
    [sym_array_pattern] = STATE(1202),
    [sym__destructuring_pattern] = STATE(1202),
    [aux_sym_object_repeat1] = STATE(1382),
    [aux_sym_object_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(918),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_EQ] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(942),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_await] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_catch] = ACTIONS(620),
    [anon_sym_finally] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(618),
    [sym_glimmer_opening_tag] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [anon_sym_SQUOTE] = ACTIONS(618),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [sym_number] = ACTIONS(618),
    [sym_private_property_identifier] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(618),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_set] = ACTIONS(620),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_formal_parameters] = STATE(1737),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(944),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(944),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(946),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(944),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [anon_sym_export] = ACTIONS(584),
    [anon_sym_default] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_COMMA] = ACTIONS(582),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_import] = ACTIONS(584),
    [anon_sym_with] = ACTIONS(584),
    [anon_sym_var] = ACTIONS(584),
    [anon_sym_let] = ACTIONS(584),
    [anon_sym_const] = ACTIONS(584),
    [anon_sym_else] = ACTIONS(584),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(582),
    [anon_sym_SEMI] = ACTIONS(582),
    [anon_sym_await] = ACTIONS(584),
    [anon_sym_while] = ACTIONS(584),
    [anon_sym_do] = ACTIONS(584),
    [anon_sym_try] = ACTIONS(584),
    [anon_sym_break] = ACTIONS(584),
    [anon_sym_continue] = ACTIONS(584),
    [anon_sym_debugger] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(584),
    [anon_sym_throw] = ACTIONS(584),
    [anon_sym_case] = ACTIONS(584),
    [anon_sym_catch] = ACTIONS(584),
    [anon_sym_finally] = ACTIONS(584),
    [anon_sym_yield] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(582),
    [sym_glimmer_opening_tag] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_DQUOTE] = ACTIONS(582),
    [anon_sym_SQUOTE] = ACTIONS(582),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(584),
    [anon_sym_function] = ACTIONS(584),
    [anon_sym_new] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_BANG] = ACTIONS(582),
    [anon_sym_TILDE] = ACTIONS(582),
    [anon_sym_typeof] = ACTIONS(584),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(582),
    [anon_sym_DASH_DASH] = ACTIONS(582),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(582),
    [sym_number] = ACTIONS(582),
    [sym_private_property_identifier] = ACTIONS(582),
    [sym_this] = ACTIONS(584),
    [sym_super] = ACTIONS(584),
    [sym_true] = ACTIONS(584),
    [sym_false] = ACTIONS(584),
    [sym_null] = ACTIONS(584),
    [sym_undefined] = ACTIONS(584),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_static] = ACTIONS(584),
    [anon_sym_get] = ACTIONS(584),
    [anon_sym_set] = ACTIONS(584),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_formal_parameters] = STATE(1691),
    [sym_identifier] = ACTIONS(930),
    [anon_sym_export] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_of] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(932),
    [anon_sym_function] = ACTIONS(914),
    [anon_sym_EQ_GT] = ACTIONS(934),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(847),
    [anon_sym_EQ] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(869),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    STATE(1686), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(951), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89] = 5,
    ACTIONS(908), 1,
      anon_sym_finally,
    STATE(403), 1,
      sym_finally_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(954), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(956), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [164] = 13,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(961), 1,
      anon_sym_of,
    STATE(1686), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [255] = 4,
    ACTIONS(594), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(586), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(588), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [327] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(963), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(965), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [397] = 5,
    ACTIONS(971), 1,
      anon_sym_else,
    STATE(419), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(967), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(969), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [471] = 4,
    ACTIONS(973), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(618), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(620), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [543] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(618), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(620), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [613] = 4,
    ACTIONS(634), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(626), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(628), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [685] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(922), 1,
      sym_identifier,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    STATE(1737), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(924), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [771] = 11,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(849), 1,
      anon_sym_EQ,
    ACTIONS(869), 1,
      anon_sym_function,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(910), 1,
      sym_identifier,
    STATE(1658), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(912), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [857] = 4,
    ACTIONS(604), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(596), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(598), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [929] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(576), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(578), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [999] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(975), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(977), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1069] = 13,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(936), 1,
      anon_sym_RBRACK,
    ACTIONS(939), 1,
      anon_sym_EQ,
    ACTIONS(944), 1,
      anon_sym_COMMA,
    STATE(1686), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1159] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(983), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(979), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(981), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1231] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(636), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(638), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1301] = 4,
    ACTIONS(616), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(608), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(610), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1373] = 4,
    ACTIONS(528), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(520), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(522), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1445] = 4,
    ACTIONS(570), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(562), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(564), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1517] = 4,
    ACTIONS(538), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(530), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(532), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1589] = 4,
    ACTIONS(548), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(540), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(542), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1661] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(582), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(584), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1731] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(985), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(987), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1801] = 4,
    ACTIONS(989), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(510), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1873] = 11,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(849), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(942), 1,
      anon_sym_function,
    STATE(1658), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(912), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1959] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(991), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(993), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2029] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(995), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(997), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2098] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(999), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1001), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2167] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2236] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2305] = 12,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(849), 1,
      anon_sym_EQ,
    ACTIONS(877), 1,
      anon_sym_COLON,
    ACTIONS(916), 1,
      sym_identifier,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1202), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2392] = 12,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(847), 1,
      anon_sym_COLON,
    ACTIONS(849), 1,
      anon_sym_EQ,
    ACTIONS(916), 1,
      sym_identifier,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1202), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2479] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1011), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1013), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2548] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1015), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1017), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2617] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2686] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2755] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2824] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1023), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1025), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2893] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2962] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3031] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1027), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1029), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3100] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1031), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1033), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3169] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3238] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1035), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3307] = 13,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(922), 1,
      sym_identifier,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(961), 1,
      anon_sym_of,
    STATE(1737), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(924), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1039), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1041), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3465] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1043), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1045), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3534] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1047), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1049), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3603] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1051), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1053), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3672] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1055), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1057), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3741] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1059), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1061), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3810] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1063), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1065), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3879] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1067), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1069), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3948] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1071), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1073), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4017] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1075), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1077), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4086] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1079), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1081), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4155] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1083), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1085), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4224] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1087), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1089), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4293] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1091), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1093), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4362] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1095), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1097), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4431] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1099), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1101), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4500] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1103), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1105), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4569] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1107), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1109), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4638] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1111), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1113), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4707] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(1115), 1,
      sym_identifier,
    ACTIONS(1119), 1,
      anon_sym_EQ_GT,
    STATE(1729), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1117), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4792] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1121), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1123), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4861] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1125), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1127), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4930] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1129), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1131), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4999] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1133), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1135), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5068] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1137), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1139), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5137] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1141), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1143), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5206] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(1115), 1,
      sym_identifier,
    ACTIONS(1119), 1,
      anon_sym_EQ_GT,
    ACTIONS(1145), 1,
      anon_sym_EQ,
    STATE(1729), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1117), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [5291] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1147), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1149), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5360] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1151), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1153), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5429] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1137), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1139), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5498] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1155), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1157), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5567] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1159), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1161), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5636] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1155), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1157), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5705] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1163), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1165), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5774] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1163), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1165), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5843] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1167), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1169), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5912] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1171), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1173), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5981] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1175), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1177), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6050] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1179), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1181), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6119] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1183), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1185), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6188] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1187), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1189), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6257] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1191), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1193), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6326] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1195), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1197), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6395] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1201), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6464] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1205), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6533] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1207), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1209), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6602] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1211), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1213), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6671] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1215), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1217), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6740] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1219), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1221), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6809] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1223), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1225), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6878] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1227), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1229), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6947] = 13,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(961), 1,
      anon_sym_of,
    ACTIONS(1231), 1,
      sym_identifier,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1107), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7035] = 11,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(849), 1,
      anon_sym_EQ,
    ACTIONS(916), 1,
      sym_identifier,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1202), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7118] = 11,
    ACTIONS(828), 1,
      anon_sym_COLON,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(1237), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1339), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7200] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1246), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1248), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7266] = 11,
    ACTIONS(828), 1,
      anon_sym_COLON,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(1237), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7348] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(987), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(985), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7414] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1250), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1252), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7480] = 11,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(828), 1,
      anon_sym_COLON,
    ACTIONS(1237), 1,
      anon_sym_LPAREN,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7562] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1254), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1256), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7628] = 5,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1235), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7698] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1260), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1262), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7764] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1264), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1266), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7830] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1268), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1270), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7896] = 6,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7967] = 6,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8038] = 6,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8109] = 6,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8180] = 12,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(961), 1,
      anon_sym_of,
    ACTIONS(1276), 1,
      sym_identifier,
    ACTIONS(1278), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1323), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [8263] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1283), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1281), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8327] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1287), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1285), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1287), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1285), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8455] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1291), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1289), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8519] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(985), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(987), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8583] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1295), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1293), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8647] = 5,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8715] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1299), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1297), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8779] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1287), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1285), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8843] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1287), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1285), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8907] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8976] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(987), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(985), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9039] = 6,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(934), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9108] = 7,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(1306), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1301), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9179] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1260), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1262), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9242] = 7,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(849), 1,
      anon_sym_EQ,
    ACTIONS(877), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9313] = 6,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(849), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9382] = 7,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(939), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(936), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9453] = 7,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1306), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1308), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9524] = 7,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(926), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9595] = 5,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9662] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1268), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1270), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9725] = 6,
    ACTIONS(1310), 1,
      anon_sym_EQ,
    ACTIONS(1312), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9794] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1250), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1252), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9857] = 7,
    ACTIONS(877), 1,
      anon_sym_COLON,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    ACTIONS(1314), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9928] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1246), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1248), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1254), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1256), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10054] = 6,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1312), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10123] = 6,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10192] = 7,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(847), 1,
      anon_sym_COLON,
    ACTIONS(849), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10263] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1264), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1266), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10326] = 7,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(946), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(944), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10397] = 7,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10468] = 6,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    ACTIONS(1314), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10537] = 7,
    ACTIONS(847), 1,
      anon_sym_COLON,
    ACTIONS(1242), 1,
      anon_sym_EQ_GT,
    ACTIONS(1314), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10608] = 6,
    ACTIONS(934), 1,
      anon_sym_EQ_GT,
    ACTIONS(949), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10677] = 7,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(951), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10747] = 8,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(1322), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10819] = 5,
    ACTIONS(1314), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10885] = 6,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1308), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10953] = 6,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1301), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11021] = 6,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11089] = 5,
    ACTIONS(1310), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1235), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11155] = 7,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1324), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11225] = 8,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(1327), 1,
      anon_sym_in,
    ACTIONS(1330), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11297] = 7,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1327), 1,
      anon_sym_in,
    ACTIONS(1330), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11366] = 8,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(936), 1,
      anon_sym_RBRACK,
    ACTIONS(939), 1,
      anon_sym_EQ,
    ACTIONS(944), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11437] = 6,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11504] = 6,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1306), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11571] = 8,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(1301), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11642] = 6,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1324), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11709] = 6,
    ACTIONS(1332), 1,
      anon_sym_EQ,
    ACTIONS(1334), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11775] = 8,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(1322), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11845] = 6,
    ACTIONS(1119), 1,
      anon_sym_EQ_GT,
    ACTIONS(1145), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11911] = 7,
    ACTIONS(1301), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11979] = 6,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(1119), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12045] = 8,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1306), 1,
      anon_sym_EQ_GT,
    ACTIONS(1327), 1,
      anon_sym_in,
    ACTIONS(1330), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12115] = 6,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1334), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12181] = 5,
    ACTIONS(1332), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12244] = 7,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1327), 1,
      anon_sym_in,
    ACTIONS(1330), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1244), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1233), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12311] = 5,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(1336), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12367] = 10,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1348), 1,
      sym_optional_chain,
    STATE(554), 1,
      sym_arguments,
    STATE(576), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12433] = 7,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    STATE(554), 1,
      sym_arguments,
    STATE(576), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12493] = 4,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12546] = 4,
    ACTIONS(1336), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12599] = 8,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1348), 1,
      sym_optional_chain,
    STATE(576), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12660] = 5,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    STATE(576), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12715] = 4,
    ACTIONS(1354), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12768] = 9,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1356), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1358), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [12831] = 9,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1364), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1366), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [12894] = 8,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1368), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12955] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13005] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1378), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13055] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(638), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(636), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13105] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13155] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13205] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13255] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1380), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1382), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13305] = 5,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1384), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13359] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1387), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13409] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1391), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1393), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13459] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13509] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13559] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1403), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1405), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13609] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13659] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13709] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1411), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13759] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13809] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13859] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(568), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13909] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(526), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13959] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14009] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1423), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14059] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14109] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1431), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1433), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14159] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(544), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(546), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14209] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(534), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(536), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14259] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(632), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14309] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(590), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14359] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14409] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1435), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1437), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14459] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14509] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1439), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1441), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14559] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1443), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14609] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(600), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(602), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14659] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14709] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1451), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1453), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14759] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1455), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1457), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14809] = 4,
    ACTIONS(1463), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1459), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1461), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14861] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1465), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1467), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14911] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1469), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14961] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1473), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1475), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15011] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(578), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(576), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15061] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1477), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1479), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15111] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1481), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1483), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15161] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1485), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1487), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15211] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1489), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15261] = 5,
    ACTIONS(1500), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1497), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15315] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1502), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1504), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15365] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1506), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1508), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15415] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(582), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15465] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1512), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15515] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1516), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15565] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1518), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1520), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1524), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15665] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1528), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15715] = 5,
    ACTIONS(1537), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1534), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15769] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15819] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1543), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15869] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15919] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15969] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1439), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1441), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16019] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16069] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16118] = 10,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1565), 1,
      sym_optional_chain,
    STATE(686), 1,
      sym_template_string,
    STATE(698), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [16181] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1569), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16274] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1545), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16367] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1524), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16460] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1528), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16553] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1405), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16646] = 4,
    ACTIONS(1603), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16697] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16790] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1607), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16883] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1520), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16976] = 4,
    ACTIONS(1609), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17027] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1611), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17120] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1613), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17213] = 4,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17264] = 23,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17353] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1449), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17446] = 15,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17519] = 4,
    ACTIONS(1537), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17570] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(578), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(576), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17619] = 4,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17670] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17733] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(638), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(636), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17782] = 4,
    ACTIONS(1500), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17833] = 17,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1617), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 14,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17910] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(582), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17959] = 7,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_template_string,
    STATE(698), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [18016] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [18079] = 12,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [18146] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1619), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [18239] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 11,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [18324] = 22,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [18411] = 13,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [18480] = 19,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1617), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [18561] = 20,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [18644] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 11,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [18729] = 4,
    ACTIONS(1537), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18779] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18827] = 5,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(1609), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18879] = 8,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1368), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18937] = 9,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1364), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1366), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [18997] = 9,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1356), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1358), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [19057] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1625), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [19149] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19197] = 4,
    ACTIONS(1500), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19247] = 8,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1565), 1,
      sym_optional_chain,
    STATE(686), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [19305] = 6,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(518), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19359] = 5,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    STATE(686), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [19411] = 4,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19461] = 4,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19511] = 5,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1308), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19562] = 5,
    ACTIONS(548), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(540), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(544), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(546), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19613] = 15,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [19684] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19731] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1477), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1479), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19778] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1387), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19825] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1502), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1504), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19872] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1449), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [19963] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [20054] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1619), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [20145] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1423), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20192] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20239] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1485), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1487), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20286] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1569), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [20377] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1528), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20424] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [20515] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(600), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(602), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20562] = 5,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1695), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20613] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1545), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [20704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20751] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1524), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20798] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1524), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [20889] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1518), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1520), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20936] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1520), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [21027] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1512), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21074] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1489), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21121] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1611), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [21212] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1451), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1453), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21259] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21306] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1443), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21353] = 5,
    ACTIONS(570), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(562), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(568), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21404] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [21495] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1611), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [21586] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21633] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1435), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1437), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21680] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1391), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1393), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21727] = 21,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [21810] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1378), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21857] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1481), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1483), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21904] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1431), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1433), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21951] = 5,
    ACTIONS(528), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(520), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(526), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22002] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1613), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [22093] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1380), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1382), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22140] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1619), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [22231] = 5,
    ACTIONS(1537), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1697), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22282] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22329] = 5,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1301), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22380] = 5,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22431] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1613), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [22522] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22569] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1449), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [22660] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1411), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22707] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22754] = 4,
    ACTIONS(1314), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22803] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1439), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1441), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22850] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22897] = 5,
    ACTIONS(616), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(608), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22948] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22995] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1439), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1441), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23042] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(568), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23089] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(526), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23136] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23183] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23230] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [23321] = 5,
    ACTIONS(1500), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23372] = 22,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23457] = 13,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [23524] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1469), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23571] = 5,
    ACTIONS(538), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(530), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(534), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(536), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23622] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [23713] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1465), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1467), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23760] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23807] = 19,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1617), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23886] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23933] = 5,
    ACTIONS(634), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(626), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(630), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(632), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23984] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(544), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(546), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24031] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(534), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(536), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24078] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24125] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(632), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24172] = 4,
    ACTIONS(1701), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1459), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1461), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24221] = 15,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [24292] = 20,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24373] = 10,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [24434] = 21,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24517] = 21,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24600] = 22,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [24685] = 13,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [24752] = 5,
    ACTIONS(604), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(596), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(600), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(602), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24803] = 4,
    ACTIONS(1310), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24852] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1569), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [24943] = 19,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1617), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25022] = 20,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25103] = 5,
    ACTIONS(594), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(586), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(590), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25154] = 21,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25237] = 12,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [25302] = 10,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [25363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1543), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25410] = 17,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1617), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25485] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1506), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1508), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25532] = 23,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25619] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [25710] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1545), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [25801] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1405), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [25892] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1528), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [25983] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(590), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26030] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1524), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [26121] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1455), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1457), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26168] = 12,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [26233] = 10,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [26294] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1405), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26385] = 10,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [26446] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1403), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1405), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26493] = 17,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1617), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [26568] = 4,
    ACTIONS(1701), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1459), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1461), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26617] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1516), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26664] = 23,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [26751] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26798] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1473), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1475), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26845] = 6,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(1695), 1,
      anon_sym_of,
    ACTIONS(1703), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26897] = 5,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1709), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26947] = 6,
    ACTIONS(1537), 1,
      anon_sym_EQ,
    ACTIONS(1697), 1,
      anon_sym_of,
    ACTIONS(1711), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1530), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26999] = 6,
    ACTIONS(1500), 1,
      anon_sym_EQ,
    ACTIONS(1699), 1,
      anon_sym_of,
    ACTIONS(1714), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1493), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27051] = 6,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1327), 1,
      anon_sym_in,
    ACTIONS(1330), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27103] = 27,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(682), 1,
      sym_arguments,
    STATE(1249), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27197] = 27,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(682), 1,
      sym_arguments,
    STATE(1249), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27291] = 27,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(682), 1,
      sym_arguments,
    STATE(1249), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27385] = 27,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1725), 1,
      anon_sym_COMMA,
    ACTIONS(1728), 1,
      anon_sym_RBRACE,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1569), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27479] = 5,
    ACTIONS(1730), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1485), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1487), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27529] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1735), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [27619] = 5,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1324), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27669] = 27,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1728), 1,
      anon_sym_RBRACE,
    ACTIONS(1737), 1,
      anon_sym_COMMA,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27763] = 26,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    ACTIONS(1742), 1,
      anon_sym_in,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1663), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1740), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
  [27855] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1745), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [27945] = 27,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1747), 1,
      anon_sym_COMMA,
    ACTIONS(1750), 1,
      anon_sym_RBRACE,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28039] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28132] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28221] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1790), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28314] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1792), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28407] = 27,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1794), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    STATE(1307), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28500] = 27,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1796), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    STATE(1307), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28593] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28686] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1800), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28779] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1802), 1,
      anon_sym_SEMI,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28872] = 27,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1804), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1370), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28965] = 6,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(1384), 1,
      anon_sym_RBRACK,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29016] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1806), 1,
      anon_sym_SEMI,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29109] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1808), 1,
      anon_sym_RBRACE,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29202] = 6,
    ACTIONS(1301), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 1,
      anon_sym_RBRACK,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29253] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1607), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29342] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1810), 1,
      anon_sym_SEMI,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29435] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1812), 1,
      anon_sym_RBRACE,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29528] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1814), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29621] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1816), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [29710] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29803] = 27,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1318), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29896] = 6,
    ACTIONS(1534), 1,
      anon_sym_RBRACK,
    ACTIONS(1537), 1,
      anon_sym_EQ,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29947] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30040] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1824), 1,
      anon_sym_RBRACE,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30133] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1826), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30226] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30315] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1619), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30404] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1828), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30497] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1830), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30590] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1832), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30683] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1520), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30772] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1834), 1,
      anon_sym_SEMI,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30865] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1836), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30958] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31051] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31144] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1842), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31237] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1844), 1,
      anon_sym_COLON,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31330] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1524), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31419] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1528), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31508] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1605), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31597] = 23,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [31682] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1846), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31775] = 17,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1617), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 10,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [31848] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [31907] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1848), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32000] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1569), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32089] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1545), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32178] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1850), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32271] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1611), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32360] = 27,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1852), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1358), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32453] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1854), 1,
      anon_sym_SEMI,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32546] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1625), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32635] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1613), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32724] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32817] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1449), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32906] = 12,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [32969] = 15,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [33038] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [33097] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [33178] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33271] = 22,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [33354] = 13,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [33419] = 27,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    STATE(1368), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33512] = 19,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 8,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [33589] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [33670] = 20,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 8,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [33749] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33842] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1864), 1,
      anon_sym_SEMI,
    STATE(547), 1,
      sym_arguments,
    STATE(1099), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33935] = 6,
    ACTIONS(1497), 1,
      anon_sym_RBRACK,
    ACTIONS(1500), 1,
      anon_sym_EQ,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33986] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1528), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34074] = 4,
    ACTIONS(1332), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34120] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1545), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34208] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1619), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34296] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1611), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34384] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34472] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1904), 1,
      anon_sym_RBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1908), 1,
      anon_sym_async,
    ACTIONS(1912), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    STATE(1291), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1341), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1914), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1900), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1313), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1334), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34558] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1916), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34646] = 4,
    ACTIONS(1463), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1459), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1461), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34692] = 25,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1918), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34780] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34868] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_RBRACE,
    ACTIONS(1924), 1,
      anon_sym_async,
    ACTIONS(1926), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    STATE(1291), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1341), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1928), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1920), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1313), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1334), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34954] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1932), 1,
      anon_sym_RBRACE,
    ACTIONS(1934), 1,
      anon_sym_async,
    ACTIONS(1936), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    STATE(1291), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1341), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1938), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1930), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1313), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1334), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35040] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35120] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35178] = 12,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1617), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35240] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1942), 1,
      anon_sym_RBRACE,
    ACTIONS(1944), 1,
      anon_sym_async,
    ACTIONS(1946), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    STATE(1291), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1341), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1948), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1940), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1313), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1334), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35326] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1613), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35414] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1449), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35502] = 13,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35566] = 15,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1617), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 12,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35634] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35714] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35772] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1605), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35860] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1952), 1,
      anon_sym_RBRACE,
    ACTIONS(1954), 1,
      anon_sym_async,
    ACTIONS(1956), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    STATE(1291), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1298), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1958), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1950), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1306), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1313), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35946] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1524), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36034] = 20,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 7,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36112] = 22,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36194] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      anon_sym_RBRACE,
    ACTIONS(1964), 1,
      anon_sym_async,
    ACTIONS(1966), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    STATE(1291), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1341), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1968), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1960), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1313), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1334), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36280] = 26,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1629), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1643), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1645), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_CARET,
    ACTIONS(1649), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1970), 1,
      anon_sym_SEMI,
    ACTIONS(1972), 1,
      sym__automatic_semicolon,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1631), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1639), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36370] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36458] = 6,
    ACTIONS(1258), 1,
      anon_sym_EQ,
    ACTIONS(1327), 1,
      anon_sym_in,
    ACTIONS(1330), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36508] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1405), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36596] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1569), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36684] = 17,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1617), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1615), 9,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36756] = 19,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1617), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 7,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36832] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1520), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36920] = 23,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1615), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [37004] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    ACTIONS(1974), 1,
      anon_sym_COLON,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37091] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    ACTIONS(1976), 1,
      anon_sym_COLON,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37178] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    ACTIONS(1978), 1,
      anon_sym_COLON,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37265] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1980), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37352] = 26,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1740), 1,
      anon_sym_of,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    ACTIONS(1982), 1,
      anon_sym_in,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1868), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37441] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    ACTIONS(1985), 1,
      anon_sym_COLON,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37528] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1573), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1577), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_AMP,
    ACTIONS(1583), 1,
      anon_sym_CARET,
    ACTIONS(1585), 1,
      anon_sym_PIPE,
    ACTIONS(1589), 1,
      anon_sym_PERCENT,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1599), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1601), 1,
      sym__ternary_qmark,
    ACTIONS(1987), 1,
      anon_sym_RBRACK,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1567), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1587), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1595), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1571), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1593), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37615] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    ACTIONS(1989), 1,
      anon_sym_COLON,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37702] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37789] = 24,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37873] = 21,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_async,
    ACTIONS(2000), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1995), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2002), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1993), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1606), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1609), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [37951] = 24,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1360), 1,
      sym_optional_chain,
    ACTIONS(1760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1762), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1764), 1,
      anon_sym_GT_GT,
    ACTIONS(1768), 1,
      anon_sym_AMP,
    ACTIONS(1770), 1,
      anon_sym_CARET,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      anon_sym_PERCENT,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1788), 1,
      sym__ternary_qmark,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1756), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1774), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1758), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1780), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38035] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2008), 1,
      anon_sym_RBRACE,
    ACTIONS(2010), 1,
      anon_sym_SEMI,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    STATE(885), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38112] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2030), 1,
      anon_sym_RBRACE,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    STATE(886), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38189] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(2036), 1,
      anon_sym_SEMI,
    STATE(884), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38266] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    STATE(886), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38343] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(2040), 1,
      anon_sym_RBRACE,
    STATE(886), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38420] = 23,
    ACTIONS(2045), 1,
      anon_sym_STAR,
    ACTIONS(2048), 1,
      anon_sym_RBRACE,
    ACTIONS(2050), 1,
      anon_sym_SEMI,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2056), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2059), 1,
      anon_sym_DQUOTE,
    ACTIONS(2062), 1,
      anon_sym_SQUOTE,
    ACTIONS(2065), 1,
      anon_sym_async,
    ACTIONS(2071), 1,
      anon_sym_AT,
    ACTIONS(2074), 1,
      anon_sym_static,
    ACTIONS(2077), 1,
      aux_sym_method_definition_token1,
    STATE(886), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2068), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2080), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2042), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38497] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(2083), 1,
      anon_sym_RBRACE,
    STATE(886), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38574] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_SEMI,
    STATE(882), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38651] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(2091), 1,
      anon_sym_SEMI,
    STATE(887), 1,
      aux_sym_class_body_repeat1,
    STATE(924), 1,
      aux_sym_export_statement_repeat1,
    STATE(968), 1,
      sym_class_static_block,
    STATE(972), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_method_definition,
    STATE(992), 1,
      sym_decorator,
    STATE(1508), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38728] = 20,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(713), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2101), 1,
      anon_sym_async,
    ACTIONS(2105), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2103), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2107), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2093), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1348), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1381), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38798] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(713), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2113), 1,
      anon_sym_async,
    ACTIONS(2115), 1,
      anon_sym_static,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2103), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2111), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2117), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1348), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1606), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38863] = 14,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2125), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1336), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1670), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2119), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38920] = 14,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2125), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1313), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1670), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2127), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38977] = 12,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1609), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1656), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1670), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2131), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39029] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39087] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39145] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39203] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1339), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39261] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39317] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39375] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39431] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39489] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1339), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39545] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39601] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39657] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39713] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1339), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39764] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39815] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39866] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39917] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39968] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40019] = 14,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_async,
    ACTIONS(2157), 1,
      sym__automatic_semicolon,
    STATE(978), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2153), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2155), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    STATE(1144), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2004), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40072] = 13,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2160), 1,
      anon_sym_RBRACE,
    STATE(1377), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40122] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2162), 1,
      anon_sym_export,
    ACTIONS(2164), 1,
      anon_sym_STAR,
    ACTIONS(2166), 1,
      anon_sym_class,
    ACTIONS(2168), 1,
      anon_sym_async,
    ACTIONS(2172), 1,
      anon_sym_static,
    ACTIONS(2174), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2176), 1,
      anon_sym_get,
    ACTIONS(2178), 1,
      anon_sym_set,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(879), 2,
      anon_sym_let,
      sym_identifier,
    ACTIONS(2170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1589), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40182] = 13,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40232] = 12,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40280] = 14,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2160), 1,
      anon_sym_RBRACE,
    STATE(1377), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40332] = 10,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2183), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2185), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40375] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2164), 1,
      anon_sym_STAR,
    ACTIONS(2168), 1,
      anon_sym_async,
    ACTIONS(2172), 1,
      anon_sym_static,
    ACTIONS(2174), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2176), 1,
      anon_sym_get,
    ACTIONS(2178), 1,
      anon_sym_set,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2170), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(879), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1589), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40430] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2187), 1,
      anon_sym_STAR,
    ACTIONS(2191), 1,
      anon_sym_get,
    ACTIONS(2193), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1582), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40475] = 12,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2195), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_async,
    ACTIONS(2201), 1,
      anon_sym_get,
    ACTIONS(2203), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2199), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1132), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2004), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [40522] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40567] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2207), 1,
      anon_sym_STAR,
    ACTIONS(2209), 1,
      anon_sym_async,
    ACTIONS(2213), 1,
      anon_sym_static,
    ACTIONS(2215), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2217), 1,
      anon_sym_get,
    ACTIONS(2219), 1,
      anon_sym_set,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2211), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1148), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40622] = 12,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40669] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2221), 1,
      anon_sym_STAR,
    ACTIONS(2225), 1,
      anon_sym_get,
    ACTIONS(2227), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2223), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1564), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40714] = 10,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2229), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2233), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1562), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40757] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2160), 1,
      anon_sym_RBRACE,
    STATE(1377), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40802] = 10,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40845] = 9,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40885] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2183), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40923] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40951] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40979] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41007] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41035] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2243), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2245), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41063] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2243), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2245), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41091] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2243), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2245), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41119] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2243), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2245), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41147] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41175] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41203] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41231] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2243), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2245), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41259] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2243), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2245), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41287] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2247), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2249), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41315] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41343] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2251), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41381] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41409] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41437] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41465] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41521] = 4,
    ACTIONS(2253), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(618), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41551] = 4,
    ACTIONS(2255), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(508), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41581] = 6,
    ACTIONS(2261), 1,
      anon_sym_LPAREN,
    ACTIONS(2263), 1,
      anon_sym_DOT,
    STATE(991), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2257), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2259), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2265), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2267), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41643] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2269), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1584), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41681] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41709] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2271), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2273), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41737] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2275), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2277), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41765] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1562), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41803] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2279), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2281), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41831] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41859] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41887] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2241), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41915] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2283), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1566), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41953] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1567), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2287), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2289), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42018] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(618), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42045] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2291), 9,
      anon_sym_export,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2293), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42072] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1481), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1483), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42099] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2295), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2297), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42126] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1502), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1504), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42153] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2299), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2301), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42180] = 4,
    ACTIONS(2303), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2287), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2289), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42209] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(582), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42236] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2306), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2308), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42263] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2310), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2312), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42290] = 6,
    ACTIONS(2318), 1,
      anon_sym_AT,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2316), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      aux_sym_method_definition_token1,
    ACTIONS(2314), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42323] = 10,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2325), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1457), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42363] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2327), 1,
      anon_sym_STAR,
    ACTIONS(2331), 1,
      anon_sym_get,
    ACTIONS(2333), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2329), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1469), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42405] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_STAR,
    ACTIONS(2339), 1,
      anon_sym_get,
    ACTIONS(2341), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2337), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1586), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42447] = 9,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1457), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42485] = 10,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2233), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1562), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42525] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2345), 1,
      anon_sym_STAR,
    ACTIONS(2349), 1,
      anon_sym_get,
    ACTIONS(2351), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2347), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42567] = 12,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2353), 1,
      anon_sym_STAR,
    ACTIONS(2355), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_get,
    ACTIONS(2361), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2357), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1447), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42611] = 13,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(819), 1,
      anon_sym_var,
    ACTIONS(833), 1,
      anon_sym_class,
    ACTIONS(835), 1,
      anon_sym_async,
    ACTIONS(837), 1,
      anon_sym_function,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_default,
    STATE(391), 1,
      sym_declaration,
    STATE(992), 1,
      sym_decorator,
    STATE(1276), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(821), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(417), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42657] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2365), 1,
      anon_sym_STAR,
    ACTIONS(2369), 1,
      anon_sym_get,
    ACTIONS(2371), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2367), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42699] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2373), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1443), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42734] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1470), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42769] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2377), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2379), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42794] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2381), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2383), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42819] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1423), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1425), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42844] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2385), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1580), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42879] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2257), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2259), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42904] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1443), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1445), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42929] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2387), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1587), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42964] = 10,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [43003] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2389), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1572), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43038] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2391), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1404), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43073] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1376), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1378), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43098] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2393), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1442), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43133] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2395), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1579), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43168] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2397), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1471), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43203] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    ACTIONS(2401), 1,
      anon_sym_async,
    ACTIONS(2405), 1,
      anon_sym_get,
    ACTIONS(2407), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2403), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1444), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [43244] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2409), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43279] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2411), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43314] = 11,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2413), 1,
      anon_sym_STAR,
    ACTIONS(2415), 1,
      anon_sym_async,
    ACTIONS(2419), 1,
      anon_sym_get,
    ACTIONS(2421), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2417), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1565), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [43355] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2423), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1456), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43390] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2425), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1455), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43425] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1562), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43460] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2427), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1446), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43495] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2429), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1445), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43530] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2431), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1588), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43565] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2433), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1620), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43600] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1457), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43635] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2435), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1616), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43670] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2437), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1577), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43705] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(819), 1,
      anon_sym_var,
    ACTIONS(833), 1,
      anon_sym_class,
    ACTIONS(835), 1,
      anon_sym_async,
    ACTIONS(837), 1,
      anon_sym_function,
    ACTIONS(2363), 1,
      anon_sym_default,
    STATE(391), 1,
      sym_declaration,
    STATE(992), 1,
      sym_decorator,
    STATE(1276), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(821), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(417), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [43748] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2439), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1596), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43783] = 10,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(2441), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2183), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2185), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [43822] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(819), 1,
      anon_sym_var,
    ACTIONS(833), 1,
      anon_sym_class,
    ACTIONS(835), 1,
      anon_sym_async,
    ACTIONS(837), 1,
      anon_sym_function,
    ACTIONS(2443), 1,
      anon_sym_default,
    STATE(391), 1,
      sym_declaration,
    STATE(992), 1,
      sym_decorator,
    STATE(1276), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(821), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(417), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [43865] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2445), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1600), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43900] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2447), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1599), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43935] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1457), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43967] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2449), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1598), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2451), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44021] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2453), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44043] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2183), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44075] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1562), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44107] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2455), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2457), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44151] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2459), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1595), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44183] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2461), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44205] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1611), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44237] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2463), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1436), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44269] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2465), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1563), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44301] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2467), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1452), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44333] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2469), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1451), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44365] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2411), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44397] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2471), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1461), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44429] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2473), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1574), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44461] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2475), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1626), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44493] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2477), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1585), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44525] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2437), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1577), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44557] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2479), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1581), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44589] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2481), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1578), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44621] = 11,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2483), 1,
      sym_identifier,
    ACTIONS(2485), 1,
      anon_sym_STAR,
    ACTIONS(2487), 1,
      anon_sym_LBRACE,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(1257), 1,
      sym_string,
    STATE(1476), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
    STATE(1696), 2,
      sym_namespace_import,
      sym_named_imports,
  [44658] = 8,
    ACTIONS(2493), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_LT,
    ACTIONS(2499), 1,
      anon_sym_LT_SLASH,
    STATE(1051), 1,
      sym_jsx_opening_element,
    STATE(1194), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2495), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1065), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44688] = 8,
    ACTIONS(2493), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_LT,
    ACTIONS(2501), 1,
      anon_sym_LT_SLASH,
    STATE(530), 1,
      sym_jsx_closing_element,
    STATE(1051), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2495), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1065), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44718] = 8,
    ACTIONS(2493), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_LT,
    ACTIONS(2505), 1,
      anon_sym_LT_SLASH,
    STATE(1051), 1,
      sym_jsx_opening_element,
    STATE(1150), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2503), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1057), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44748] = 8,
    ACTIONS(2493), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_LT,
    ACTIONS(2499), 1,
      anon_sym_LT_SLASH,
    STATE(1051), 1,
      sym_jsx_opening_element,
    STATE(1193), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2507), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1049), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44778] = 11,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(2521), 1,
      anon_sym_SLASH_GT,
    STATE(1085), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44814] = 8,
    ACTIONS(2493), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_LT,
    ACTIONS(2525), 1,
      anon_sym_LT_SLASH,
    STATE(689), 1,
      sym_jsx_closing_element,
    STATE(1051), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2523), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1059), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44844] = 8,
    ACTIONS(2493), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_LT,
    ACTIONS(2501), 1,
      anon_sym_LT_SLASH,
    STATE(575), 1,
      sym_jsx_closing_element,
    STATE(1051), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2527), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1050), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44874] = 11,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(2529), 1,
      anon_sym_SLASH_GT,
    STATE(1088), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44910] = 8,
    ACTIONS(2493), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_LT,
    ACTIONS(2505), 1,
      anon_sym_LT_SLASH,
    STATE(1051), 1,
      sym_jsx_opening_element,
    STATE(1153), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2495), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1065), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44940] = 11,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(2531), 1,
      anon_sym_SLASH_GT,
    STATE(1080), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44976] = 8,
    ACTIONS(2493), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_LT,
    ACTIONS(2525), 1,
      anon_sym_LT_SLASH,
    STATE(656), 1,
      sym_jsx_closing_element,
    STATE(1051), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2495), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1065), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [45006] = 11,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(2533), 1,
      anon_sym_SLASH_GT,
    STATE(1090), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45042] = 10,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2529), 1,
      anon_sym_SLASH_GT,
    STATE(1083), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45075] = 10,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2521), 1,
      anon_sym_SLASH_GT,
    STATE(1089), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45108] = 10,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(2521), 1,
      anon_sym_SLASH_GT,
    STATE(1078), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45141] = 10,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(2531), 1,
      anon_sym_SLASH_GT,
    STATE(1081), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45174] = 7,
    ACTIONS(2535), 1,
      anon_sym_LBRACE,
    ACTIONS(2541), 1,
      anon_sym_LT,
    ACTIONS(2544), 1,
      anon_sym_LT_SLASH,
    STATE(1051), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2538), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1065), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [45201] = 10,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(2533), 1,
      anon_sym_SLASH_GT,
    STATE(1087), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45234] = 10,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2531), 1,
      anon_sym_SLASH_GT,
    STATE(1079), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45267] = 10,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2533), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45300] = 10,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(2529), 1,
      anon_sym_SLASH_GT,
    STATE(1071), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45333] = 8,
    ACTIONS(2546), 1,
      sym_identifier,
    ACTIONS(2549), 1,
      anon_sym_LBRACE,
    ACTIONS(2554), 1,
      sym_jsx_identifier,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2552), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45361] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2557), 1,
      anon_sym_GT,
    ACTIONS(2559), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45391] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2561), 1,
      anon_sym_GT,
    ACTIONS(2563), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45421] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2561), 1,
      anon_sym_GT,
    ACTIONS(2565), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45451] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2529), 1,
      anon_sym_SLASH_GT,
    STATE(1072), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45481] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2533), 1,
      anon_sym_SLASH_GT,
    STATE(1073), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45511] = 7,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_LT,
    ACTIONS(2569), 1,
      anon_sym_DQUOTE,
    ACTIONS(2571), 1,
      anon_sym_SQUOTE,
    STATE(1052), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1184), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [45537] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2531), 1,
      anon_sym_SLASH_GT,
    STATE(1082), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45567] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2557), 1,
      anon_sym_GT,
    ACTIONS(2573), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45597] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2575), 1,
      anon_sym_GT,
    ACTIONS(2577), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45627] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2579), 1,
      anon_sym_GT,
    ACTIONS(2581), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45657] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2557), 1,
      anon_sym_GT,
    ACTIONS(2583), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45687] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2561), 1,
      anon_sym_GT,
    ACTIONS(2585), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45717] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2575), 1,
      anon_sym_GT,
    ACTIONS(2587), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45747] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2561), 1,
      anon_sym_GT,
    ACTIONS(2589), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45777] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2579), 1,
      anon_sym_GT,
    ACTIONS(2591), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45807] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2575), 1,
      anon_sym_GT,
    ACTIONS(2593), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45837] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2557), 1,
      anon_sym_GT,
    ACTIONS(2595), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45867] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2579), 1,
      anon_sym_GT,
    ACTIONS(2597), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45897] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2575), 1,
      anon_sym_GT,
    ACTIONS(2599), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45927] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2579), 1,
      anon_sym_GT,
    ACTIONS(2601), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45957] = 7,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_LT,
    ACTIONS(2569), 1,
      anon_sym_DQUOTE,
    ACTIONS(2571), 1,
      anon_sym_SQUOTE,
    STATE(1052), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1151), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [45983] = 9,
    ACTIONS(2509), 1,
      sym_identifier,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    ACTIONS(2515), 1,
      anon_sym_GT,
    ACTIONS(2517), 1,
      sym_jsx_identifier,
    ACTIONS(2521), 1,
      anon_sym_SLASH_GT,
    STATE(1084), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [46013] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2605), 1,
      anon_sym_COMMA,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    STATE(1309), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1669), 2,
      sym__module_export_name,
      sym_string,
  [46040] = 8,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2609), 1,
      sym_identifier,
    ACTIONS(2611), 1,
      anon_sym_COMMA,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    STATE(1350), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1347), 2,
      sym__module_export_name,
      sym_string,
  [46067] = 6,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      sym_identifier,
    STATE(1357), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1202), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2617), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46103] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2609), 1,
      sym_identifier,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1347), 2,
      sym__module_export_name,
      sym_string,
  [46127] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2621), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46141] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(1106), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2623), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46159] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    STATE(1484), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1669), 2,
      sym__module_export_name,
      sym_string,
  [46183] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46207] = 6,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    ACTIONS(2627), 1,
      sym_identifier,
    STATE(1256), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1105), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46229] = 6,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    ACTIONS(2629), 1,
      sym_identifier,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1107), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46251] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46275] = 5,
    ACTIONS(2635), 1,
      anon_sym_EQ,
    STATE(1177), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2633), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [46295] = 4,
    ACTIONS(2637), 1,
      anon_sym_COMMA,
    STATE(1106), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1625), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46313] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2642), 1,
      sym__automatic_semicolon,
    STATE(1295), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2633), 2,
      anon_sym_in,
      anon_sym_of,
  [46335] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46359] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46383] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1339), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46407] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2645), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46421] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1382), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46445] = 6,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      sym_identifier,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1202), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46467] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2609), 1,
      sym_identifier,
    ACTIONS(2647), 1,
      anon_sym_RBRACE,
    STATE(1421), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1347), 2,
      sym__module_export_name,
      sym_string,
  [46491] = 6,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      sym_identifier,
    STATE(1256), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1202), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46513] = 7,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2649), 1,
      anon_sym_RBRACE,
    STATE(1484), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1669), 2,
      sym__module_export_name,
      sym_string,
  [46537] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2651), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46551] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2653), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46565] = 5,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2655), 1,
      sym_identifier,
    ACTIONS(2659), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2657), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46585] = 5,
    ACTIONS(2664), 1,
      anon_sym_BQUOTE,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2661), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1120), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46604] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2617), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46617] = 5,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(2669), 1,
      sym_identifier,
    ACTIONS(2671), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1674), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46636] = 5,
    ACTIONS(2675), 1,
      anon_sym_BQUOTE,
    ACTIONS(2677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2673), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1120), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46655] = 6,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2603), 1,
      sym_identifier,
    STATE(1484), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1669), 2,
      sym__module_export_name,
      sym_string,
  [46676] = 5,
    ACTIONS(2677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2679), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2673), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1120), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46695] = 6,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2609), 1,
      sym_identifier,
    STATE(1421), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1347), 2,
      sym__module_export_name,
      sym_string,
  [46716] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1401), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46729] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1695), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46742] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1421), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46755] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46768] = 5,
    ACTIONS(2681), 1,
      anon_sym_default,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(2685), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1143), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46787] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1440), 1,
      sym__initializer,
    STATE(1558), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46808] = 4,
    ACTIONS(2691), 1,
      sym_identifier,
    ACTIONS(2695), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2693), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46825] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1552), 1,
      sym_formal_parameters,
    STATE(1570), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46846] = 5,
    ACTIONS(2699), 1,
      anon_sym_default,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    ACTIONS(2704), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1135), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46865] = 5,
    ACTIONS(2677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2709), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2707), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1125), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46884] = 5,
    ACTIONS(918), 1,
      anon_sym_LBRACE,
    ACTIONS(920), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1323), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46903] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1697), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46916] = 3,
    ACTIONS(2713), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2715), 5,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46931] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2653), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2621), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46957] = 5,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(2671), 1,
      anon_sym_LBRACK,
    ACTIONS(2717), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1217), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46976] = 5,
    ACTIONS(2681), 1,
      anon_sym_default,
    ACTIONS(2685), 1,
      anon_sym_case,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1135), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46995] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1523), 1,
      sym__initializer,
    STATE(1615), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47016] = 3,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2725), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
  [47031] = 5,
    ACTIONS(2677), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2729), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2727), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1123), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [47050] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2651), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47063] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1488), 1,
      sym_formal_parameters,
    STATE(1524), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2731), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47084] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2645), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47097] = 3,
    ACTIONS(1551), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1553), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47111] = 3,
    ACTIONS(2733), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2735), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47125] = 3,
    ACTIONS(1435), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1437), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47139] = 3,
    ACTIONS(1407), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47153] = 3,
    ACTIONS(1411), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1413), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47167] = 3,
    ACTIONS(1477), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1479), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47181] = 3,
    ACTIONS(2739), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2737), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47195] = 6,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(2741), 1,
      sym_identifier,
    ACTIONS(2743), 1,
      anon_sym_LBRACK,
    ACTIONS(2745), 1,
      sym_private_property_identifier,
    STATE(744), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47215] = 3,
    ACTIONS(2747), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2749), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47229] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1421), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47241] = 3,
    ACTIONS(2751), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2753), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47255] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1401), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47267] = 3,
    ACTIONS(2739), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2737), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47281] = 3,
    ACTIONS(2739), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2737), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47295] = 3,
    ACTIONS(2739), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2737), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47309] = 3,
    ACTIONS(2747), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2749), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47323] = 6,
    ACTIONS(2755), 1,
      sym_identifier,
    ACTIONS(2757), 1,
      anon_sym_GT,
    ACTIONS(2759), 1,
      sym_jsx_identifier,
    STATE(1066), 1,
      sym_nested_identifier,
    STATE(1075), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47343] = 6,
    ACTIONS(2761), 1,
      sym_identifier,
    ACTIONS(2763), 1,
      anon_sym_GT,
    ACTIONS(2765), 1,
      sym_jsx_identifier,
    STATE(1462), 1,
      sym_nested_identifier,
    STATE(1703), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47363] = 3,
    ACTIONS(2751), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2753), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47377] = 3,
    ACTIONS(2767), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2769), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47391] = 5,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1422), 2,
      sym__module_export_name,
      sym_string,
  [47409] = 6,
    ACTIONS(2773), 1,
      sym_identifier,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2777), 1,
      anon_sym_extends,
    STATE(652), 1,
      sym_class_body,
    STATE(1602), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47429] = 6,
    ACTIONS(2757), 1,
      anon_sym_GT,
    ACTIONS(2779), 1,
      sym_identifier,
    ACTIONS(2781), 1,
      sym_jsx_identifier,
    STATE(1064), 1,
      sym_nested_identifier,
    STATE(1077), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47449] = 3,
    ACTIONS(1435), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1437), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47463] = 5,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2160), 1,
      anon_sym_RBRACE,
    STATE(1377), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [47481] = 6,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2777), 1,
      anon_sym_extends,
    ACTIONS(2783), 1,
      sym_identifier,
    STATE(652), 1,
      sym_class_body,
    STATE(1602), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47501] = 3,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47515] = 4,
    ACTIONS(2787), 1,
      anon_sym_in,
    ACTIONS(2789), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2785), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47531] = 3,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1301), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47545] = 6,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2796), 1,
      anon_sym_GT,
    ACTIONS(2798), 1,
      sym_jsx_identifier,
    STATE(1426), 1,
      sym_nested_identifier,
    STATE(1714), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47565] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2800), 1,
      anon_sym_export,
    ACTIONS(2802), 1,
      anon_sym_class,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47585] = 3,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47599] = 3,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47613] = 3,
    ACTIONS(1372), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47627] = 3,
    ACTIONS(2804), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2806), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47641] = 3,
    ACTIONS(2808), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2810), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47655] = 3,
    ACTIONS(2814), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2812), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47669] = 6,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2777), 1,
      anon_sym_extends,
    ACTIONS(2816), 1,
      sym_identifier,
    STATE(652), 1,
      sym_class_body,
    STATE(1602), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47689] = 6,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2777), 1,
      anon_sym_extends,
    ACTIONS(2818), 1,
      sym_identifier,
    STATE(699), 1,
      sym_class_body,
    STATE(1474), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47709] = 3,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47723] = 3,
    ACTIONS(2820), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1308), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47737] = 3,
    ACTIONS(2822), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2824), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47751] = 6,
    ACTIONS(2777), 1,
      anon_sym_extends,
    ACTIONS(2826), 1,
      sym_identifier,
    ACTIONS(2828), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_class_body,
    STATE(1623), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47771] = 3,
    ACTIONS(1551), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1553), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47785] = 3,
    ACTIONS(1407), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47799] = 3,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1413), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47813] = 6,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2830), 1,
      anon_sym_RBRACE,
    STATE(1380), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47833] = 4,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47849] = 3,
    ACTIONS(1372), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47863] = 6,
    ACTIONS(2757), 1,
      anon_sym_GT,
    ACTIONS(2832), 1,
      sym_identifier,
    ACTIONS(2834), 1,
      sym_jsx_identifier,
    STATE(1069), 1,
      sym_nested_identifier,
    STATE(1074), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47883] = 6,
    ACTIONS(2757), 1,
      anon_sym_GT,
    ACTIONS(2836), 1,
      sym_identifier,
    ACTIONS(2838), 1,
      sym_jsx_identifier,
    STATE(1063), 1,
      sym_nested_identifier,
    STATE(1092), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47903] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2840), 1,
      anon_sym_export,
    ACTIONS(2842), 1,
      anon_sym_class,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47923] = 4,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47939] = 3,
    ACTIONS(1477), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1479), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47953] = 6,
    ACTIONS(2844), 1,
      sym_identifier,
    ACTIONS(2846), 1,
      anon_sym_GT,
    ACTIONS(2848), 1,
      sym_jsx_identifier,
    STATE(1478), 1,
      sym_nested_identifier,
    STATE(1697), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47973] = 6,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2777), 1,
      anon_sym_extends,
    ACTIONS(2850), 1,
      sym_identifier,
    STATE(699), 1,
      sym_class_body,
    STATE(1474), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47993] = 6,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(2852), 1,
      sym_identifier,
    ACTIONS(2854), 1,
      anon_sym_LBRACK,
    ACTIONS(2856), 1,
      sym_private_property_identifier,
    STATE(532), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48013] = 6,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2858), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48033] = 6,
    ACTIONS(2860), 1,
      sym_identifier,
    ACTIONS(2862), 1,
      anon_sym_GT,
    ACTIONS(2864), 1,
      sym_jsx_identifier,
    STATE(1628), 1,
      sym_nested_identifier,
    STATE(1647), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48053] = 6,
    ACTIONS(2777), 1,
      anon_sym_extends,
    ACTIONS(2828), 1,
      anon_sym_LBRACE,
    ACTIONS(2866), 1,
      sym_identifier,
    STATE(566), 1,
      sym_class_body,
    STATE(1486), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48073] = 3,
    ACTIONS(2870), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2868), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [48087] = 6,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2777), 1,
      anon_sym_extends,
    ACTIONS(2872), 1,
      sym_identifier,
    STATE(699), 1,
      sym_class_body,
    STATE(1474), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48107] = 3,
    ACTIONS(2874), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1301), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48121] = 5,
    ACTIONS(865), 1,
      anon_sym_DQUOTE,
    ACTIONS(867), 1,
      anon_sym_SQUOTE,
    ACTIONS(2877), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1693), 2,
      sym__module_export_name,
      sym_string,
  [48139] = 3,
    ACTIONS(1372), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [48153] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1301), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [48165] = 3,
    ACTIONS(1372), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [48179] = 4,
    ACTIONS(2879), 1,
      anon_sym_EQ,
    STATE(1467), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2633), 2,
      anon_sym_in,
      anon_sym_of,
  [48194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2881), 1,
      anon_sym_SQUOTE,
    STATE(1274), 1,
      aux_sym_string_repeat2,
    ACTIONS(2883), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2885), 1,
      anon_sym_DQUOTE,
    STATE(1275), 1,
      aux_sym_string_repeat1,
    ACTIONS(2887), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2885), 1,
      anon_sym_SQUOTE,
    STATE(1274), 1,
      aux_sym_string_repeat2,
    ACTIONS(2883), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48245] = 4,
    ACTIONS(2889), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48260] = 5,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_extends,
    STATE(715), 1,
      sym_class_body,
    STATE(1630), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2895), 1,
      anon_sym_SQUOTE,
    STATE(1274), 1,
      aux_sym_string_repeat2,
    ACTIONS(2883), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48294] = 5,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(2897), 1,
      sym_identifier,
    ACTIONS(2899), 1,
      anon_sym_STAR,
    STATE(1491), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2895), 1,
      anon_sym_DQUOTE,
    STATE(1275), 1,
      aux_sym_string_repeat1,
    ACTIONS(2887), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48328] = 5,
    ACTIONS(2901), 1,
      anon_sym_COMMA,
    ACTIONS(2903), 1,
      anon_sym_RPAREN,
    ACTIONS(2905), 1,
      anon_sym_EQ,
    STATE(1297), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48345] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2907), 1,
      anon_sym_class,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48362] = 5,
    ACTIONS(2828), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_extends,
    STATE(536), 1,
      sym_class_body,
    STATE(1512), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48379] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1697), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48390] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1733), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48401] = 5,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2905), 1,
      anon_sym_EQ,
    ACTIONS(2909), 1,
      anon_sym_RBRACK,
    STATE(1308), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2911), 1,
      anon_sym_DQUOTE,
    STATE(1219), 1,
      aux_sym_string_repeat1,
    ACTIONS(2913), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2911), 1,
      anon_sym_SQUOTE,
    STATE(1220), 1,
      aux_sym_string_repeat2,
    ACTIONS(2915), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48452] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48463] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1695), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2917), 1,
      anon_sym_SQUOTE,
    STATE(1223), 1,
      aux_sym_string_repeat2,
    ACTIONS(2919), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2917), 1,
      anon_sym_DQUOTE,
    STATE(1225), 1,
      aux_sym_string_repeat1,
    ACTIONS(2921), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48508] = 4,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2923), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2925), 1,
      anon_sym_DQUOTE,
    STATE(1275), 1,
      aux_sym_string_repeat1,
    ACTIONS(2887), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2925), 1,
      anon_sym_SQUOTE,
    STATE(1274), 1,
      aux_sym_string_repeat2,
    ACTIONS(2883), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48557] = 5,
    ACTIONS(2893), 1,
      anon_sym_extends,
    ACTIONS(2927), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym_class_body,
    STATE(1506), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48574] = 5,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(2929), 1,
      sym_identifier,
    ACTIONS(2931), 1,
      anon_sym_STAR,
    STATE(1503), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48591] = 5,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(2933), 1,
      sym_optional_chain,
    STATE(547), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48608] = 5,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_extends,
    STATE(644), 1,
      sym_class_body,
    STATE(1613), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48625] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2935), 1,
      anon_sym_DQUOTE,
    STATE(1239), 1,
      aux_sym_string_repeat1,
    ACTIONS(2937), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48653] = 4,
    ACTIONS(2939), 1,
      anon_sym_COMMA,
    STATE(1247), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2942), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48668] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2944), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [48679] = 4,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(1267), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2623), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2946), 1,
      sym_html_character_reference,
    ACTIONS(2949), 1,
      anon_sym_SQUOTE,
    ACTIONS(2951), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1250), 1,
      aux_sym__jsx_string_repeat2,
  [48713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2954), 1,
      anon_sym_DQUOTE,
    STATE(1253), 1,
      aux_sym_string_repeat1,
    ACTIONS(2956), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2954), 1,
      anon_sym_SQUOTE,
    STATE(1218), 1,
      aux_sym_string_repeat2,
    ACTIONS(2958), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2881), 1,
      anon_sym_DQUOTE,
    STATE(1275), 1,
      aux_sym_string_repeat1,
    ACTIONS(2887), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48764] = 5,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(2960), 1,
      sym_identifier,
    ACTIONS(2962), 1,
      anon_sym_STAR,
    STATE(1503), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48781] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2802), 1,
      anon_sym_class,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48798] = 4,
    ACTIONS(2889), 1,
      anon_sym_COMMA,
    STATE(1287), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2964), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48813] = 4,
    ACTIONS(2966), 1,
      anon_sym_with,
    STATE(1555), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2968), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2970), 1,
      sym_html_character_reference,
    ACTIONS(2973), 1,
      anon_sym_DQUOTE,
    ACTIONS(2975), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1258), 1,
      aux_sym__jsx_string_repeat1,
  [48847] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2205), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2935), 1,
      anon_sym_SQUOTE,
    STATE(1240), 1,
      aux_sym_string_repeat2,
    ACTIONS(2978), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48877] = 5,
    ACTIONS(2893), 1,
      anon_sym_extends,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    STATE(341), 1,
      sym_class_body,
    STATE(1468), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48894] = 5,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(2982), 1,
      sym_identifier,
    ACTIONS(2984), 1,
      anon_sym_STAR,
    STATE(1612), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48911] = 5,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_extends,
    STATE(684), 1,
      sym_class_body,
    STATE(1395), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48928] = 5,
    ACTIONS(2893), 1,
      anon_sym_extends,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_class_body,
    STATE(1428), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48945] = 5,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(2986), 1,
      sym_identifier,
    ACTIONS(2988), 1,
      anon_sym_STAR,
    STATE(1612), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48962] = 5,
    ACTIONS(2893), 1,
      anon_sym_extends,
    ACTIONS(2927), 1,
      anon_sym_LBRACE,
    STATE(77), 1,
      sym_class_body,
    STATE(1419), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48979] = 4,
    ACTIONS(2990), 1,
      anon_sym_COMMA,
    STATE(1267), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48994] = 5,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_identifier,
    ACTIONS(2995), 1,
      anon_sym_STAR,
    STATE(1612), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49011] = 5,
    ACTIONS(1559), 1,
      anon_sym_LPAREN,
    ACTIONS(1563), 1,
      anon_sym_DOT,
    ACTIONS(2997), 1,
      sym_optional_chain,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49028] = 3,
    ACTIONS(2999), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1308), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [49041] = 5,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_extends,
    STATE(690), 1,
      sym_class_body,
    STATE(1548), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49058] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(3001), 1,
      anon_sym_class,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49075] = 4,
    ACTIONS(3003), 1,
      anon_sym_from,
    STATE(1618), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3005), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3007), 1,
      anon_sym_SQUOTE,
    STATE(1274), 1,
      aux_sym_string_repeat2,
    ACTIONS(3009), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [49107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3012), 1,
      anon_sym_DQUOTE,
    STATE(1275), 1,
      aux_sym_string_repeat1,
    ACTIONS(3014), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [49124] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(3017), 1,
      anon_sym_class,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3019), 1,
      sym_html_character_reference,
    ACTIONS(3021), 1,
      anon_sym_DQUOTE,
    ACTIONS(3023), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1285), 1,
      aux_sym__jsx_string_repeat1,
  [49160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_SQUOTE,
    ACTIONS(3025), 1,
      sym_html_character_reference,
    ACTIONS(3027), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1279), 1,
      aux_sym__jsx_string_repeat2,
  [49179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3029), 1,
      sym_html_character_reference,
    ACTIONS(3031), 1,
      anon_sym_SQUOTE,
    ACTIONS(3033), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1250), 1,
      aux_sym__jsx_string_repeat2,
  [49198] = 4,
    ACTIONS(3035), 1,
      anon_sym_COMMA,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1816), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [49213] = 4,
    ACTIONS(2485), 1,
      anon_sym_STAR,
    ACTIONS(2487), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1711), 2,
      sym_namespace_import,
      sym_named_imports,
  [49228] = 5,
    ACTIONS(2966), 1,
      anon_sym_with,
    ACTIONS(3038), 1,
      anon_sym_SEMI,
    ACTIONS(3040), 1,
      sym__automatic_semicolon,
    STATE(1432), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49245] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2842), 1,
      anon_sym_class,
    STATE(979), 1,
      aux_sym_export_statement_repeat1,
    STATE(992), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49262] = 5,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2905), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_RBRACK,
    STATE(1365), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3031), 1,
      anon_sym_DQUOTE,
    ACTIONS(3044), 1,
      sym_html_character_reference,
    ACTIONS(3046), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1258), 1,
      aux_sym__jsx_string_repeat1,
  [49298] = 5,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_STAR,
    STATE(1503), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49315] = 4,
    ACTIONS(2889), 1,
      anon_sym_COMMA,
    STATE(1247), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3052), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49330] = 4,
    ACTIONS(2889), 1,
      anon_sym_COMMA,
    STATE(1247), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49345] = 5,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3056), 1,
      sym_identifier,
    ACTIONS(3058), 1,
      anon_sym_STAR,
    STATE(1631), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49362] = 5,
    ACTIONS(2828), 1,
      anon_sym_LBRACE,
    ACTIONS(2893), 1,
      anon_sym_extends,
    STATE(549), 1,
      sym_class_body,
    STATE(1415), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49379] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3060), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49393] = 3,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
  [49405] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3062), 1,
      sym_identifier,
    STATE(1632), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49419] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3064), 1,
      sym_identifier,
    STATE(1500), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49433] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2785), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49443] = 3,
    ACTIONS(2820), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1330), 2,
      anon_sym_in,
      anon_sym_of,
  [49455] = 4,
    ACTIONS(707), 1,
      anon_sym_RPAREN,
    ACTIONS(3066), 1,
      anon_sym_COMMA,
    STATE(1391), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49469] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3068), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49483] = 4,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    ACTIONS(3072), 1,
      anon_sym_LPAREN,
    STATE(334), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49497] = 4,
    ACTIONS(967), 1,
      anon_sym_while,
    ACTIONS(3074), 1,
      anon_sym_else,
    STATE(419), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49511] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3076), 1,
      anon_sym_COLON,
    STATE(1591), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49525] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1816), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [49535] = 3,
    ACTIONS(2905), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3078), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [49547] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    STATE(1368), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49561] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49575] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3068), 1,
      anon_sym_RBRACE,
    STATE(1320), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49589] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(3080), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49603] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_RBRACK,
    STATE(1332), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49617] = 4,
    ACTIONS(3084), 1,
      anon_sym_COMMA,
    ACTIONS(3086), 1,
      anon_sym_RBRACE,
    STATE(1353), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3088), 1,
      sym__glimmer_template_content,
    ACTIONS(3091), 1,
      sym_glimmer_closing_tag,
    STATE(1310), 1,
      aux_sym_glimmer_template_repeat1,
  [49647] = 3,
    ACTIONS(3093), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3095), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49659] = 4,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(3097), 1,
      anon_sym_COMMA,
    STATE(1364), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49673] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3060), 1,
      anon_sym_RBRACE,
    STATE(1322), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49687] = 3,
    ACTIONS(1651), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49699] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      sym_identifier,
    STATE(1407), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49713] = 3,
    ACTIONS(2999), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1330), 2,
      anon_sym_in,
      anon_sym_of,
  [49725] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3101), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49735] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(3103), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49749] = 4,
    ACTIONS(3105), 1,
      anon_sym_COMMA,
    ACTIONS(3108), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49763] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3110), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49777] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3112), 1,
      sym_identifier,
    STATE(1407), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49791] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3114), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49805] = 3,
    ACTIONS(3116), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2633), 2,
      anon_sym_in,
      anon_sym_of,
  [49817] = 4,
    ACTIONS(3003), 1,
      anon_sym_from,
    ACTIONS(3118), 1,
      anon_sym_as,
    STATE(1636), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49831] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3042), 1,
      anon_sym_RBRACK,
    STATE(1332), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3120), 1,
      sym__glimmer_template_content,
    ACTIONS(3122), 1,
      sym_glimmer_closing_tag,
    STATE(1310), 1,
      aux_sym_glimmer_template_repeat1,
  [49861] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1804), 1,
      anon_sym_RPAREN,
    STATE(1370), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49875] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1804), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49889] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3124), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49903] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3126), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49917] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3128), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49927] = 4,
    ACTIONS(3078), 1,
      anon_sym_RBRACK,
    ACTIONS(3130), 1,
      anon_sym_COMMA,
    STATE(1332), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49941] = 4,
    ACTIONS(3133), 1,
      sym_identifier,
    STATE(955), 1,
      sym_decorator_member_expression,
    STATE(995), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49955] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
    STATE(1374), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49969] = 4,
    ACTIONS(3137), 1,
      anon_sym_COMMA,
    ACTIONS(3140), 1,
      anon_sym_RBRACE,
    STATE(1335), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49983] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3124), 1,
      anon_sym_RBRACE,
    STATE(1378), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49997] = 4,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(3142), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50011] = 4,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3146), 1,
      anon_sym_await,
    STATE(42), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50025] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3148), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50039] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3150), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [50049] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50063] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3042), 1,
      anon_sym_RBRACK,
    STATE(1365), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50077] = 4,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50091] = 4,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(3157), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50105] = 4,
    ACTIONS(3159), 1,
      anon_sym_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_await,
    STATE(41), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50119] = 4,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50133] = 3,
    ACTIONS(3165), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50145] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3169), 1,
      anon_sym_COLON,
    STATE(1591), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50159] = 3,
    ACTIONS(2905), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3171), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50171] = 4,
    ACTIONS(3173), 1,
      anon_sym_COMMA,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
    STATE(1312), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50185] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3177), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [50195] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50209] = 4,
    ACTIONS(2649), 1,
      anon_sym_RBRACE,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(1335), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50223] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    STATE(1318), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50237] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3181), 1,
      sym_identifier,
    STATE(1500), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50251] = 4,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    STATE(1340), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50265] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [50275] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50289] = 4,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(3185), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50303] = 4,
    ACTIONS(2741), 1,
      sym_identifier,
    ACTIONS(2743), 1,
      anon_sym_LBRACK,
    ACTIONS(2745), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50317] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3187), 1,
      sym_identifier,
    STATE(1407), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50331] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1852), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50345] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1852), 1,
      anon_sym_RPAREN,
    STATE(1358), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50359] = 4,
    ACTIONS(3189), 1,
      anon_sym_COMMA,
    ACTIONS(3192), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50373] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3194), 1,
      anon_sym_RBRACK,
    STATE(1332), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50387] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3196), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [50397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3198), 1,
      sym__glimmer_template_content,
    ACTIONS(3200), 1,
      sym_glimmer_closing_tag,
    STATE(1371), 1,
      aux_sym_glimmer_template_repeat1,
  [50413] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(3202), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50427] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3204), 1,
      sym_identifier,
    STATE(1500), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50441] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(3206), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3120), 1,
      sym__glimmer_template_content,
    ACTIONS(3208), 1,
      sym_glimmer_closing_tag,
    STATE(1310), 1,
      aux_sym_glimmer_template_repeat1,
  [50471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3210), 1,
      sym__glimmer_template_content,
    ACTIONS(3212), 1,
      sym_glimmer_closing_tag,
    STATE(1387), 1,
      aux_sym_glimmer_template_repeat1,
  [50487] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2909), 1,
      anon_sym_RBRACK,
    STATE(1332), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50501] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3214), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50515] = 4,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    ACTIONS(3216), 1,
      sym_identifier,
    STATE(1601), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50529] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50543] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3220), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50557] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3222), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50571] = 3,
    ACTIONS(3224), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3226), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50583] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3228), 1,
      anon_sym_RBRACE,
    STATE(1343), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50597] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3230), 1,
      anon_sym_RBRACE,
    STATE(1376), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50611] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50625] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3230), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50639] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1794), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3234), 1,
      sym__glimmer_template_content,
    ACTIONS(3236), 1,
      sym_glimmer_closing_tag,
    STATE(1326), 1,
      aux_sym_glimmer_template_repeat1,
  [50669] = 4,
    ACTIONS(2852), 1,
      sym_identifier,
    ACTIONS(2854), 1,
      anon_sym_LBRACK,
    ACTIONS(2856), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3120), 1,
      sym__glimmer_template_content,
    ACTIONS(3238), 1,
      sym_glimmer_closing_tag,
    STATE(1310), 1,
      aux_sym_glimmer_template_repeat1,
  [50699] = 3,
    ACTIONS(3240), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50711] = 4,
    ACTIONS(709), 1,
      anon_sym_COMMA,
    ACTIONS(1794), 1,
      anon_sym_RBRACK,
    STATE(1307), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50725] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2909), 1,
      anon_sym_RBRACK,
    STATE(1308), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50739] = 4,
    ACTIONS(3244), 1,
      anon_sym_COMMA,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    STATE(1391), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50753] = 4,
    ACTIONS(2901), 1,
      anon_sym_COMMA,
    ACTIONS(2903), 1,
      anon_sym_RPAREN,
    STATE(1297), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50767] = 3,
    ACTIONS(3249), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
  [50779] = 3,
    ACTIONS(2905), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3247), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50791] = 3,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    STATE(702), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50802] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1550), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50813] = 3,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50824] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(974), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50835] = 3,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
    STATE(1487), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50846] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50855] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1551), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50866] = 3,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50877] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50888] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1414), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50899] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3253), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50908] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3247), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50917] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50928] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3257), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [50937] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50946] = 3,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(66), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50957] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50968] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1509), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50979] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1507), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50990] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51001] = 3,
    ACTIONS(2828), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51012] = 3,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(65), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51023] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51034] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51043] = 3,
    ACTIONS(2927), 1,
      anon_sym_LBRACE,
    STATE(82), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51054] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3192), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51074] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3263), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51083] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1568), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51094] = 3,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(3185), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51105] = 3,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    STATE(351), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51116] = 3,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(3185), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51127] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51138] = 3,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51149] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [51158] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51178] = 3,
    ACTIONS(3269), 1,
      anon_sym_SEMI,
    ACTIONS(3271), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51189] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1633), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51200] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51211] = 3,
    ACTIONS(3273), 1,
      sym_identifier,
    ACTIONS(3275), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51222] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1638), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51233] = 3,
    ACTIONS(3003), 1,
      anon_sym_from,
    STATE(1621), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51244] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(950), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51255] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51266] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51275] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51286] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1480), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51297] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1475), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51308] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1472), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51319] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1637), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51330] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1635), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51341] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1459), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51352] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51363] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51374] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1449), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51385] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1434), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51396] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1627), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51407] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3171), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51416] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1607), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51427] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1604), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51438] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1590), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51449] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1430), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51460] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51471] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51482] = 3,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(3157), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51493] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1576), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51504] = 3,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(3157), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51515] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51526] = 3,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51537] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1619), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51548] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1425), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51559] = 3,
    ACTIONS(2787), 1,
      anon_sym_in,
    ACTIONS(2789), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51570] = 3,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    STATE(349), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51581] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1560), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51592] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1545), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51603] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1517), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51614] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51625] = 3,
    ACTIONS(3279), 1,
      anon_sym_COMMA,
    ACTIONS(3281), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51636] = 3,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    STATE(667), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51647] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51658] = 3,
    ACTIONS(3003), 1,
      anon_sym_from,
    STATE(1282), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51669] = 3,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51680] = 3,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(3142), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51691] = 3,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
    STATE(56), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51702] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51713] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3283), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51722] = 3,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
    STATE(51), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51733] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51742] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3140), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51751] = 3,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(3142), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51762] = 3,
    ACTIONS(2828), 1,
      anon_sym_LBRACE,
    STATE(556), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51773] = 3,
    ACTIONS(3285), 1,
      anon_sym_LBRACE,
    STATE(398), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51784] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51795] = 3,
    ACTIONS(3287), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51806] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3289), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51815] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51826] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3291), 2,
      anon_sym_in,
      anon_sym_of,
  [51835] = 3,
    ACTIONS(3293), 1,
      sym_identifier,
    ACTIONS(3295), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51846] = 3,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51857] = 3,
    ACTIONS(3287), 1,
      anon_sym_LPAREN,
    STATE(29), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51868] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3297), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51877] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3299), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51886] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51895] = 3,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(64), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51906] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(653), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51917] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1416), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51928] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1614), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51939] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(647), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51950] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1410), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51961] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1463), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51972] = 3,
    ACTIONS(2927), 1,
      anon_sym_LBRACE,
    STATE(68), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51983] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51994] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3301), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52003] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52014] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3303), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [52023] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52032] = 3,
    ACTIONS(2828), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52043] = 3,
    ACTIONS(2852), 1,
      sym_identifier,
    ACTIONS(2856), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52054] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52065] = 3,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      sym_jsx_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52076] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52087] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52098] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52109] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52120] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(950), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52131] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52142] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52153] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52162] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52171] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3078), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [52180] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1615), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52191] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52202] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(948), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52213] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52224] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52235] = 3,
    ACTIONS(3313), 1,
      anon_sym_LPAREN,
    STATE(345), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52246] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52257] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52268] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52279] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52290] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52301] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1610), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3315), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [52321] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1411), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52332] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1594), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52343] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52354] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(964), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52365] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1592), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52376] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(965), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52387] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(948), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52398] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(960), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52409] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52420] = 3,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    STATE(706), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52431] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(704), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52442] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52453] = 3,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(74), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52464] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(956), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52475] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52486] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52497] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52506] = 3,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    STATE(1431), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52517] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52528] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52539] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52550] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52561] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52572] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1569), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52583] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1561), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52594] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1559), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52605] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1557), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52616] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1554), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52627] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1553), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52638] = 3,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52649] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52669] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1549), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52680] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1417), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52691] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1547), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52702] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1420), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52713] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1393), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52722] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52733] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1546), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52744] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1544), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52755] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1542), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52766] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1541), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52777] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1536), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52788] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1535), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52799] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1534), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52810] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1533), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52821] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1532), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52832] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1530), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52843] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1528), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52854] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1527), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52865] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1441), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52876] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52887] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(956), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52898] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(696), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52909] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1522), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52920] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(629), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52931] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1521), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52942] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1520), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52953] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1519), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52964] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1518), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52975] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1516), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52986] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1514), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52997] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53008] = 3,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    STATE(745), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53019] = 3,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(3323), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53030] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53041] = 3,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53052] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3108), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53061] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53072] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1499), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53083] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3155), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53092] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(688), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53103] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1458), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53114] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(695), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53125] = 3,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    STATE(687), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53136] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(668), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53147] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53158] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1427), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53169] = 3,
    ACTIONS(3325), 1,
      sym_identifier,
    ACTIONS(3327), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53180] = 3,
    ACTIONS(3329), 1,
      anon_sym_SEMI,
    ACTIONS(3331), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53191] = 3,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    STATE(350), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53202] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1438), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53213] = 3,
    ACTIONS(3333), 1,
      anon_sym_SEMI,
    ACTIONS(3335), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53224] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1464), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53235] = 3,
    ACTIONS(2828), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53246] = 3,
    ACTIONS(2741), 1,
      sym_identifier,
    ACTIONS(2745), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53257] = 3,
    ACTIONS(3337), 1,
      sym_identifier,
    ACTIONS(3339), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53268] = 3,
    ACTIONS(2687), 1,
      anon_sym_LPAREN,
    STATE(1439), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53279] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53290] = 3,
    ACTIONS(2519), 1,
      anon_sym_DOT,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53301] = 3,
    ACTIONS(2513), 1,
      anon_sym_COLON,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53312] = 3,
    ACTIONS(2775), 1,
      anon_sym_LBRACE,
    STATE(658), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53323] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(572), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53334] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53345] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(960), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53356] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53365] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53376] = 3,
    ACTIONS(3341), 1,
      anon_sym_SEMI,
    ACTIONS(3343), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53387] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(964), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53398] = 3,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    STATE(965), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53409] = 2,
    ACTIONS(1812), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53417] = 2,
    ACTIONS(2820), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53425] = 2,
    ACTIONS(3345), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53433] = 2,
    ACTIONS(1814), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53441] = 2,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53449] = 2,
    ACTIONS(1808), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53457] = 2,
    ACTIONS(3347), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53465] = 2,
    ACTIONS(3349), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53473] = 2,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53481] = 2,
    ACTIONS(1685), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53489] = 2,
    ACTIONS(3351), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3353), 1,
      sym_regex_pattern,
  [53507] = 2,
    ACTIONS(3355), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3357), 1,
      sym_regex_pattern,
  [53525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3359), 1,
      anon_sym_SLASH2,
  [53535] = 2,
    ACTIONS(3361), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53543] = 2,
    ACTIONS(3363), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53551] = 2,
    ACTIONS(3365), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53559] = 2,
    ACTIONS(1800), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53567] = 2,
    ACTIONS(3367), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53575] = 2,
    ACTIONS(3323), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53583] = 2,
    ACTIONS(1790), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53591] = 2,
    ACTIONS(2343), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53599] = 2,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53607] = 2,
    ACTIONS(1810), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53615] = 2,
    ACTIONS(1822), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53623] = 2,
    ACTIONS(1792), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53631] = 2,
    ACTIONS(3369), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53639] = 2,
    ACTIONS(3086), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53647] = 2,
    ACTIONS(3371), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53655] = 2,
    ACTIONS(3373), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53663] = 2,
    ACTIONS(3375), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53671] = 2,
    ACTIONS(1864), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53679] = 2,
    ACTIONS(1802), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53687] = 2,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53695] = 2,
    ACTIONS(3377), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53703] = 2,
    ACTIONS(3379), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53711] = 2,
    ACTIONS(1834), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53719] = 2,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53727] = 2,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53735] = 2,
    ACTIONS(1824), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53743] = 2,
    ACTIONS(3381), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53751] = 2,
    ACTIONS(3383), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3385), 1,
      anon_sym_SLASH2,
  [53769] = 2,
    ACTIONS(1846), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53777] = 2,
    ACTIONS(3387), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53785] = 2,
    ACTIONS(1842), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53793] = 2,
    ACTIONS(3389), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53801] = 2,
    ACTIONS(3391), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53809] = 2,
    ACTIONS(1848), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53817] = 2,
    ACTIONS(3393), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53825] = 2,
    ACTIONS(1844), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53833] = 2,
    ACTIONS(3395), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53841] = 2,
    ACTIONS(3397), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53849] = 2,
    ACTIONS(3399), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53857] = 2,
    ACTIONS(1850), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53865] = 2,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53873] = 2,
    ACTIONS(3281), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53881] = 2,
    ACTIONS(3142), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53889] = 2,
    ACTIONS(3401), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53897] = 2,
    ACTIONS(3361), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53905] = 2,
    ACTIONS(3403), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53913] = 2,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53921] = 2,
    ACTIONS(3405), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53929] = 2,
    ACTIONS(3157), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_SLASH2,
  [53947] = 2,
    ACTIONS(3409), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53955] = 2,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53963] = 2,
    ACTIONS(3411), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53971] = 2,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53979] = 2,
    ACTIONS(3413), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53987] = 2,
    ACTIONS(3415), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53995] = 2,
    ACTIONS(3417), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54003] = 2,
    ACTIONS(3419), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54011] = 2,
    ACTIONS(3421), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54019] = 2,
    ACTIONS(3185), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54027] = 2,
    ACTIONS(3423), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54035] = 2,
    ACTIONS(3425), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54043] = 2,
    ACTIONS(1854), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54051] = 2,
    ACTIONS(3427), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54059] = 2,
    ACTIONS(1826), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54067] = 2,
    ACTIONS(3429), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54075] = 2,
    ACTIONS(3387), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54083] = 2,
    ACTIONS(1651), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54091] = 2,
    ACTIONS(1780), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54099] = 2,
    ACTIONS(1890), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3431), 1,
      sym_regex_pattern,
  [54117] = 2,
    ACTIONS(3433), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54125] = 2,
    ACTIONS(3435), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54133] = 2,
    ACTIONS(3437), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54141] = 2,
    ACTIONS(3439), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54149] = 2,
    ACTIONS(3441), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54157] = 2,
    ACTIONS(3443), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54165] = 2,
    ACTIONS(1828), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54173] = 2,
    ACTIONS(1818), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54181] = 2,
    ACTIONS(3445), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3447), 1,
      sym_regex_pattern,
  [54199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3449), 1,
      anon_sym_SLASH2,
  [54209] = 2,
    ACTIONS(3451), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54217] = 2,
    ACTIONS(1593), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54225] = 2,
    ACTIONS(3453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54233] = 2,
    ACTIONS(3455), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54241] = 2,
    ACTIONS(3457), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54249] = 2,
    ACTIONS(1836), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54257] = 2,
    ACTIONS(2999), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54265] = 2,
    ACTIONS(1806), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54273] = 2,
    ACTIONS(3459), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(330)] = 0,
  [SMALL_STATE(331)] = 89,
  [SMALL_STATE(332)] = 164,
  [SMALL_STATE(333)] = 255,
  [SMALL_STATE(334)] = 327,
  [SMALL_STATE(335)] = 397,
  [SMALL_STATE(336)] = 471,
  [SMALL_STATE(337)] = 543,
  [SMALL_STATE(338)] = 613,
  [SMALL_STATE(339)] = 685,
  [SMALL_STATE(340)] = 771,
  [SMALL_STATE(341)] = 857,
  [SMALL_STATE(342)] = 929,
  [SMALL_STATE(343)] = 999,
  [SMALL_STATE(344)] = 1069,
  [SMALL_STATE(345)] = 1159,
  [SMALL_STATE(346)] = 1231,
  [SMALL_STATE(347)] = 1301,
  [SMALL_STATE(348)] = 1373,
  [SMALL_STATE(349)] = 1445,
  [SMALL_STATE(350)] = 1517,
  [SMALL_STATE(351)] = 1589,
  [SMALL_STATE(352)] = 1661,
  [SMALL_STATE(353)] = 1731,
  [SMALL_STATE(354)] = 1801,
  [SMALL_STATE(355)] = 1873,
  [SMALL_STATE(356)] = 1959,
  [SMALL_STATE(357)] = 2029,
  [SMALL_STATE(358)] = 2098,
  [SMALL_STATE(359)] = 2167,
  [SMALL_STATE(360)] = 2236,
  [SMALL_STATE(361)] = 2305,
  [SMALL_STATE(362)] = 2392,
  [SMALL_STATE(363)] = 2479,
  [SMALL_STATE(364)] = 2548,
  [SMALL_STATE(365)] = 2617,
  [SMALL_STATE(366)] = 2686,
  [SMALL_STATE(367)] = 2755,
  [SMALL_STATE(368)] = 2824,
  [SMALL_STATE(369)] = 2893,
  [SMALL_STATE(370)] = 2962,
  [SMALL_STATE(371)] = 3031,
  [SMALL_STATE(372)] = 3100,
  [SMALL_STATE(373)] = 3169,
  [SMALL_STATE(374)] = 3238,
  [SMALL_STATE(375)] = 3307,
  [SMALL_STATE(376)] = 3396,
  [SMALL_STATE(377)] = 3465,
  [SMALL_STATE(378)] = 3534,
  [SMALL_STATE(379)] = 3603,
  [SMALL_STATE(380)] = 3672,
  [SMALL_STATE(381)] = 3741,
  [SMALL_STATE(382)] = 3810,
  [SMALL_STATE(383)] = 3879,
  [SMALL_STATE(384)] = 3948,
  [SMALL_STATE(385)] = 4017,
  [SMALL_STATE(386)] = 4086,
  [SMALL_STATE(387)] = 4155,
  [SMALL_STATE(388)] = 4224,
  [SMALL_STATE(389)] = 4293,
  [SMALL_STATE(390)] = 4362,
  [SMALL_STATE(391)] = 4431,
  [SMALL_STATE(392)] = 4500,
  [SMALL_STATE(393)] = 4569,
  [SMALL_STATE(394)] = 4638,
  [SMALL_STATE(395)] = 4707,
  [SMALL_STATE(396)] = 4792,
  [SMALL_STATE(397)] = 4861,
  [SMALL_STATE(398)] = 4930,
  [SMALL_STATE(399)] = 4999,
  [SMALL_STATE(400)] = 5068,
  [SMALL_STATE(401)] = 5137,
  [SMALL_STATE(402)] = 5206,
  [SMALL_STATE(403)] = 5291,
  [SMALL_STATE(404)] = 5360,
  [SMALL_STATE(405)] = 5429,
  [SMALL_STATE(406)] = 5498,
  [SMALL_STATE(407)] = 5567,
  [SMALL_STATE(408)] = 5636,
  [SMALL_STATE(409)] = 5705,
  [SMALL_STATE(410)] = 5774,
  [SMALL_STATE(411)] = 5843,
  [SMALL_STATE(412)] = 5912,
  [SMALL_STATE(413)] = 5981,
  [SMALL_STATE(414)] = 6050,
  [SMALL_STATE(415)] = 6119,
  [SMALL_STATE(416)] = 6188,
  [SMALL_STATE(417)] = 6257,
  [SMALL_STATE(418)] = 6326,
  [SMALL_STATE(419)] = 6395,
  [SMALL_STATE(420)] = 6464,
  [SMALL_STATE(421)] = 6533,
  [SMALL_STATE(422)] = 6602,
  [SMALL_STATE(423)] = 6671,
  [SMALL_STATE(424)] = 6740,
  [SMALL_STATE(425)] = 6809,
  [SMALL_STATE(426)] = 6878,
  [SMALL_STATE(427)] = 6947,
  [SMALL_STATE(428)] = 7035,
  [SMALL_STATE(429)] = 7118,
  [SMALL_STATE(430)] = 7200,
  [SMALL_STATE(431)] = 7266,
  [SMALL_STATE(432)] = 7348,
  [SMALL_STATE(433)] = 7414,
  [SMALL_STATE(434)] = 7480,
  [SMALL_STATE(435)] = 7562,
  [SMALL_STATE(436)] = 7628,
  [SMALL_STATE(437)] = 7698,
  [SMALL_STATE(438)] = 7764,
  [SMALL_STATE(439)] = 7830,
  [SMALL_STATE(440)] = 7896,
  [SMALL_STATE(441)] = 7967,
  [SMALL_STATE(442)] = 8038,
  [SMALL_STATE(443)] = 8109,
  [SMALL_STATE(444)] = 8180,
  [SMALL_STATE(445)] = 8263,
  [SMALL_STATE(446)] = 8327,
  [SMALL_STATE(447)] = 8391,
  [SMALL_STATE(448)] = 8455,
  [SMALL_STATE(449)] = 8519,
  [SMALL_STATE(450)] = 8583,
  [SMALL_STATE(451)] = 8647,
  [SMALL_STATE(452)] = 8715,
  [SMALL_STATE(453)] = 8779,
  [SMALL_STATE(454)] = 8843,
  [SMALL_STATE(455)] = 8907,
  [SMALL_STATE(456)] = 8976,
  [SMALL_STATE(457)] = 9039,
  [SMALL_STATE(458)] = 9108,
  [SMALL_STATE(459)] = 9179,
  [SMALL_STATE(460)] = 9242,
  [SMALL_STATE(461)] = 9313,
  [SMALL_STATE(462)] = 9382,
  [SMALL_STATE(463)] = 9453,
  [SMALL_STATE(464)] = 9524,
  [SMALL_STATE(465)] = 9595,
  [SMALL_STATE(466)] = 9662,
  [SMALL_STATE(467)] = 9725,
  [SMALL_STATE(468)] = 9794,
  [SMALL_STATE(469)] = 9857,
  [SMALL_STATE(470)] = 9928,
  [SMALL_STATE(471)] = 9991,
  [SMALL_STATE(472)] = 10054,
  [SMALL_STATE(473)] = 10123,
  [SMALL_STATE(474)] = 10192,
  [SMALL_STATE(475)] = 10263,
  [SMALL_STATE(476)] = 10326,
  [SMALL_STATE(477)] = 10397,
  [SMALL_STATE(478)] = 10468,
  [SMALL_STATE(479)] = 10537,
  [SMALL_STATE(480)] = 10608,
  [SMALL_STATE(481)] = 10677,
  [SMALL_STATE(482)] = 10747,
  [SMALL_STATE(483)] = 10819,
  [SMALL_STATE(484)] = 10885,
  [SMALL_STATE(485)] = 10953,
  [SMALL_STATE(486)] = 11021,
  [SMALL_STATE(487)] = 11089,
  [SMALL_STATE(488)] = 11155,
  [SMALL_STATE(489)] = 11225,
  [SMALL_STATE(490)] = 11297,
  [SMALL_STATE(491)] = 11366,
  [SMALL_STATE(492)] = 11437,
  [SMALL_STATE(493)] = 11504,
  [SMALL_STATE(494)] = 11571,
  [SMALL_STATE(495)] = 11642,
  [SMALL_STATE(496)] = 11709,
  [SMALL_STATE(497)] = 11775,
  [SMALL_STATE(498)] = 11845,
  [SMALL_STATE(499)] = 11911,
  [SMALL_STATE(500)] = 11979,
  [SMALL_STATE(501)] = 12045,
  [SMALL_STATE(502)] = 12115,
  [SMALL_STATE(503)] = 12181,
  [SMALL_STATE(504)] = 12244,
  [SMALL_STATE(505)] = 12311,
  [SMALL_STATE(506)] = 12367,
  [SMALL_STATE(507)] = 12433,
  [SMALL_STATE(508)] = 12493,
  [SMALL_STATE(509)] = 12546,
  [SMALL_STATE(510)] = 12599,
  [SMALL_STATE(511)] = 12660,
  [SMALL_STATE(512)] = 12715,
  [SMALL_STATE(513)] = 12768,
  [SMALL_STATE(514)] = 12831,
  [SMALL_STATE(515)] = 12894,
  [SMALL_STATE(516)] = 12955,
  [SMALL_STATE(517)] = 13005,
  [SMALL_STATE(518)] = 13055,
  [SMALL_STATE(519)] = 13105,
  [SMALL_STATE(520)] = 13155,
  [SMALL_STATE(521)] = 13205,
  [SMALL_STATE(522)] = 13255,
  [SMALL_STATE(523)] = 13305,
  [SMALL_STATE(524)] = 13359,
  [SMALL_STATE(525)] = 13409,
  [SMALL_STATE(526)] = 13459,
  [SMALL_STATE(527)] = 13509,
  [SMALL_STATE(528)] = 13559,
  [SMALL_STATE(529)] = 13609,
  [SMALL_STATE(530)] = 13659,
  [SMALL_STATE(531)] = 13709,
  [SMALL_STATE(532)] = 13759,
  [SMALL_STATE(533)] = 13809,
  [SMALL_STATE(534)] = 13859,
  [SMALL_STATE(535)] = 13909,
  [SMALL_STATE(536)] = 13959,
  [SMALL_STATE(537)] = 14009,
  [SMALL_STATE(538)] = 14059,
  [SMALL_STATE(539)] = 14109,
  [SMALL_STATE(540)] = 14159,
  [SMALL_STATE(541)] = 14209,
  [SMALL_STATE(542)] = 14259,
  [SMALL_STATE(543)] = 14309,
  [SMALL_STATE(544)] = 14359,
  [SMALL_STATE(545)] = 14409,
  [SMALL_STATE(546)] = 14459,
  [SMALL_STATE(547)] = 14509,
  [SMALL_STATE(548)] = 14559,
  [SMALL_STATE(549)] = 14609,
  [SMALL_STATE(550)] = 14659,
  [SMALL_STATE(551)] = 14709,
  [SMALL_STATE(552)] = 14759,
  [SMALL_STATE(553)] = 14809,
  [SMALL_STATE(554)] = 14861,
  [SMALL_STATE(555)] = 14911,
  [SMALL_STATE(556)] = 14961,
  [SMALL_STATE(557)] = 15011,
  [SMALL_STATE(558)] = 15061,
  [SMALL_STATE(559)] = 15111,
  [SMALL_STATE(560)] = 15161,
  [SMALL_STATE(561)] = 15211,
  [SMALL_STATE(562)] = 15261,
  [SMALL_STATE(563)] = 15315,
  [SMALL_STATE(564)] = 15365,
  [SMALL_STATE(565)] = 15415,
  [SMALL_STATE(566)] = 15465,
  [SMALL_STATE(567)] = 15515,
  [SMALL_STATE(568)] = 15565,
  [SMALL_STATE(569)] = 15615,
  [SMALL_STATE(570)] = 15665,
  [SMALL_STATE(571)] = 15715,
  [SMALL_STATE(572)] = 15769,
  [SMALL_STATE(573)] = 15819,
  [SMALL_STATE(574)] = 15869,
  [SMALL_STATE(575)] = 15919,
  [SMALL_STATE(576)] = 15969,
  [SMALL_STATE(577)] = 16019,
  [SMALL_STATE(578)] = 16069,
  [SMALL_STATE(579)] = 16118,
  [SMALL_STATE(580)] = 16181,
  [SMALL_STATE(581)] = 16274,
  [SMALL_STATE(582)] = 16367,
  [SMALL_STATE(583)] = 16460,
  [SMALL_STATE(584)] = 16553,
  [SMALL_STATE(585)] = 16646,
  [SMALL_STATE(586)] = 16697,
  [SMALL_STATE(587)] = 16790,
  [SMALL_STATE(588)] = 16883,
  [SMALL_STATE(589)] = 16976,
  [SMALL_STATE(590)] = 17027,
  [SMALL_STATE(591)] = 17120,
  [SMALL_STATE(592)] = 17213,
  [SMALL_STATE(593)] = 17264,
  [SMALL_STATE(594)] = 17353,
  [SMALL_STATE(595)] = 17446,
  [SMALL_STATE(596)] = 17519,
  [SMALL_STATE(597)] = 17570,
  [SMALL_STATE(598)] = 17619,
  [SMALL_STATE(599)] = 17670,
  [SMALL_STATE(600)] = 17733,
  [SMALL_STATE(601)] = 17782,
  [SMALL_STATE(602)] = 17833,
  [SMALL_STATE(603)] = 17910,
  [SMALL_STATE(604)] = 17959,
  [SMALL_STATE(605)] = 18016,
  [SMALL_STATE(606)] = 18079,
  [SMALL_STATE(607)] = 18146,
  [SMALL_STATE(608)] = 18239,
  [SMALL_STATE(609)] = 18324,
  [SMALL_STATE(610)] = 18411,
  [SMALL_STATE(611)] = 18480,
  [SMALL_STATE(612)] = 18561,
  [SMALL_STATE(613)] = 18644,
  [SMALL_STATE(614)] = 18729,
  [SMALL_STATE(615)] = 18779,
  [SMALL_STATE(616)] = 18827,
  [SMALL_STATE(617)] = 18879,
  [SMALL_STATE(618)] = 18937,
  [SMALL_STATE(619)] = 18997,
  [SMALL_STATE(620)] = 19057,
  [SMALL_STATE(621)] = 19149,
  [SMALL_STATE(622)] = 19197,
  [SMALL_STATE(623)] = 19247,
  [SMALL_STATE(624)] = 19305,
  [SMALL_STATE(625)] = 19359,
  [SMALL_STATE(626)] = 19411,
  [SMALL_STATE(627)] = 19461,
  [SMALL_STATE(628)] = 19511,
  [SMALL_STATE(629)] = 19562,
  [SMALL_STATE(630)] = 19613,
  [SMALL_STATE(631)] = 19684,
  [SMALL_STATE(632)] = 19731,
  [SMALL_STATE(633)] = 19778,
  [SMALL_STATE(634)] = 19825,
  [SMALL_STATE(635)] = 19872,
  [SMALL_STATE(636)] = 19963,
  [SMALL_STATE(637)] = 20054,
  [SMALL_STATE(638)] = 20145,
  [SMALL_STATE(639)] = 20192,
  [SMALL_STATE(640)] = 20239,
  [SMALL_STATE(641)] = 20286,
  [SMALL_STATE(642)] = 20377,
  [SMALL_STATE(643)] = 20424,
  [SMALL_STATE(644)] = 20515,
  [SMALL_STATE(645)] = 20562,
  [SMALL_STATE(646)] = 20613,
  [SMALL_STATE(647)] = 20704,
  [SMALL_STATE(648)] = 20751,
  [SMALL_STATE(649)] = 20798,
  [SMALL_STATE(650)] = 20889,
  [SMALL_STATE(651)] = 20936,
  [SMALL_STATE(652)] = 21027,
  [SMALL_STATE(653)] = 21074,
  [SMALL_STATE(654)] = 21121,
  [SMALL_STATE(655)] = 21212,
  [SMALL_STATE(656)] = 21259,
  [SMALL_STATE(657)] = 21306,
  [SMALL_STATE(658)] = 21353,
  [SMALL_STATE(659)] = 21404,
  [SMALL_STATE(660)] = 21495,
  [SMALL_STATE(661)] = 21586,
  [SMALL_STATE(662)] = 21633,
  [SMALL_STATE(663)] = 21680,
  [SMALL_STATE(664)] = 21727,
  [SMALL_STATE(665)] = 21810,
  [SMALL_STATE(666)] = 21857,
  [SMALL_STATE(667)] = 21904,
  [SMALL_STATE(668)] = 21951,
  [SMALL_STATE(669)] = 22002,
  [SMALL_STATE(670)] = 22093,
  [SMALL_STATE(671)] = 22140,
  [SMALL_STATE(672)] = 22231,
  [SMALL_STATE(673)] = 22282,
  [SMALL_STATE(674)] = 22329,
  [SMALL_STATE(675)] = 22380,
  [SMALL_STATE(676)] = 22431,
  [SMALL_STATE(677)] = 22522,
  [SMALL_STATE(678)] = 22569,
  [SMALL_STATE(679)] = 22660,
  [SMALL_STATE(680)] = 22707,
  [SMALL_STATE(681)] = 22754,
  [SMALL_STATE(682)] = 22803,
  [SMALL_STATE(683)] = 22850,
  [SMALL_STATE(684)] = 22897,
  [SMALL_STATE(685)] = 22948,
  [SMALL_STATE(686)] = 22995,
  [SMALL_STATE(687)] = 23042,
  [SMALL_STATE(688)] = 23089,
  [SMALL_STATE(689)] = 23136,
  [SMALL_STATE(690)] = 23183,
  [SMALL_STATE(691)] = 23230,
  [SMALL_STATE(692)] = 23321,
  [SMALL_STATE(693)] = 23372,
  [SMALL_STATE(694)] = 23457,
  [SMALL_STATE(695)] = 23524,
  [SMALL_STATE(696)] = 23571,
  [SMALL_STATE(697)] = 23622,
  [SMALL_STATE(698)] = 23713,
  [SMALL_STATE(699)] = 23760,
  [SMALL_STATE(700)] = 23807,
  [SMALL_STATE(701)] = 23886,
  [SMALL_STATE(702)] = 23933,
  [SMALL_STATE(703)] = 23984,
  [SMALL_STATE(704)] = 24031,
  [SMALL_STATE(705)] = 24078,
  [SMALL_STATE(706)] = 24125,
  [SMALL_STATE(707)] = 24172,
  [SMALL_STATE(708)] = 24221,
  [SMALL_STATE(709)] = 24292,
  [SMALL_STATE(710)] = 24373,
  [SMALL_STATE(711)] = 24434,
  [SMALL_STATE(712)] = 24517,
  [SMALL_STATE(713)] = 24600,
  [SMALL_STATE(714)] = 24685,
  [SMALL_STATE(715)] = 24752,
  [SMALL_STATE(716)] = 24803,
  [SMALL_STATE(717)] = 24852,
  [SMALL_STATE(718)] = 24943,
  [SMALL_STATE(719)] = 25022,
  [SMALL_STATE(720)] = 25103,
  [SMALL_STATE(721)] = 25154,
  [SMALL_STATE(722)] = 25237,
  [SMALL_STATE(723)] = 25302,
  [SMALL_STATE(724)] = 25363,
  [SMALL_STATE(725)] = 25410,
  [SMALL_STATE(726)] = 25485,
  [SMALL_STATE(727)] = 25532,
  [SMALL_STATE(728)] = 25619,
  [SMALL_STATE(729)] = 25710,
  [SMALL_STATE(730)] = 25801,
  [SMALL_STATE(731)] = 25892,
  [SMALL_STATE(732)] = 25983,
  [SMALL_STATE(733)] = 26030,
  [SMALL_STATE(734)] = 26121,
  [SMALL_STATE(735)] = 26168,
  [SMALL_STATE(736)] = 26233,
  [SMALL_STATE(737)] = 26294,
  [SMALL_STATE(738)] = 26385,
  [SMALL_STATE(739)] = 26446,
  [SMALL_STATE(740)] = 26493,
  [SMALL_STATE(741)] = 26568,
  [SMALL_STATE(742)] = 26617,
  [SMALL_STATE(743)] = 26664,
  [SMALL_STATE(744)] = 26751,
  [SMALL_STATE(745)] = 26798,
  [SMALL_STATE(746)] = 26845,
  [SMALL_STATE(747)] = 26897,
  [SMALL_STATE(748)] = 26947,
  [SMALL_STATE(749)] = 26999,
  [SMALL_STATE(750)] = 27051,
  [SMALL_STATE(751)] = 27103,
  [SMALL_STATE(752)] = 27197,
  [SMALL_STATE(753)] = 27291,
  [SMALL_STATE(754)] = 27385,
  [SMALL_STATE(755)] = 27479,
  [SMALL_STATE(756)] = 27529,
  [SMALL_STATE(757)] = 27619,
  [SMALL_STATE(758)] = 27669,
  [SMALL_STATE(759)] = 27763,
  [SMALL_STATE(760)] = 27855,
  [SMALL_STATE(761)] = 27945,
  [SMALL_STATE(762)] = 28039,
  [SMALL_STATE(763)] = 28132,
  [SMALL_STATE(764)] = 28221,
  [SMALL_STATE(765)] = 28314,
  [SMALL_STATE(766)] = 28407,
  [SMALL_STATE(767)] = 28500,
  [SMALL_STATE(768)] = 28593,
  [SMALL_STATE(769)] = 28686,
  [SMALL_STATE(770)] = 28779,
  [SMALL_STATE(771)] = 28872,
  [SMALL_STATE(772)] = 28965,
  [SMALL_STATE(773)] = 29016,
  [SMALL_STATE(774)] = 29109,
  [SMALL_STATE(775)] = 29202,
  [SMALL_STATE(776)] = 29253,
  [SMALL_STATE(777)] = 29342,
  [SMALL_STATE(778)] = 29435,
  [SMALL_STATE(779)] = 29528,
  [SMALL_STATE(780)] = 29621,
  [SMALL_STATE(781)] = 29710,
  [SMALL_STATE(782)] = 29803,
  [SMALL_STATE(783)] = 29896,
  [SMALL_STATE(784)] = 29947,
  [SMALL_STATE(785)] = 30040,
  [SMALL_STATE(786)] = 30133,
  [SMALL_STATE(787)] = 30226,
  [SMALL_STATE(788)] = 30315,
  [SMALL_STATE(789)] = 30404,
  [SMALL_STATE(790)] = 30497,
  [SMALL_STATE(791)] = 30590,
  [SMALL_STATE(792)] = 30683,
  [SMALL_STATE(793)] = 30772,
  [SMALL_STATE(794)] = 30865,
  [SMALL_STATE(795)] = 30958,
  [SMALL_STATE(796)] = 31051,
  [SMALL_STATE(797)] = 31144,
  [SMALL_STATE(798)] = 31237,
  [SMALL_STATE(799)] = 31330,
  [SMALL_STATE(800)] = 31419,
  [SMALL_STATE(801)] = 31508,
  [SMALL_STATE(802)] = 31597,
  [SMALL_STATE(803)] = 31682,
  [SMALL_STATE(804)] = 31775,
  [SMALL_STATE(805)] = 31848,
  [SMALL_STATE(806)] = 31907,
  [SMALL_STATE(807)] = 32000,
  [SMALL_STATE(808)] = 32089,
  [SMALL_STATE(809)] = 32178,
  [SMALL_STATE(810)] = 32271,
  [SMALL_STATE(811)] = 32360,
  [SMALL_STATE(812)] = 32453,
  [SMALL_STATE(813)] = 32546,
  [SMALL_STATE(814)] = 32635,
  [SMALL_STATE(815)] = 32724,
  [SMALL_STATE(816)] = 32817,
  [SMALL_STATE(817)] = 32906,
  [SMALL_STATE(818)] = 32969,
  [SMALL_STATE(819)] = 33038,
  [SMALL_STATE(820)] = 33097,
  [SMALL_STATE(821)] = 33178,
  [SMALL_STATE(822)] = 33271,
  [SMALL_STATE(823)] = 33354,
  [SMALL_STATE(824)] = 33419,
  [SMALL_STATE(825)] = 33512,
  [SMALL_STATE(826)] = 33589,
  [SMALL_STATE(827)] = 33670,
  [SMALL_STATE(828)] = 33749,
  [SMALL_STATE(829)] = 33842,
  [SMALL_STATE(830)] = 33935,
  [SMALL_STATE(831)] = 33986,
  [SMALL_STATE(832)] = 34074,
  [SMALL_STATE(833)] = 34120,
  [SMALL_STATE(834)] = 34208,
  [SMALL_STATE(835)] = 34296,
  [SMALL_STATE(836)] = 34384,
  [SMALL_STATE(837)] = 34472,
  [SMALL_STATE(838)] = 34558,
  [SMALL_STATE(839)] = 34646,
  [SMALL_STATE(840)] = 34692,
  [SMALL_STATE(841)] = 34780,
  [SMALL_STATE(842)] = 34868,
  [SMALL_STATE(843)] = 34954,
  [SMALL_STATE(844)] = 35040,
  [SMALL_STATE(845)] = 35120,
  [SMALL_STATE(846)] = 35178,
  [SMALL_STATE(847)] = 35240,
  [SMALL_STATE(848)] = 35326,
  [SMALL_STATE(849)] = 35414,
  [SMALL_STATE(850)] = 35502,
  [SMALL_STATE(851)] = 35566,
  [SMALL_STATE(852)] = 35634,
  [SMALL_STATE(853)] = 35714,
  [SMALL_STATE(854)] = 35772,
  [SMALL_STATE(855)] = 35860,
  [SMALL_STATE(856)] = 35946,
  [SMALL_STATE(857)] = 36034,
  [SMALL_STATE(858)] = 36112,
  [SMALL_STATE(859)] = 36194,
  [SMALL_STATE(860)] = 36280,
  [SMALL_STATE(861)] = 36370,
  [SMALL_STATE(862)] = 36458,
  [SMALL_STATE(863)] = 36508,
  [SMALL_STATE(864)] = 36596,
  [SMALL_STATE(865)] = 36684,
  [SMALL_STATE(866)] = 36756,
  [SMALL_STATE(867)] = 36832,
  [SMALL_STATE(868)] = 36920,
  [SMALL_STATE(869)] = 37004,
  [SMALL_STATE(870)] = 37091,
  [SMALL_STATE(871)] = 37178,
  [SMALL_STATE(872)] = 37265,
  [SMALL_STATE(873)] = 37352,
  [SMALL_STATE(874)] = 37441,
  [SMALL_STATE(875)] = 37528,
  [SMALL_STATE(876)] = 37615,
  [SMALL_STATE(877)] = 37702,
  [SMALL_STATE(878)] = 37789,
  [SMALL_STATE(879)] = 37873,
  [SMALL_STATE(880)] = 37951,
  [SMALL_STATE(881)] = 38035,
  [SMALL_STATE(882)] = 38112,
  [SMALL_STATE(883)] = 38189,
  [SMALL_STATE(884)] = 38266,
  [SMALL_STATE(885)] = 38343,
  [SMALL_STATE(886)] = 38420,
  [SMALL_STATE(887)] = 38497,
  [SMALL_STATE(888)] = 38574,
  [SMALL_STATE(889)] = 38651,
  [SMALL_STATE(890)] = 38728,
  [SMALL_STATE(891)] = 38798,
  [SMALL_STATE(892)] = 38863,
  [SMALL_STATE(893)] = 38920,
  [SMALL_STATE(894)] = 38977,
  [SMALL_STATE(895)] = 39029,
  [SMALL_STATE(896)] = 39087,
  [SMALL_STATE(897)] = 39145,
  [SMALL_STATE(898)] = 39203,
  [SMALL_STATE(899)] = 39261,
  [SMALL_STATE(900)] = 39317,
  [SMALL_STATE(901)] = 39375,
  [SMALL_STATE(902)] = 39431,
  [SMALL_STATE(903)] = 39489,
  [SMALL_STATE(904)] = 39545,
  [SMALL_STATE(905)] = 39601,
  [SMALL_STATE(906)] = 39657,
  [SMALL_STATE(907)] = 39713,
  [SMALL_STATE(908)] = 39764,
  [SMALL_STATE(909)] = 39815,
  [SMALL_STATE(910)] = 39866,
  [SMALL_STATE(911)] = 39917,
  [SMALL_STATE(912)] = 39968,
  [SMALL_STATE(913)] = 40019,
  [SMALL_STATE(914)] = 40072,
  [SMALL_STATE(915)] = 40122,
  [SMALL_STATE(916)] = 40182,
  [SMALL_STATE(917)] = 40232,
  [SMALL_STATE(918)] = 40280,
  [SMALL_STATE(919)] = 40332,
  [SMALL_STATE(920)] = 40375,
  [SMALL_STATE(921)] = 40430,
  [SMALL_STATE(922)] = 40475,
  [SMALL_STATE(923)] = 40522,
  [SMALL_STATE(924)] = 40567,
  [SMALL_STATE(925)] = 40622,
  [SMALL_STATE(926)] = 40669,
  [SMALL_STATE(927)] = 40714,
  [SMALL_STATE(928)] = 40757,
  [SMALL_STATE(929)] = 40802,
  [SMALL_STATE(930)] = 40845,
  [SMALL_STATE(931)] = 40885,
  [SMALL_STATE(932)] = 40923,
  [SMALL_STATE(933)] = 40951,
  [SMALL_STATE(934)] = 40979,
  [SMALL_STATE(935)] = 41007,
  [SMALL_STATE(936)] = 41035,
  [SMALL_STATE(937)] = 41063,
  [SMALL_STATE(938)] = 41091,
  [SMALL_STATE(939)] = 41119,
  [SMALL_STATE(940)] = 41147,
  [SMALL_STATE(941)] = 41175,
  [SMALL_STATE(942)] = 41203,
  [SMALL_STATE(943)] = 41231,
  [SMALL_STATE(944)] = 41259,
  [SMALL_STATE(945)] = 41287,
  [SMALL_STATE(946)] = 41315,
  [SMALL_STATE(947)] = 41343,
  [SMALL_STATE(948)] = 41381,
  [SMALL_STATE(949)] = 41409,
  [SMALL_STATE(950)] = 41437,
  [SMALL_STATE(951)] = 41465,
  [SMALL_STATE(952)] = 41493,
  [SMALL_STATE(953)] = 41521,
  [SMALL_STATE(954)] = 41551,
  [SMALL_STATE(955)] = 41581,
  [SMALL_STATE(956)] = 41615,
  [SMALL_STATE(957)] = 41643,
  [SMALL_STATE(958)] = 41681,
  [SMALL_STATE(959)] = 41709,
  [SMALL_STATE(960)] = 41737,
  [SMALL_STATE(961)] = 41765,
  [SMALL_STATE(962)] = 41803,
  [SMALL_STATE(963)] = 41831,
  [SMALL_STATE(964)] = 41859,
  [SMALL_STATE(965)] = 41887,
  [SMALL_STATE(966)] = 41915,
  [SMALL_STATE(967)] = 41953,
  [SMALL_STATE(968)] = 41991,
  [SMALL_STATE(969)] = 42018,
  [SMALL_STATE(970)] = 42045,
  [SMALL_STATE(971)] = 42072,
  [SMALL_STATE(972)] = 42099,
  [SMALL_STATE(973)] = 42126,
  [SMALL_STATE(974)] = 42153,
  [SMALL_STATE(975)] = 42180,
  [SMALL_STATE(976)] = 42209,
  [SMALL_STATE(977)] = 42236,
  [SMALL_STATE(978)] = 42263,
  [SMALL_STATE(979)] = 42290,
  [SMALL_STATE(980)] = 42323,
  [SMALL_STATE(981)] = 42363,
  [SMALL_STATE(982)] = 42405,
  [SMALL_STATE(983)] = 42447,
  [SMALL_STATE(984)] = 42485,
  [SMALL_STATE(985)] = 42525,
  [SMALL_STATE(986)] = 42567,
  [SMALL_STATE(987)] = 42611,
  [SMALL_STATE(988)] = 42657,
  [SMALL_STATE(989)] = 42699,
  [SMALL_STATE(990)] = 42734,
  [SMALL_STATE(991)] = 42769,
  [SMALL_STATE(992)] = 42794,
  [SMALL_STATE(993)] = 42819,
  [SMALL_STATE(994)] = 42844,
  [SMALL_STATE(995)] = 42879,
  [SMALL_STATE(996)] = 42904,
  [SMALL_STATE(997)] = 42929,
  [SMALL_STATE(998)] = 42964,
  [SMALL_STATE(999)] = 43003,
  [SMALL_STATE(1000)] = 43038,
  [SMALL_STATE(1001)] = 43073,
  [SMALL_STATE(1002)] = 43098,
  [SMALL_STATE(1003)] = 43133,
  [SMALL_STATE(1004)] = 43168,
  [SMALL_STATE(1005)] = 43203,
  [SMALL_STATE(1006)] = 43244,
  [SMALL_STATE(1007)] = 43279,
  [SMALL_STATE(1008)] = 43314,
  [SMALL_STATE(1009)] = 43355,
  [SMALL_STATE(1010)] = 43390,
  [SMALL_STATE(1011)] = 43425,
  [SMALL_STATE(1012)] = 43460,
  [SMALL_STATE(1013)] = 43495,
  [SMALL_STATE(1014)] = 43530,
  [SMALL_STATE(1015)] = 43565,
  [SMALL_STATE(1016)] = 43600,
  [SMALL_STATE(1017)] = 43635,
  [SMALL_STATE(1018)] = 43670,
  [SMALL_STATE(1019)] = 43705,
  [SMALL_STATE(1020)] = 43748,
  [SMALL_STATE(1021)] = 43783,
  [SMALL_STATE(1022)] = 43822,
  [SMALL_STATE(1023)] = 43865,
  [SMALL_STATE(1024)] = 43900,
  [SMALL_STATE(1025)] = 43935,
  [SMALL_STATE(1026)] = 43967,
  [SMALL_STATE(1027)] = 43999,
  [SMALL_STATE(1028)] = 44021,
  [SMALL_STATE(1029)] = 44043,
  [SMALL_STATE(1030)] = 44075,
  [SMALL_STATE(1031)] = 44107,
  [SMALL_STATE(1032)] = 44129,
  [SMALL_STATE(1033)] = 44151,
  [SMALL_STATE(1034)] = 44183,
  [SMALL_STATE(1035)] = 44205,
  [SMALL_STATE(1036)] = 44237,
  [SMALL_STATE(1037)] = 44269,
  [SMALL_STATE(1038)] = 44301,
  [SMALL_STATE(1039)] = 44333,
  [SMALL_STATE(1040)] = 44365,
  [SMALL_STATE(1041)] = 44397,
  [SMALL_STATE(1042)] = 44429,
  [SMALL_STATE(1043)] = 44461,
  [SMALL_STATE(1044)] = 44493,
  [SMALL_STATE(1045)] = 44525,
  [SMALL_STATE(1046)] = 44557,
  [SMALL_STATE(1047)] = 44589,
  [SMALL_STATE(1048)] = 44621,
  [SMALL_STATE(1049)] = 44658,
  [SMALL_STATE(1050)] = 44688,
  [SMALL_STATE(1051)] = 44718,
  [SMALL_STATE(1052)] = 44748,
  [SMALL_STATE(1053)] = 44778,
  [SMALL_STATE(1054)] = 44814,
  [SMALL_STATE(1055)] = 44844,
  [SMALL_STATE(1056)] = 44874,
  [SMALL_STATE(1057)] = 44910,
  [SMALL_STATE(1058)] = 44940,
  [SMALL_STATE(1059)] = 44976,
  [SMALL_STATE(1060)] = 45006,
  [SMALL_STATE(1061)] = 45042,
  [SMALL_STATE(1062)] = 45075,
  [SMALL_STATE(1063)] = 45108,
  [SMALL_STATE(1064)] = 45141,
  [SMALL_STATE(1065)] = 45174,
  [SMALL_STATE(1066)] = 45201,
  [SMALL_STATE(1067)] = 45234,
  [SMALL_STATE(1068)] = 45267,
  [SMALL_STATE(1069)] = 45300,
  [SMALL_STATE(1070)] = 45333,
  [SMALL_STATE(1071)] = 45361,
  [SMALL_STATE(1072)] = 45391,
  [SMALL_STATE(1073)] = 45421,
  [SMALL_STATE(1074)] = 45451,
  [SMALL_STATE(1075)] = 45481,
  [SMALL_STATE(1076)] = 45511,
  [SMALL_STATE(1077)] = 45537,
  [SMALL_STATE(1078)] = 45567,
  [SMALL_STATE(1079)] = 45597,
  [SMALL_STATE(1080)] = 45627,
  [SMALL_STATE(1081)] = 45657,
  [SMALL_STATE(1082)] = 45687,
  [SMALL_STATE(1083)] = 45717,
  [SMALL_STATE(1084)] = 45747,
  [SMALL_STATE(1085)] = 45777,
  [SMALL_STATE(1086)] = 45807,
  [SMALL_STATE(1087)] = 45837,
  [SMALL_STATE(1088)] = 45867,
  [SMALL_STATE(1089)] = 45897,
  [SMALL_STATE(1090)] = 45927,
  [SMALL_STATE(1091)] = 45957,
  [SMALL_STATE(1092)] = 45983,
  [SMALL_STATE(1093)] = 46013,
  [SMALL_STATE(1094)] = 46040,
  [SMALL_STATE(1095)] = 46067,
  [SMALL_STATE(1096)] = 46089,
  [SMALL_STATE(1097)] = 46103,
  [SMALL_STATE(1098)] = 46127,
  [SMALL_STATE(1099)] = 46141,
  [SMALL_STATE(1100)] = 46159,
  [SMALL_STATE(1101)] = 46183,
  [SMALL_STATE(1102)] = 46207,
  [SMALL_STATE(1103)] = 46229,
  [SMALL_STATE(1104)] = 46251,
  [SMALL_STATE(1105)] = 46275,
  [SMALL_STATE(1106)] = 46295,
  [SMALL_STATE(1107)] = 46313,
  [SMALL_STATE(1108)] = 46335,
  [SMALL_STATE(1109)] = 46359,
  [SMALL_STATE(1110)] = 46383,
  [SMALL_STATE(1111)] = 46407,
  [SMALL_STATE(1112)] = 46421,
  [SMALL_STATE(1113)] = 46445,
  [SMALL_STATE(1114)] = 46467,
  [SMALL_STATE(1115)] = 46491,
  [SMALL_STATE(1116)] = 46513,
  [SMALL_STATE(1117)] = 46537,
  [SMALL_STATE(1118)] = 46551,
  [SMALL_STATE(1119)] = 46565,
  [SMALL_STATE(1120)] = 46585,
  [SMALL_STATE(1121)] = 46604,
  [SMALL_STATE(1122)] = 46617,
  [SMALL_STATE(1123)] = 46636,
  [SMALL_STATE(1124)] = 46655,
  [SMALL_STATE(1125)] = 46676,
  [SMALL_STATE(1126)] = 46695,
  [SMALL_STATE(1127)] = 46716,
  [SMALL_STATE(1128)] = 46729,
  [SMALL_STATE(1129)] = 46742,
  [SMALL_STATE(1130)] = 46755,
  [SMALL_STATE(1131)] = 46768,
  [SMALL_STATE(1132)] = 46787,
  [SMALL_STATE(1133)] = 46808,
  [SMALL_STATE(1134)] = 46825,
  [SMALL_STATE(1135)] = 46846,
  [SMALL_STATE(1136)] = 46865,
  [SMALL_STATE(1137)] = 46884,
  [SMALL_STATE(1138)] = 46903,
  [SMALL_STATE(1139)] = 46916,
  [SMALL_STATE(1140)] = 46931,
  [SMALL_STATE(1141)] = 46944,
  [SMALL_STATE(1142)] = 46957,
  [SMALL_STATE(1143)] = 46976,
  [SMALL_STATE(1144)] = 46995,
  [SMALL_STATE(1145)] = 47016,
  [SMALL_STATE(1146)] = 47031,
  [SMALL_STATE(1147)] = 47050,
  [SMALL_STATE(1148)] = 47063,
  [SMALL_STATE(1149)] = 47084,
  [SMALL_STATE(1150)] = 47097,
  [SMALL_STATE(1151)] = 47111,
  [SMALL_STATE(1152)] = 47125,
  [SMALL_STATE(1153)] = 47139,
  [SMALL_STATE(1154)] = 47153,
  [SMALL_STATE(1155)] = 47167,
  [SMALL_STATE(1156)] = 47181,
  [SMALL_STATE(1157)] = 47195,
  [SMALL_STATE(1158)] = 47215,
  [SMALL_STATE(1159)] = 47229,
  [SMALL_STATE(1160)] = 47241,
  [SMALL_STATE(1161)] = 47255,
  [SMALL_STATE(1162)] = 47267,
  [SMALL_STATE(1163)] = 47281,
  [SMALL_STATE(1164)] = 47295,
  [SMALL_STATE(1165)] = 47309,
  [SMALL_STATE(1166)] = 47323,
  [SMALL_STATE(1167)] = 47343,
  [SMALL_STATE(1168)] = 47363,
  [SMALL_STATE(1169)] = 47377,
  [SMALL_STATE(1170)] = 47391,
  [SMALL_STATE(1171)] = 47409,
  [SMALL_STATE(1172)] = 47429,
  [SMALL_STATE(1173)] = 47449,
  [SMALL_STATE(1174)] = 47463,
  [SMALL_STATE(1175)] = 47481,
  [SMALL_STATE(1176)] = 47501,
  [SMALL_STATE(1177)] = 47515,
  [SMALL_STATE(1178)] = 47531,
  [SMALL_STATE(1179)] = 47545,
  [SMALL_STATE(1180)] = 47565,
  [SMALL_STATE(1181)] = 47585,
  [SMALL_STATE(1182)] = 47599,
  [SMALL_STATE(1183)] = 47613,
  [SMALL_STATE(1184)] = 47627,
  [SMALL_STATE(1185)] = 47641,
  [SMALL_STATE(1186)] = 47655,
  [SMALL_STATE(1187)] = 47669,
  [SMALL_STATE(1188)] = 47689,
  [SMALL_STATE(1189)] = 47709,
  [SMALL_STATE(1190)] = 47723,
  [SMALL_STATE(1191)] = 47737,
  [SMALL_STATE(1192)] = 47751,
  [SMALL_STATE(1193)] = 47771,
  [SMALL_STATE(1194)] = 47785,
  [SMALL_STATE(1195)] = 47799,
  [SMALL_STATE(1196)] = 47813,
  [SMALL_STATE(1197)] = 47833,
  [SMALL_STATE(1198)] = 47849,
  [SMALL_STATE(1199)] = 47863,
  [SMALL_STATE(1200)] = 47883,
  [SMALL_STATE(1201)] = 47903,
  [SMALL_STATE(1202)] = 47923,
  [SMALL_STATE(1203)] = 47939,
  [SMALL_STATE(1204)] = 47953,
  [SMALL_STATE(1205)] = 47973,
  [SMALL_STATE(1206)] = 47993,
  [SMALL_STATE(1207)] = 48013,
  [SMALL_STATE(1208)] = 48033,
  [SMALL_STATE(1209)] = 48053,
  [SMALL_STATE(1210)] = 48073,
  [SMALL_STATE(1211)] = 48087,
  [SMALL_STATE(1212)] = 48107,
  [SMALL_STATE(1213)] = 48121,
  [SMALL_STATE(1214)] = 48139,
  [SMALL_STATE(1215)] = 48153,
  [SMALL_STATE(1216)] = 48165,
  [SMALL_STATE(1217)] = 48179,
  [SMALL_STATE(1218)] = 48194,
  [SMALL_STATE(1219)] = 48211,
  [SMALL_STATE(1220)] = 48228,
  [SMALL_STATE(1221)] = 48245,
  [SMALL_STATE(1222)] = 48260,
  [SMALL_STATE(1223)] = 48277,
  [SMALL_STATE(1224)] = 48294,
  [SMALL_STATE(1225)] = 48311,
  [SMALL_STATE(1226)] = 48328,
  [SMALL_STATE(1227)] = 48345,
  [SMALL_STATE(1228)] = 48362,
  [SMALL_STATE(1229)] = 48379,
  [SMALL_STATE(1230)] = 48390,
  [SMALL_STATE(1231)] = 48401,
  [SMALL_STATE(1232)] = 48418,
  [SMALL_STATE(1233)] = 48435,
  [SMALL_STATE(1234)] = 48452,
  [SMALL_STATE(1235)] = 48463,
  [SMALL_STATE(1236)] = 48474,
  [SMALL_STATE(1237)] = 48491,
  [SMALL_STATE(1238)] = 48508,
  [SMALL_STATE(1239)] = 48523,
  [SMALL_STATE(1240)] = 48540,
  [SMALL_STATE(1241)] = 48557,
  [SMALL_STATE(1242)] = 48574,
  [SMALL_STATE(1243)] = 48591,
  [SMALL_STATE(1244)] = 48608,
  [SMALL_STATE(1245)] = 48625,
  [SMALL_STATE(1246)] = 48636,
  [SMALL_STATE(1247)] = 48653,
  [SMALL_STATE(1248)] = 48668,
  [SMALL_STATE(1249)] = 48679,
  [SMALL_STATE(1250)] = 48694,
  [SMALL_STATE(1251)] = 48713,
  [SMALL_STATE(1252)] = 48730,
  [SMALL_STATE(1253)] = 48747,
  [SMALL_STATE(1254)] = 48764,
  [SMALL_STATE(1255)] = 48781,
  [SMALL_STATE(1256)] = 48798,
  [SMALL_STATE(1257)] = 48813,
  [SMALL_STATE(1258)] = 48828,
  [SMALL_STATE(1259)] = 48847,
  [SMALL_STATE(1260)] = 48860,
  [SMALL_STATE(1261)] = 48877,
  [SMALL_STATE(1262)] = 48894,
  [SMALL_STATE(1263)] = 48911,
  [SMALL_STATE(1264)] = 48928,
  [SMALL_STATE(1265)] = 48945,
  [SMALL_STATE(1266)] = 48962,
  [SMALL_STATE(1267)] = 48979,
  [SMALL_STATE(1268)] = 48994,
  [SMALL_STATE(1269)] = 49011,
  [SMALL_STATE(1270)] = 49028,
  [SMALL_STATE(1271)] = 49041,
  [SMALL_STATE(1272)] = 49058,
  [SMALL_STATE(1273)] = 49075,
  [SMALL_STATE(1274)] = 49090,
  [SMALL_STATE(1275)] = 49107,
  [SMALL_STATE(1276)] = 49124,
  [SMALL_STATE(1277)] = 49141,
  [SMALL_STATE(1278)] = 49160,
  [SMALL_STATE(1279)] = 49179,
  [SMALL_STATE(1280)] = 49198,
  [SMALL_STATE(1281)] = 49213,
  [SMALL_STATE(1282)] = 49228,
  [SMALL_STATE(1283)] = 49245,
  [SMALL_STATE(1284)] = 49262,
  [SMALL_STATE(1285)] = 49279,
  [SMALL_STATE(1286)] = 49298,
  [SMALL_STATE(1287)] = 49315,
  [SMALL_STATE(1288)] = 49330,
  [SMALL_STATE(1289)] = 49345,
  [SMALL_STATE(1290)] = 49362,
  [SMALL_STATE(1291)] = 49379,
  [SMALL_STATE(1292)] = 49393,
  [SMALL_STATE(1293)] = 49405,
  [SMALL_STATE(1294)] = 49419,
  [SMALL_STATE(1295)] = 49433,
  [SMALL_STATE(1296)] = 49443,
  [SMALL_STATE(1297)] = 49455,
  [SMALL_STATE(1298)] = 49469,
  [SMALL_STATE(1299)] = 49483,
  [SMALL_STATE(1300)] = 49497,
  [SMALL_STATE(1301)] = 49511,
  [SMALL_STATE(1302)] = 49525,
  [SMALL_STATE(1303)] = 49535,
  [SMALL_STATE(1304)] = 49547,
  [SMALL_STATE(1305)] = 49561,
  [SMALL_STATE(1306)] = 49575,
  [SMALL_STATE(1307)] = 49589,
  [SMALL_STATE(1308)] = 49603,
  [SMALL_STATE(1309)] = 49617,
  [SMALL_STATE(1310)] = 49631,
  [SMALL_STATE(1311)] = 49647,
  [SMALL_STATE(1312)] = 49659,
  [SMALL_STATE(1313)] = 49673,
  [SMALL_STATE(1314)] = 49687,
  [SMALL_STATE(1315)] = 49699,
  [SMALL_STATE(1316)] = 49713,
  [SMALL_STATE(1317)] = 49725,
  [SMALL_STATE(1318)] = 49735,
  [SMALL_STATE(1319)] = 49749,
  [SMALL_STATE(1320)] = 49763,
  [SMALL_STATE(1321)] = 49777,
  [SMALL_STATE(1322)] = 49791,
  [SMALL_STATE(1323)] = 49805,
  [SMALL_STATE(1324)] = 49817,
  [SMALL_STATE(1325)] = 49831,
  [SMALL_STATE(1326)] = 49845,
  [SMALL_STATE(1327)] = 49861,
  [SMALL_STATE(1328)] = 49875,
  [SMALL_STATE(1329)] = 49889,
  [SMALL_STATE(1330)] = 49903,
  [SMALL_STATE(1331)] = 49917,
  [SMALL_STATE(1332)] = 49927,
  [SMALL_STATE(1333)] = 49941,
  [SMALL_STATE(1334)] = 49955,
  [SMALL_STATE(1335)] = 49969,
  [SMALL_STATE(1336)] = 49983,
  [SMALL_STATE(1337)] = 49997,
  [SMALL_STATE(1338)] = 50011,
  [SMALL_STATE(1339)] = 50025,
  [SMALL_STATE(1340)] = 50039,
  [SMALL_STATE(1341)] = 50049,
  [SMALL_STATE(1342)] = 50063,
  [SMALL_STATE(1343)] = 50077,
  [SMALL_STATE(1344)] = 50091,
  [SMALL_STATE(1345)] = 50105,
  [SMALL_STATE(1346)] = 50119,
  [SMALL_STATE(1347)] = 50133,
  [SMALL_STATE(1348)] = 50145,
  [SMALL_STATE(1349)] = 50159,
  [SMALL_STATE(1350)] = 50171,
  [SMALL_STATE(1351)] = 50185,
  [SMALL_STATE(1352)] = 50195,
  [SMALL_STATE(1353)] = 50209,
  [SMALL_STATE(1354)] = 50223,
  [SMALL_STATE(1355)] = 50237,
  [SMALL_STATE(1356)] = 50251,
  [SMALL_STATE(1357)] = 50265,
  [SMALL_STATE(1358)] = 50275,
  [SMALL_STATE(1359)] = 50289,
  [SMALL_STATE(1360)] = 50303,
  [SMALL_STATE(1361)] = 50317,
  [SMALL_STATE(1362)] = 50331,
  [SMALL_STATE(1363)] = 50345,
  [SMALL_STATE(1364)] = 50359,
  [SMALL_STATE(1365)] = 50373,
  [SMALL_STATE(1366)] = 50387,
  [SMALL_STATE(1367)] = 50397,
  [SMALL_STATE(1368)] = 50413,
  [SMALL_STATE(1369)] = 50427,
  [SMALL_STATE(1370)] = 50441,
  [SMALL_STATE(1371)] = 50455,
  [SMALL_STATE(1372)] = 50471,
  [SMALL_STATE(1373)] = 50487,
  [SMALL_STATE(1374)] = 50501,
  [SMALL_STATE(1375)] = 50515,
  [SMALL_STATE(1376)] = 50529,
  [SMALL_STATE(1377)] = 50543,
  [SMALL_STATE(1378)] = 50557,
  [SMALL_STATE(1379)] = 50571,
  [SMALL_STATE(1380)] = 50583,
  [SMALL_STATE(1381)] = 50597,
  [SMALL_STATE(1382)] = 50611,
  [SMALL_STATE(1383)] = 50625,
  [SMALL_STATE(1384)] = 50639,
  [SMALL_STATE(1385)] = 50653,
  [SMALL_STATE(1386)] = 50669,
  [SMALL_STATE(1387)] = 50683,
  [SMALL_STATE(1388)] = 50699,
  [SMALL_STATE(1389)] = 50711,
  [SMALL_STATE(1390)] = 50725,
  [SMALL_STATE(1391)] = 50739,
  [SMALL_STATE(1392)] = 50753,
  [SMALL_STATE(1393)] = 50767,
  [SMALL_STATE(1394)] = 50779,
  [SMALL_STATE(1395)] = 50791,
  [SMALL_STATE(1396)] = 50802,
  [SMALL_STATE(1397)] = 50813,
  [SMALL_STATE(1398)] = 50824,
  [SMALL_STATE(1399)] = 50835,
  [SMALL_STATE(1400)] = 50846,
  [SMALL_STATE(1401)] = 50855,
  [SMALL_STATE(1402)] = 50866,
  [SMALL_STATE(1403)] = 50877,
  [SMALL_STATE(1404)] = 50888,
  [SMALL_STATE(1405)] = 50899,
  [SMALL_STATE(1406)] = 50908,
  [SMALL_STATE(1407)] = 50917,
  [SMALL_STATE(1408)] = 50928,
  [SMALL_STATE(1409)] = 50937,
  [SMALL_STATE(1410)] = 50946,
  [SMALL_STATE(1411)] = 50957,
  [SMALL_STATE(1412)] = 50968,
  [SMALL_STATE(1413)] = 50979,
  [SMALL_STATE(1414)] = 50990,
  [SMALL_STATE(1415)] = 51001,
  [SMALL_STATE(1416)] = 51012,
  [SMALL_STATE(1417)] = 51023,
  [SMALL_STATE(1418)] = 51034,
  [SMALL_STATE(1419)] = 51043,
  [SMALL_STATE(1420)] = 51054,
  [SMALL_STATE(1421)] = 51065,
  [SMALL_STATE(1422)] = 51074,
  [SMALL_STATE(1423)] = 51083,
  [SMALL_STATE(1424)] = 51094,
  [SMALL_STATE(1425)] = 51105,
  [SMALL_STATE(1426)] = 51116,
  [SMALL_STATE(1427)] = 51127,
  [SMALL_STATE(1428)] = 51138,
  [SMALL_STATE(1429)] = 51149,
  [SMALL_STATE(1430)] = 51158,
  [SMALL_STATE(1431)] = 51169,
  [SMALL_STATE(1432)] = 51178,
  [SMALL_STATE(1433)] = 51189,
  [SMALL_STATE(1434)] = 51200,
  [SMALL_STATE(1435)] = 51211,
  [SMALL_STATE(1436)] = 51222,
  [SMALL_STATE(1437)] = 51233,
  [SMALL_STATE(1438)] = 51244,
  [SMALL_STATE(1439)] = 51255,
  [SMALL_STATE(1440)] = 51266,
  [SMALL_STATE(1441)] = 51275,
  [SMALL_STATE(1442)] = 51286,
  [SMALL_STATE(1443)] = 51297,
  [SMALL_STATE(1444)] = 51308,
  [SMALL_STATE(1445)] = 51319,
  [SMALL_STATE(1446)] = 51330,
  [SMALL_STATE(1447)] = 51341,
  [SMALL_STATE(1448)] = 51352,
  [SMALL_STATE(1449)] = 51363,
  [SMALL_STATE(1450)] = 51374,
  [SMALL_STATE(1451)] = 51385,
  [SMALL_STATE(1452)] = 51396,
  [SMALL_STATE(1453)] = 51407,
  [SMALL_STATE(1454)] = 51416,
  [SMALL_STATE(1455)] = 51427,
  [SMALL_STATE(1456)] = 51438,
  [SMALL_STATE(1457)] = 51449,
  [SMALL_STATE(1458)] = 51460,
  [SMALL_STATE(1459)] = 51471,
  [SMALL_STATE(1460)] = 51482,
  [SMALL_STATE(1461)] = 51493,
  [SMALL_STATE(1462)] = 51504,
  [SMALL_STATE(1463)] = 51515,
  [SMALL_STATE(1464)] = 51526,
  [SMALL_STATE(1465)] = 51537,
  [SMALL_STATE(1466)] = 51548,
  [SMALL_STATE(1467)] = 51559,
  [SMALL_STATE(1468)] = 51570,
  [SMALL_STATE(1469)] = 51581,
  [SMALL_STATE(1470)] = 51592,
  [SMALL_STATE(1471)] = 51603,
  [SMALL_STATE(1472)] = 51614,
  [SMALL_STATE(1473)] = 51625,
  [SMALL_STATE(1474)] = 51636,
  [SMALL_STATE(1475)] = 51647,
  [SMALL_STATE(1476)] = 51658,
  [SMALL_STATE(1477)] = 51669,
  [SMALL_STATE(1478)] = 51680,
  [SMALL_STATE(1479)] = 51691,
  [SMALL_STATE(1480)] = 51702,
  [SMALL_STATE(1481)] = 51713,
  [SMALL_STATE(1482)] = 51722,
  [SMALL_STATE(1483)] = 51733,
  [SMALL_STATE(1484)] = 51742,
  [SMALL_STATE(1485)] = 51751,
  [SMALL_STATE(1486)] = 51762,
  [SMALL_STATE(1487)] = 51773,
  [SMALL_STATE(1488)] = 51784,
  [SMALL_STATE(1489)] = 51795,
  [SMALL_STATE(1490)] = 51806,
  [SMALL_STATE(1491)] = 51815,
  [SMALL_STATE(1492)] = 51826,
  [SMALL_STATE(1493)] = 51835,
  [SMALL_STATE(1494)] = 51846,
  [SMALL_STATE(1495)] = 51857,
  [SMALL_STATE(1496)] = 51868,
  [SMALL_STATE(1497)] = 51877,
  [SMALL_STATE(1498)] = 51886,
  [SMALL_STATE(1499)] = 51895,
  [SMALL_STATE(1500)] = 51906,
  [SMALL_STATE(1501)] = 51917,
  [SMALL_STATE(1502)] = 51928,
  [SMALL_STATE(1503)] = 51939,
  [SMALL_STATE(1504)] = 51950,
  [SMALL_STATE(1505)] = 51961,
  [SMALL_STATE(1506)] = 51972,
  [SMALL_STATE(1507)] = 51983,
  [SMALL_STATE(1508)] = 51994,
  [SMALL_STATE(1509)] = 52003,
  [SMALL_STATE(1510)] = 52014,
  [SMALL_STATE(1511)] = 52023,
  [SMALL_STATE(1512)] = 52032,
  [SMALL_STATE(1513)] = 52043,
  [SMALL_STATE(1514)] = 52054,
  [SMALL_STATE(1515)] = 52065,
  [SMALL_STATE(1516)] = 52076,
  [SMALL_STATE(1517)] = 52087,
  [SMALL_STATE(1518)] = 52098,
  [SMALL_STATE(1519)] = 52109,
  [SMALL_STATE(1520)] = 52120,
  [SMALL_STATE(1521)] = 52131,
  [SMALL_STATE(1522)] = 52142,
  [SMALL_STATE(1523)] = 52153,
  [SMALL_STATE(1524)] = 52162,
  [SMALL_STATE(1525)] = 52171,
  [SMALL_STATE(1526)] = 52180,
  [SMALL_STATE(1527)] = 52191,
  [SMALL_STATE(1528)] = 52202,
  [SMALL_STATE(1529)] = 52213,
  [SMALL_STATE(1530)] = 52224,
  [SMALL_STATE(1531)] = 52235,
  [SMALL_STATE(1532)] = 52246,
  [SMALL_STATE(1533)] = 52257,
  [SMALL_STATE(1534)] = 52268,
  [SMALL_STATE(1535)] = 52279,
  [SMALL_STATE(1536)] = 52290,
  [SMALL_STATE(1537)] = 52301,
  [SMALL_STATE(1538)] = 52312,
  [SMALL_STATE(1539)] = 52321,
  [SMALL_STATE(1540)] = 52332,
  [SMALL_STATE(1541)] = 52343,
  [SMALL_STATE(1542)] = 52354,
  [SMALL_STATE(1543)] = 52365,
  [SMALL_STATE(1544)] = 52376,
  [SMALL_STATE(1545)] = 52387,
  [SMALL_STATE(1546)] = 52398,
  [SMALL_STATE(1547)] = 52409,
  [SMALL_STATE(1548)] = 52420,
  [SMALL_STATE(1549)] = 52431,
  [SMALL_STATE(1550)] = 52442,
  [SMALL_STATE(1551)] = 52453,
  [SMALL_STATE(1552)] = 52464,
  [SMALL_STATE(1553)] = 52475,
  [SMALL_STATE(1554)] = 52486,
  [SMALL_STATE(1555)] = 52497,
  [SMALL_STATE(1556)] = 52506,
  [SMALL_STATE(1557)] = 52517,
  [SMALL_STATE(1558)] = 52528,
  [SMALL_STATE(1559)] = 52539,
  [SMALL_STATE(1560)] = 52550,
  [SMALL_STATE(1561)] = 52561,
  [SMALL_STATE(1562)] = 52572,
  [SMALL_STATE(1563)] = 52583,
  [SMALL_STATE(1564)] = 52594,
  [SMALL_STATE(1565)] = 52605,
  [SMALL_STATE(1566)] = 52616,
  [SMALL_STATE(1567)] = 52627,
  [SMALL_STATE(1568)] = 52638,
  [SMALL_STATE(1569)] = 52649,
  [SMALL_STATE(1570)] = 52660,
  [SMALL_STATE(1571)] = 52669,
  [SMALL_STATE(1572)] = 52680,
  [SMALL_STATE(1573)] = 52691,
  [SMALL_STATE(1574)] = 52702,
  [SMALL_STATE(1575)] = 52713,
  [SMALL_STATE(1576)] = 52722,
  [SMALL_STATE(1577)] = 52733,
  [SMALL_STATE(1578)] = 52744,
  [SMALL_STATE(1579)] = 52755,
  [SMALL_STATE(1580)] = 52766,
  [SMALL_STATE(1581)] = 52777,
  [SMALL_STATE(1582)] = 52788,
  [SMALL_STATE(1583)] = 52799,
  [SMALL_STATE(1584)] = 52810,
  [SMALL_STATE(1585)] = 52821,
  [SMALL_STATE(1586)] = 52832,
  [SMALL_STATE(1587)] = 52843,
  [SMALL_STATE(1588)] = 52854,
  [SMALL_STATE(1589)] = 52865,
  [SMALL_STATE(1590)] = 52876,
  [SMALL_STATE(1591)] = 52887,
  [SMALL_STATE(1592)] = 52898,
  [SMALL_STATE(1593)] = 52909,
  [SMALL_STATE(1594)] = 52920,
  [SMALL_STATE(1595)] = 52931,
  [SMALL_STATE(1596)] = 52942,
  [SMALL_STATE(1597)] = 52953,
  [SMALL_STATE(1598)] = 52964,
  [SMALL_STATE(1599)] = 52975,
  [SMALL_STATE(1600)] = 52986,
  [SMALL_STATE(1601)] = 52997,
  [SMALL_STATE(1602)] = 53008,
  [SMALL_STATE(1603)] = 53019,
  [SMALL_STATE(1604)] = 53030,
  [SMALL_STATE(1605)] = 53041,
  [SMALL_STATE(1606)] = 53052,
  [SMALL_STATE(1607)] = 53061,
  [SMALL_STATE(1608)] = 53072,
  [SMALL_STATE(1609)] = 53083,
  [SMALL_STATE(1610)] = 53092,
  [SMALL_STATE(1611)] = 53103,
  [SMALL_STATE(1612)] = 53114,
  [SMALL_STATE(1613)] = 53125,
  [SMALL_STATE(1614)] = 53136,
  [SMALL_STATE(1615)] = 53147,
  [SMALL_STATE(1616)] = 53158,
  [SMALL_STATE(1617)] = 53169,
  [SMALL_STATE(1618)] = 53180,
  [SMALL_STATE(1619)] = 53191,
  [SMALL_STATE(1620)] = 53202,
  [SMALL_STATE(1621)] = 53213,
  [SMALL_STATE(1622)] = 53224,
  [SMALL_STATE(1623)] = 53235,
  [SMALL_STATE(1624)] = 53246,
  [SMALL_STATE(1625)] = 53257,
  [SMALL_STATE(1626)] = 53268,
  [SMALL_STATE(1627)] = 53279,
  [SMALL_STATE(1628)] = 53290,
  [SMALL_STATE(1629)] = 53301,
  [SMALL_STATE(1630)] = 53312,
  [SMALL_STATE(1631)] = 53323,
  [SMALL_STATE(1632)] = 53334,
  [SMALL_STATE(1633)] = 53345,
  [SMALL_STATE(1634)] = 53356,
  [SMALL_STATE(1635)] = 53365,
  [SMALL_STATE(1636)] = 53376,
  [SMALL_STATE(1637)] = 53387,
  [SMALL_STATE(1638)] = 53398,
  [SMALL_STATE(1639)] = 53409,
  [SMALL_STATE(1640)] = 53417,
  [SMALL_STATE(1641)] = 53425,
  [SMALL_STATE(1642)] = 53433,
  [SMALL_STATE(1643)] = 53441,
  [SMALL_STATE(1644)] = 53449,
  [SMALL_STATE(1645)] = 53457,
  [SMALL_STATE(1646)] = 53465,
  [SMALL_STATE(1647)] = 53473,
  [SMALL_STATE(1648)] = 53481,
  [SMALL_STATE(1649)] = 53489,
  [SMALL_STATE(1650)] = 53497,
  [SMALL_STATE(1651)] = 53507,
  [SMALL_STATE(1652)] = 53515,
  [SMALL_STATE(1653)] = 53525,
  [SMALL_STATE(1654)] = 53535,
  [SMALL_STATE(1655)] = 53543,
  [SMALL_STATE(1656)] = 53551,
  [SMALL_STATE(1657)] = 53559,
  [SMALL_STATE(1658)] = 53567,
  [SMALL_STATE(1659)] = 53575,
  [SMALL_STATE(1660)] = 53583,
  [SMALL_STATE(1661)] = 53591,
  [SMALL_STATE(1662)] = 53599,
  [SMALL_STATE(1663)] = 53607,
  [SMALL_STATE(1664)] = 53615,
  [SMALL_STATE(1665)] = 53623,
  [SMALL_STATE(1666)] = 53631,
  [SMALL_STATE(1667)] = 53639,
  [SMALL_STATE(1668)] = 53647,
  [SMALL_STATE(1669)] = 53655,
  [SMALL_STATE(1670)] = 53663,
  [SMALL_STATE(1671)] = 53671,
  [SMALL_STATE(1672)] = 53679,
  [SMALL_STATE(1673)] = 53687,
  [SMALL_STATE(1674)] = 53695,
  [SMALL_STATE(1675)] = 53703,
  [SMALL_STATE(1676)] = 53711,
  [SMALL_STATE(1677)] = 53719,
  [SMALL_STATE(1678)] = 53727,
  [SMALL_STATE(1679)] = 53735,
  [SMALL_STATE(1680)] = 53743,
  [SMALL_STATE(1681)] = 53751,
  [SMALL_STATE(1682)] = 53759,
  [SMALL_STATE(1683)] = 53769,
  [SMALL_STATE(1684)] = 53777,
  [SMALL_STATE(1685)] = 53785,
  [SMALL_STATE(1686)] = 53793,
  [SMALL_STATE(1687)] = 53801,
  [SMALL_STATE(1688)] = 53809,
  [SMALL_STATE(1689)] = 53817,
  [SMALL_STATE(1690)] = 53825,
  [SMALL_STATE(1691)] = 53833,
  [SMALL_STATE(1692)] = 53841,
  [SMALL_STATE(1693)] = 53849,
  [SMALL_STATE(1694)] = 53857,
  [SMALL_STATE(1695)] = 53865,
  [SMALL_STATE(1696)] = 53873,
  [SMALL_STATE(1697)] = 53881,
  [SMALL_STATE(1698)] = 53889,
  [SMALL_STATE(1699)] = 53897,
  [SMALL_STATE(1700)] = 53905,
  [SMALL_STATE(1701)] = 53913,
  [SMALL_STATE(1702)] = 53921,
  [SMALL_STATE(1703)] = 53929,
  [SMALL_STATE(1704)] = 53937,
  [SMALL_STATE(1705)] = 53947,
  [SMALL_STATE(1706)] = 53955,
  [SMALL_STATE(1707)] = 53963,
  [SMALL_STATE(1708)] = 53971,
  [SMALL_STATE(1709)] = 53979,
  [SMALL_STATE(1710)] = 53987,
  [SMALL_STATE(1711)] = 53995,
  [SMALL_STATE(1712)] = 54003,
  [SMALL_STATE(1713)] = 54011,
  [SMALL_STATE(1714)] = 54019,
  [SMALL_STATE(1715)] = 54027,
  [SMALL_STATE(1716)] = 54035,
  [SMALL_STATE(1717)] = 54043,
  [SMALL_STATE(1718)] = 54051,
  [SMALL_STATE(1719)] = 54059,
  [SMALL_STATE(1720)] = 54067,
  [SMALL_STATE(1721)] = 54075,
  [SMALL_STATE(1722)] = 54083,
  [SMALL_STATE(1723)] = 54091,
  [SMALL_STATE(1724)] = 54099,
  [SMALL_STATE(1725)] = 54107,
  [SMALL_STATE(1726)] = 54117,
  [SMALL_STATE(1727)] = 54125,
  [SMALL_STATE(1728)] = 54133,
  [SMALL_STATE(1729)] = 54141,
  [SMALL_STATE(1730)] = 54149,
  [SMALL_STATE(1731)] = 54157,
  [SMALL_STATE(1732)] = 54165,
  [SMALL_STATE(1733)] = 54173,
  [SMALL_STATE(1734)] = 54181,
  [SMALL_STATE(1735)] = 54189,
  [SMALL_STATE(1736)] = 54199,
  [SMALL_STATE(1737)] = 54209,
  [SMALL_STATE(1738)] = 54217,
  [SMALL_STATE(1739)] = 54225,
  [SMALL_STATE(1740)] = 54233,
  [SMALL_STATE(1741)] = 54241,
  [SMALL_STATE(1742)] = 54249,
  [SMALL_STATE(1743)] = 54257,
  [SMALL_STATE(1744)] = 54265,
  [SMALL_STATE(1745)] = 54273,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1048),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1494),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1113),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1399),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(343),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(53),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1379),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(60),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(67),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1367),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1166),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1246),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1260),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1265),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1136),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1722),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(681),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 100),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 100),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 38),
  [294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 38),
  [296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 59),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 59),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 76),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 76),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 88),
  [536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 88),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 88),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 88),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 71),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 71),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 98),
  [592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 98),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 37),
  [598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 37),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 37),
  [602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 37),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 80),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 80),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 92),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 92),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 69),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 69),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(55),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1025),
  [858] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(102),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(263),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(102),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(176),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(288),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(163),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 62),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 62),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 105),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 105),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 104),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 104),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 112),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 112),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 111),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 111),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 37),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 37),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 110),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 110),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 109),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 109),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 48),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 48),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(92),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 101),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 101),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 107),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 107),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 108),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 108),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 94),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 94),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 95),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 95),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(281),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(278),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(162),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 8),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 8),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 53),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 53),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 49),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 49),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 81),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 81),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 32),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 32),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 10),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 10),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 43),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 43),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 77),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 77),
  [1455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 41),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 41),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 40),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 40),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 39),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 39),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 38),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 38),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 32),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 32),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 31),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 31),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 7),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 7),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 7),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 7),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 11),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 11),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 44),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 42),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 44),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 44),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 89),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 15),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56),
  [1730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 42),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 59),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(196),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 42),
  [1747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 42), REDUCE(sym_assignment_expression, 3, 0, 42),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 42),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [1982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(225),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1245),
  [2045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1029),
  [2048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70),
  [2050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(886),
  [2053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(231),
  [2056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1372),
  [2059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1232),
  [2062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1233),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(919),
  [2068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1134),
  [2071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1333),
  [2074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(913),
  [2077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1021),
  [2080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(931),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(1398),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 106),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 106),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [2271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35),
  [2291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 45),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 45),
  [2295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 38),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 38),
  [2303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35), SHIFT_REPEAT(977),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 35),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 35),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(1333),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [2377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 10),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 10),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [2538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1065),
  [2541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1199),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1119),
  [2549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(105),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65),
  [2554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1119),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(272),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5), SHIFT(1492),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [2666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 85),
  [2691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 36),
  [2699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [2704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 45),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 45),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 68),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [2739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(281),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 33),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 33),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 3, -1, 32),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 32),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(278),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1095),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1250),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1250),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1258),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [2975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1258),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(213),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [3009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1274),
  [3012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1275),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(103),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(1310),
  [3091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [3093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [3130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [3152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 57),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1126),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 82),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 97),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 82),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 86),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 67),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3429] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token_jsx_text = 7,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token_jsx_text] = sym_jsx_text,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_jsx_text] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_jsx_text] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
